module     p0_dd_emnebardu_d61h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p0_dd_emnebardu/helicity0/d61h0l1d.f90
   ! generator: haggies (1.1)
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d61
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2) result(numerator)
      use p0_dd_emnebardu_globalsl1, only: epspow
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_abbrevd61h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      real(ki) :: t21
      real(ki) :: t22
      real(ki) :: t23
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k5
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      t1 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t2 = (spvak3k2(1)*qshift(1)-spvak3k2(2)*qshift(2)-spvak3k2(3)*qshift(3)-sp&
      &vak3k2(4)*qshift(4))
      t3 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t21 = dotproduct(k2, qshift)
      t22 = dotproduct(k3, qshift)
      t23 = dotproduct(k4, qshift)
      t4 = (spvak5k4(1)*qshift(1)-spvak5k4(2)*qshift(2)-spvak5k4(3)*qshift(3)-sp&
      &vak5k4(4)*qshift(4))
      t5 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t6 = (spvak6k4(1)*qshift(1)-spvak6k4(2)*qshift(2)-spvak6k4(3)*qshift(3)-sp&
      &vak6k4(4)*qshift(4))
      t7 = (spvak5k2(1)*qshift(1)-spvak5k2(2)*qshift(2)-spvak5k2(3)*qshift(3)-sp&
      &vak5k2(4)*qshift(4))
      t8 = (spvak6k2(1)*qshift(1)-spvak6k2(2)*qshift(2)-spvak6k2(3)*qshift(3)-sp&
      &vak6k2(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (t1*abb61n12+abb61n21*dotproduct(k6, qshift)+t1*t2*abb61n13&
         &+t1*t21*abb61n15+t1*t22*abb61n16+t1*t23*abb61n16+t1*t3*abb61n14+t1*t4*&
         &abb61n17+t1*t7*abb61n19+t5*t6*abb61n18+t5*t8*abb61n20)
         return
      end if
      t9 = spvak6k1(iv1)
      t10 = k2(iv1)
      t11 = k3(iv1)
      t12 = k4(iv1)
      t13 = spvak3k2(iv1)
      t14 = spvak3k4(iv1)
      t15 = spvak5k1(iv1)
      t16 = spvak5k2(iv1)
      t17 = spvak5k4(iv1)
      t18 = t9*abb61n16
      t19 = spvak6k2(iv1)
      t20 = spvak6k4(iv1)
      if(deg.eq.1) then
         numerator = (k6(iv1)*abb61n21+t18*t22+t18*t23+t9*abb61n12+t1*t10*abb61n&
         &15+t1*t11*abb61n16+t1*t12*abb61n16+t1*t13*abb61n13+t1*t14*abb61n14+t1*&
         &t16*abb61n19+t1*t17*abb61n17+t15*t6*abb61n18+t15*t8*abb61n20+t19*t5*ab&
         &b61n20+t2*t9*abb61n13+t20*t5*abb61n18+t21*t9*abb61n15+t3*t9*abb61n14+t&
         &4*t9*abb61n17+t7*t9*abb61n19)
         return
      end if
      t1 = spvak6k1(iv2)
      t2 = spvak5k1(iv2)
      if(deg.eq.2) then
         numerator = (k2(iv2)*t9*abb61n15+k3(iv2)*t9*abb61n16+k4(iv2)*t9*abb61n1&
         &6+spvak3k2(iv2)*t9*abb61n13+spvak3k4(iv2)*t9*abb61n14+spvak5k2(iv2)*t9&
         &*abb61n19+spvak5k4(iv2)*t9*abb61n17+spvak6k2(iv2)*t15*abb61n20+spvak6k&
         &4(iv2)*t15*abb61n18+t1*t10*abb61n15+t1*t11*abb61n16+t1*t12*abb61n16+t1&
         &*t13*abb61n13+t1*t14*abb61n14+t1*t16*abb61n19+t1*t17*abb61n17+t19*t2*a&
         &bb61n20+t2*t20*abb61n18)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d61:
   subroutine     reconstruct_d61(coeffs)
      use p0_dd_emnebardu_groups, only: tensrec_info_group6
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group6), intent(out) :: coeffs
      ! rank 2 case:
      !---[# reconstruct coeffs%coeffs_61:
      coeffs%coeffs_61%c0 = derivative(czip)
      coeffs%coeffs_61%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_61%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_61%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_61%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_61%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_61%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_61%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_61%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_61%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_61%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_61%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_61%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_61%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_61%c2(6,1) = derivative(czip,3,4)
      !---#] reconstruct coeffs%coeffs_61:
   end subroutine reconstruct_d61
!---#] subroutine reconstruct_d61:
end module p0_dd_emnebardu_d61h0l1d
