module     p0_dd_emnebardu_abbrevd52h1
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh1
   implicit none
   private
   complex(ki), public :: abb52n1
   complex(ki), public :: abb52n2
   complex(ki), public :: abb52n3
   complex(ki), public :: abb52n4
   complex(ki), public :: abb52n5
   complex(ki), public :: abb52n6
   complex(ki), public :: abb52n7
   complex(ki), public :: abb52n8
   complex(ki), public :: abb52n9
   complex(ki), public :: rat2d52
   complex(ki), public :: abb52n11
   complex(ki), public :: abb52n12
   complex(ki), public :: abb52n13
   complex(ki), public :: abb52n14
   complex(ki), public :: abb52n15
   complex(ki), public :: abb52n16
   complex(ki), public :: abb52n17
   complex(ki), public :: abb52n18
   complex(ki), public :: abb52n19
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   real(ki) :: t34
   real(ki) :: t35
   real(ki) :: t36
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t2 = t1*spak1k6
      t3 = t2*spak2k3*spbk4k2
      t34 = TR*TR
      t4 = t34*t3*spbk5k2
      t5 = (es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t6 = es234*t5
      t7 = t2*spak3k4*spbk4k2
      t8 = t34*t7*spbk5k4
      t9 = NC*NC*t6
      t10 = c2*i_
      t11 = t10*spak1k6
      t12 = t11*spak2k3*spbk4k2
      t13 = NC*t5
      t14 = es234*t13
      t15 = t11*spak3k4*spbk4k2
      t16 = NC*c2
      t17 = t16*i_
      t18 = t17*spak1k6
      t19 = t18*spak2k3*spbk4k2
      t20 = t18*spak3k4*spbk4k2
      t21 = es61*c1*i_*spak1k6
      t22 = t34*t21*spak2k3*spbk4k2*spbk5k2
      t35 = es234*es234
      t23 = t35*t5
      t21 = t34*t21*spak3k4*spbk4k2*spbk5k4
      t24 = t1*spak2k3
      t25 = TR*spak1k6
      t25 = t25*t25
      t26 = t24*t25*spbk2k1*spbk4k2*spbk6k5
      t24 = t24*t25*spbk4k2*spbk5k1*spbk6k2
      t27 = t1*spak3k4
      t28 = t25*t27*spbk4k1*spbk4k2*spbk6k5
      t27 = t25*t27*spbk4k2*spbk5k1*spbk6k4
      t36 = NC*es234
      t5 = t36*t36*t5
      t29 = es61*c2*i_*spak1k6
      t13 = t35*t13
      t30 = t10*spak2k3
      t31 = t10*spak3k4
      t16 = es61*t16*i_*spak1k6
      t32 = t17*spak2k3
      t33 = t17*spak3k4
      abb52n1 = ((4.0_ki)*(t21/t23+t22/t23+t24/t23+t27/t23+t26/t5+t28/t5+t4/t9+t&
      &8/t9+t34*t19/t6*spbk5k2+t34*t20/t6*spbk5k4+t25/t13*t30*spbk4k2*spbk5k1*sp&
      &bk6k2+t25/t13*t31*spbk4k2*spbk5k1*spbk6k4+t34*t29/t13*spak2k3*spbk4k2*spb&
      &k5k2+t34*t29/t13*spak3k4*spbk4k2*spbk5k4+t25/t23*t32*spbk2k1*spbk4k2*spbk&
      &6k5+t25/t23*t33*spbk4k1*spbk4k2*spbk6k5-(t25/t23*t33*spbk4k2*spbk5k1*spbk&
      &6k4+t25/t23*t32*spbk4k2*spbk5k1*spbk6k2+t34*t16/t23*spak3k4*spbk4k2*spbk5&
      &k4+t34*t16/t23*spak2k3*spbk4k2*spbk5k2+t25/t13*t31*spbk4k1*spbk4k2*spbk6k&
      &5+t25/t13*t30*spbk2k1*spbk4k2*spbk6k5+t34*t15/t14*spbk5k4+t34*t12/t14*spb&
      &k5k2+t8/t6+t4/t6+t27/t5+t24/t5+t28/t23+t26/t23+t22/t5+t21/t5)))
      t4 = t34*t3*spbk5k1
      abb52n2 = ((4.0_ki)*(t4/t5+t34*t19/t23*spbk5k1-(t34*t12/t13*spbk5k1+t4/t23&
      &)))
      t4 = t34*t7*spbk5k1
      abb52n3 = ((4.0_ki)*(t4/t5+t34*t20/t23*spbk5k1-(t34*t15/t13*spbk5k1+t4/t23&
      &)))
      t3 = t34*t3*spbk6k5
      abb52n4 = ((4.0_ki)*(t3/t5+t34*t19/t23*spbk6k5-(t34*t12/t13*spbk6k5+t3/t23&
      &)))
      t3 = t34*t7*spbk6k5
      abb52n5 = ((4.0_ki)*(t3/t5+t34*t20/t23*spbk6k5-(t34*t15/t13*spbk6k5+t3/t23&
      &)))
      t3 = t1*spak1k3*spak1k6
      t4 = t34*t3*spbk4k2*spbk5k1
      t6 = t4/t23
      t7 = t2*spak3k6
      t8 = t34*t7*spbk4k2*spbk6k5
      t9 = t8/t23
      t4 = t4/t5
      t8 = t8/t5
      t12 = t10*spak1k3*spak1k6
      t14 = t34*t12/t13*spbk4k2*spbk5k1
      t15 = t11*spak3k6
      t16 = t34*t15/t13*spbk4k2*spbk6k5
      t19 = t17*spak1k3*spak1k6
      t20 = t34*t19/t23*spbk4k2*spbk5k1
      t21 = t18*spak3k6
      t22 = t34*t21/t23*spbk4k2*spbk6k5
      abb52n6 = ((16.0_ki)*(t14+t22+t6+t8-(t9+t4+t20+t16)))
      abb52n7 = ((16.0_ki)*(t16+t20+t4+t9-(t8+t6+t22+t14)))
      t4 = t34*t3*spbk3k2*spbk5k1
      t6 = t34*t1*spak1k4*spak1k6*spbk4k2*spbk5k1
      t8 = t34*t7*spbk3k2*spbk6k5
      t9 = t34*t2*spak4k6*spbk4k2*spbk6k5
      abb52n8 = ((8.0_ki)*(t4/t23+t6/t23+t8/t5+t9/t5+t34*t12/t13*spbk3k2*spbk5k1&
      &+t34*t21/t23*spbk3k2*spbk6k5+t34*t18/t23*spak4k6*spbk4k2*spbk6k5+t34*t10/&
      &t13*spak1k4*spak1k6*spbk4k2*spbk5k1-(t34*t17/t23*spak1k4*spak1k6*spbk4k2*&
      &spbk5k1+t34*t11/t13*spak4k6*spbk4k2*spbk6k5+t34*t19/t23*spbk3k2*spbk5k1+t&
      &34*t15/t13*spbk3k2*spbk6k5+t6/t5+t4/t5+t9/t23+t8/t23)))
      t1 = t34*t1*spak1k2*spak1k6*spbk4k2*spbk5k1
      t3 = t34*t3*spbk4k3*spbk5k1
      t2 = t34*t2*spak2k6*spbk4k2*spbk6k5
      t4 = t34*t7*spbk4k3*spbk6k5
      abb52n9 = ((8.0_ki)*(t1/t5+t2/t23+t3/t23+t4/t5+t34*t12/t13*spbk4k3*spbk5k1&
      &+t34*t21/t23*spbk4k3*spbk6k5+t34*t11/t13*spak2k6*spbk4k2*spbk6k5+t34*t17/&
      &t23*spak1k2*spak1k6*spbk4k2*spbk5k1-(t34*t10/t13*spak1k2*spak1k6*spbk4k2*&
      &spbk5k1+t34*t18/t23*spak2k6*spbk4k2*spbk6k5+t34*t19/t23*spbk4k3*spbk5k1+t&
      &34*t15/t13*spbk4k3*spbk6k5+t3/t5+t4/t23+t2/t5+t1/t23)))
      rat2d52 = 0
      rat2 = rat2 + rat2d52
      abb52n11 = abb52n1
      abb52n12 = -(abb52n2)
      abb52n13 = -(abb52n3)
      abb52n14 = -(abb52n4)
      abb52n15 = -(abb52n5)
      abb52n16 = -(abb52n6)
      abb52n17 = -(abb52n7)
      abb52n18 = -(abb52n8)
      abb52n19 = -(abb52n9)
   end subroutine
end module p0_dd_emnebardu_abbrevd52h1
