module     p2_ddbar_emnebarcsbar_d8h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p2_ddbar_emnebarcsbar/helicity1/d8h1l1d.f90
   ! generator: haggies (1.1)
   use p2_ddbar_emnebarcsbar_config, only: ki
   use p2_ddbar_emnebarcsbar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d8
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2) result(numerator)
      use p2_ddbar_emnebarcsbar_globalsl1, only: epspow
      use p2_ddbar_emnebarcsbar_kinematics
      use p2_ddbar_emnebarcsbar_abbrevd8h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      real(ki) :: t15
      real(ki) :: t16
      real(ki) :: t17
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k3+k6+k5+k4
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      t15 = dotproduct(k3, qshift)
      t16 = dotproduct(k4, qshift)
      t17 = dotproduct(k6, qshift)
      t1 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t2 = (spvak3k6(1)*qshift(1)-spvak3k6(2)*qshift(2)-spvak3k6(3)*qshift(3)-sp&
      &vak3k6(4)*qshift(4))
      t3 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t4 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t5 = (spvak5k4(1)*qshift(1)-spvak5k4(2)*qshift(2)-spvak5k4(3)*qshift(3)-sp&
      &vak5k4(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb8n17+t1*abb8n32+t15*abb8n31+t16*abb8n31+t17*abb8n31+t2*&
         &abb8n33+t3*abb8n38+abb8n25*dotproduct(qshift, qshift)+abb8n34*dotprodu&
         &ct(k5, qshift)+abb8n35*(spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-sp&
         &vak5k1(3)*qshift(3)-spvak5k1(4)*qshift(4))+abb8n37*dotproduct(k1, qshi&
         &ft)+abb8n37*dotproduct(k2, qshift)+t1*t3*abb8n19+t15*t3*abb8n21+t16*t3&
         &*abb8n21+t17*t3*abb8n21+t2*t3*abb8n18+t3*t4*abb8n20+t3*t5*abb8n22)
         return
      end if
      t6 = k3(iv1)
      t7 = k4(iv1)
      t8 = k6(iv1)
      t9 = spvak2k1(iv1)
      t10 = spvak3k4(iv1)
      t11 = spvak3k6(iv1)
      t12 = t9*abb8n40
      t13 = spvak5k4(iv1)
      t14 = spvak5k6(iv1)
      if(deg.eq.1) then
         numerator = (k1(iv1)*abb8n24+k2(iv1)*abb8n24+k5(iv1)*abb8n27+qshift(iv1&
         &)*abb8n36+spvak5k1(iv1)*abb8n26+t10*abb8n29+t11*abb8n28+t12*t15+t12*t1&
         &6+t12*t17+t6*abb8n30+t7*abb8n30+t8*abb8n30+t9*abb8n23+t1*t9*abb8n42+t1&
         &0*t3*abb8n42+t11*t3*abb8n43+t13*t3*abb8n39+t14*t3*abb8n41+t2*t9*abb8n4&
         &3+t3*t6*abb8n40+t3*t7*abb8n40+t3*t8*abb8n40+t4*t9*abb8n41+t5*t9*abb8n3&
         &9)
         return
      end if
      t1 = spvak2k1(iv2)
      if(deg.eq.2) then
         numerator = ((2.0_ki)*d(iv1,iv2)*abb8n25+k3(iv2)*t9*abb8n21+k4(iv2)*t9*&
         &abb8n21+k6(iv2)*t9*abb8n21+spvak3k4(iv2)*t9*abb8n19+spvak3k6(iv2)*t9*a&
         &bb8n18+spvak5k4(iv2)*t9*abb8n22+spvak5k6(iv2)*t9*abb8n20+t1*t10*abb8n1&
         &9+t1*t11*abb8n18+t1*t13*abb8n22+t1*t14*abb8n20+t1*t6*abb8n21+t1*t7*abb&
         &8n21+t1*t8*abb8n21)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d8:
   subroutine     reconstruct_d8(coeffs)
      use p2_ddbar_emnebarcsbar_groups, only: tensrec_info_group4
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group4), intent(out) :: coeffs
      ! rank 2 case:
      !---[# reconstruct coeffs%coeffs_8:
      coeffs%coeffs_8%c0 = derivative(czip)
      coeffs%coeffs_8%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_8%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_8%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_8%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_8%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_8%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_8%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_8%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_8%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_8%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_8%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_8%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_8%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_8%c2(6,1) = derivative(czip,3,4)
      !---#] reconstruct coeffs%coeffs_8:
   end subroutine reconstruct_d8
!---#] subroutine reconstruct_d8:
end module p2_ddbar_emnebarcsbar_d8h1l1d
