module     p3_ud_emnebaruu_abbrevd55h0
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh0
   implicit none
   private
   complex(ki), public :: abb55n1
   complex(ki), public :: abb55n2
   complex(ki), public :: abb55n3
   complex(ki), public :: abb55n4
   complex(ki), public :: abb55n5
   complex(ki), public :: abb55n6
   complex(ki), public :: abb55n7
   complex(ki), public :: abb55n8
   complex(ki), public :: abb55n9
   complex(ki), public :: abb55n10
   complex(ki), public :: abb55n11
   complex(ki), public :: rat2d55
   complex(ki), public :: abb55n13
   complex(ki), public :: abb55n14
   complex(ki), public :: abb55n15
   complex(ki), public :: abb55n16
   complex(ki), public :: abb55n17
   complex(ki), public :: abb55n18
   complex(ki), public :: abb55n19
   complex(ki), public :: abb55n20
   complex(ki), public :: abb55n21
   complex(ki), public :: abb55n22
   complex(ki), public :: abb55n23
   complex(ki), public :: abb55n24
   complex(ki), public :: abb55n25
   complex(ki), public :: abb55n26
   complex(ki), public :: abb55n27
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   real(ki) :: t18
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c2*i_
      t3 = t2*spak3k5*spak5k6
      t4 = t3*spbk4k2
      t18 = TR*TR
      t5 = NC*t1
      t6 = t2*spak3k6*spak5k6
      t7 = t6*spbk4k2
      t8 = c1*i_
      t9 = t8*spak3k5*spak5k6
      t10 = t9*spbk4k2
      t11 = t18*t10*spbk5k2
      t12 = t8*spak3k6*spak5k6
      t13 = t12*spbk4k2
      t14 = t18*t13*spbk6k2
      t15 = NC*NC*t1
      abb55n1 = ((8.0_ki)*(-(t18/t5*t7*spbk6k2+t18*t4/t5*spbk5k2))+(4.0_ki)*(t11&
      &/t1+t14/t1+t11/t15+t14/t15))
      t11 = t18*t8*spak1k3*spak5k6*spbk2k1*spbk4k1
      t14 = t18*t8*spak2k3*spak5k6*spbk2k1*spbk4k2
      t16 = t18*t9*spbk2k1*spbk5k4
      t17 = t18*t12*spbk2k1*spbk6k4
      abb55n2 = ((8.0_ki)*(t18*t3/t5*spbk2k1*spbk5k4+t18/t5*t6*spbk2k1*spbk6k4+t&
      &18*t2/t5*spak1k3*spak5k6*spbk2k1*spbk4k1+t18*t2/t5*spak2k3*spak5k6*spbk2k&
      &1*spbk4k2)+(4.0_ki)*(-(t17/t15+t16/t15+t14/t15+t11/t15+t17/t1+t16/t1+t14/&
      &t1+t11/t1)))
      t8 = t8*spak5k6
      t11 = t18*t8*spbk2k1
      t14 = t11/t1
      t11 = t11/t15
      t2 = t2*spak5k6
      t16 = (2.0_ki)*t18*t2/t5*spbk2k1
      abb55n3 = ((8.0_ki)*(t11+t14-t16))
      abb55n4 = ((8.0_ki)*(t16-(t14+t11)))
      t3 = t3*spbk4k1
      t6 = t6*spbk4k1
      t9 = t9*spbk4k1
      t11 = t18*t9*spbk5k1
      t12 = t12*spbk4k1
      t14 = t18*t12*spbk6k1
      abb55n5 = ((8.0_ki)*(t18*t3/t5*spbk5k1+t18/t5*t6*spbk6k1)+(4.0_ki)*(-(t14/&
      &t15+t11/t15+t14/t1+t11/t1)))
      t9 = t18*t9*spbk5k2
      t11 = t18*t12*spbk6k2
      abb55n6 = ((16.0_ki)*(-(t18/t5*t6*spbk6k2+t18*t3/t5*spbk5k2))+(8.0_ki)*(t1&
      &1/t1+t9/t1+t11/t15+t9/t15))
      t3 = t18*t8*spbk4k1
      t6 = t3/t1
      t3 = t3/t15
      t9 = (2.0_ki)*t18*t2/t5*spbk4k1
      abb55n7 = ((8.0_ki)*(t3+t6-t9))
      abb55n8 = ((4.0_ki)*(t9-(t6+t3)))
      t3 = t18*t10*spbk5k1
      t6 = t18*t13*spbk6k1
      abb55n9 = ((16.0_ki)*(t18*t4/t5*spbk5k1+t18/t5*t7*spbk6k1)+(8.0_ki)*(-(t6/&
      &t15+t3/t15+t6/t1+t3/t1)))
      t3 = t18*t8*spbk4k2
      t1 = t3/t1
      t3 = t3/t15
      t2 = (2.0_ki)*t18*t2/t5*spbk4k2
      abb55n10 = ((4.0_ki)*(t1+t3-t2))
      abb55n11 = ((8.0_ki)*(t2-(t3+t1)))
      rat2d55 = 0
      rat2 = rat2 + rat2d55
      abb55n13 = -(abb55n1)
      abb55n14 = abb55n11
      abb55n15 = abb55n7
      abb55n16 = abb55n4
      abb55n17 = abb55n2
      abb55n18 = ((2.0_ki)*abb55n2)
      abb55n19 = -(abb55n3)
      abb55n20 = (-2.0_ki)*abb55n3
      abb55n21 = -(abb55n5)
      abb55n22 = -(abb55n6)
      abb55n23 = -(abb55n8)
      abb55n24 = (-2.0_ki)*abb55n8
      abb55n25 = -(abb55n9)
      abb55n26 = -(abb55n10)
      abb55n27 = (-2.0_ki)*abb55n10
   end subroutine
end module p3_ud_emnebaruu_abbrevd55h0
