module     p3_ud_emnebaruu_d69h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p3_ud_emnebaruu/helicity0/d69h0l1d.f90
   ! generator: haggies (1.1)
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d69
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2) result(numerator)
      use p3_ud_emnebaruu_globalsl1, only: epspow
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_abbrevd69h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      real(ki) :: t15
      real(ki) :: t16
      real(ki) :: t17
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k3-k6-k5-k4
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      t1 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t2 = (spvak6k4(1)*qshift(1)-spvak6k4(2)*qshift(2)-spvak6k4(3)*qshift(3)-sp&
      &vak6k4(4)*qshift(4))
      t3 = (spvak6k2(1)*qshift(1)-spvak6k2(2)*qshift(2)-spvak6k2(3)*qshift(3)-sp&
      &vak6k2(4)*qshift(4))
      t4 = (spvak3k2(1)*qshift(1)-spvak3k2(2)*qshift(2)-spvak3k2(3)*qshift(3)-sp&
      &vak3k2(4)*qshift(4))
      t5 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t15 = dotproduct(k3, qshift)
      t16 = dotproduct(k4, qshift)
      t17 = dotproduct(k2, qshift)
      if(deg.eq.0) then
         numerator = (abb69n15+t1*abb69n27+abb69n18*dotproduct(qshift, qshift)+a&
         &bb69n23*(spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshif&
         &t(3)-spvak3k1(4)*qshift(4))+abb69n24*(spvak6k1(1)*qshift(1)-spvak6k1(2&
         &)*qshift(2)-spvak6k1(3)*qshift(3)-spvak6k1(4)*qshift(4))+abb69n26*dotp&
         &roduct(k5, qshift)+t1*t15*abb69n21+t1*t16*abb69n21+t1*t17*abb69n22+t1*&
         &t2*abb69n16+t1*t3*abb69n17+t1*t4*abb69n19+t1*t5*abb69n20)
         return
      end if
      t6 = spvak5k1(iv1)
      t7 = k2(iv1)
      t8 = k3(iv1)
      t9 = k4(iv1)
      t10 = spvak3k2(iv1)
      t11 = spvak3k4(iv1)
      t12 = t6*abb69n21
      t13 = spvak6k2(iv1)
      t14 = spvak6k4(iv1)
      if(deg.eq.1) then
         numerator = (k5(iv1)*abb69n26+qshift(iv1)*abb69n25+spvak3k1(iv1)*abb69n&
         &23+spvak6k1(iv1)*abb69n24+t12*t15+t12*t16+t6*abb69n27+t1*t10*abb69n19+&
         &t1*t11*abb69n20+t1*t13*abb69n17+t1*t14*abb69n16+t1*t7*abb69n22+t1*t8*a&
         &bb69n21+t1*t9*abb69n21+t17*t6*abb69n22+t2*t6*abb69n16+t3*t6*abb69n17+t&
         &4*t6*abb69n19+t5*t6*abb69n20)
         return
      end if
      t1 = spvak5k1(iv2)
      if(deg.eq.2) then
         numerator = ((2.0_ki)*d(iv1,iv2)*abb69n18+k2(iv2)*t6*abb69n22+k3(iv2)*t&
         &6*abb69n21+k4(iv2)*t6*abb69n21+spvak3k2(iv2)*t6*abb69n19+spvak3k4(iv2)&
         &*t6*abb69n20+spvak6k2(iv2)*t6*abb69n17+spvak6k4(iv2)*t6*abb69n16+t1*t1&
         &0*abb69n19+t1*t11*abb69n20+t1*t13*abb69n17+t1*t14*abb69n16+t1*t7*abb69&
         &n22+t1*t8*abb69n21+t1*t9*abb69n21)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d69:
   subroutine     reconstruct_d69(coeffs)
      use p3_ud_emnebaruu_groups, only: tensrec_info_group7
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group7), intent(out) :: coeffs
      ! rank 2 case:
      !---[# reconstruct coeffs%coeffs_69:
      coeffs%coeffs_69%c0 = derivative(czip)
      coeffs%coeffs_69%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_69%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_69%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_69%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_69%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_69%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_69%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_69%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_69%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_69%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_69%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_69%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_69%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_69%c2(6,1) = derivative(czip,3,4)
      !---#] reconstruct coeffs%coeffs_69:
   end subroutine reconstruct_d69
!---#] subroutine reconstruct_d69:
end module p3_ud_emnebaruu_d69h0l1d
