module     p3_ud_emnebaruu_abbrevd3h1
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh1
   implicit none
   private
   complex(ki), public :: abb3n1
   complex(ki), public :: abb3n2
   complex(ki), public :: abb3n3
   complex(ki), public :: abb3n4
   complex(ki), public :: abb3n5
   complex(ki), public :: abb3n6
   complex(ki), public :: abb3n7
   complex(ki), public :: abb3n8
   complex(ki), public :: abb3n9
   complex(ki), public :: abb3n10
   complex(ki), public :: abb3n11
   complex(ki), public :: abb3n12
   complex(ki), public :: abb3n13
   complex(ki), public :: abb3n14
   complex(ki), public :: abb3n15
   complex(ki), public :: abb3n16
   complex(ki), public :: abb3n17
   complex(ki), public :: abb3n18
   complex(ki), public :: abb3n19
   complex(ki), public :: abb3n20
   complex(ki), public :: abb3n21
   complex(ki), public :: abb3n22
   complex(ki), public :: abb3n23
   complex(ki), public :: abb3n24
   complex(ki), public :: abb3n25
   complex(ki), public :: abb3n26
   complex(ki), public :: abb3n27
   complex(ki), public :: abb3n28
   complex(ki), public :: abb3n29
   complex(ki), public :: abb3n30
   complex(ki), public :: abb3n31
   complex(ki), public :: abb3n32
   complex(ki), public :: rat2d3
   complex(ki), public :: abb3n34
   complex(ki), public :: abb3n35
   complex(ki), public :: abb3n36
   complex(ki), public :: abb3n37
   complex(ki), public :: abb3n38
   complex(ki), public :: abb3n39
   complex(ki), public :: abb3n40
   complex(ki), public :: abb3n41
   complex(ki), public :: abb3n42
   complex(ki), public :: abb3n43
   complex(ki), public :: abb3n44
   complex(ki), public :: abb3n45
   complex(ki), public :: abb3n46
   complex(ki), public :: abb3n47
   complex(ki), public :: abb3n48
   complex(ki), public :: abb3n49
   complex(ki), public :: abb3n50
   complex(ki), public :: abb3n51
   complex(ki), public :: abb3n52
   complex(ki), public :: abb3n53
   complex(ki), public :: abb3n54
   complex(ki), public :: abb3n55
   complex(ki), public :: abb3n56
   complex(ki), public :: abb3n57
   complex(ki), public :: abb3n58
   complex(ki), public :: abb3n59
   complex(ki), public :: abb3n60
   complex(ki), public :: abb3n61
   complex(ki), public :: abb3n62
   complex(ki), public :: abb3n63
   complex(ki), public :: abb3n64
   complex(ki), public :: abb3n65
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   real(ki) :: t26
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = es12*c1*i_
      t26 = TR*TR
      t2 = (es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t3 = NC*NC*t2
      t4 = es345*c1*i_
      t5 = es61*c1*i_
      t6 = es12*c2*i_
      t2 = NC*t2
      t7 = es345*c2*i_
      t8 = es61*c2*i_
      abb3n1 = ((4.0_ki)*(t26*t1/t3*spak1k2*spak3k6*spbk4k2*spbk5k2+t26*t1/t3*sp&
      &ak1k5*spak3k6*spbk5k2*spbk5k4+t26/t2*t7*spak1k2*spak3k6*spbk4k2*spbk5k2+t&
      &26/t2*t7*spak1k5*spak3k6*spbk5k2*spbk5k4+t26/t3*t5*spak1k2*spak3k6*spbk4k&
      &2*spbk5k2+t26/t3*t5*spak1k5*spak3k6*spbk5k2*spbk5k4-(t26/t3*t4*spak1k5*sp&
      &ak3k6*spbk5k2*spbk5k4+t26/t3*t4*spak1k2*spak3k6*spbk4k2*spbk5k2+t26/t2*t8&
      &*spak1k5*spak3k6*spbk5k2*spbk5k4+t26/t2*t8*spak1k2*spak3k6*spbk4k2*spbk5k&
      &2+t26/t2*t6*spak1k5*spak3k6*spbk5k2*spbk5k4+t26/t2*t6*spak1k2*spak3k6*spb&
      &k4k2*spbk5k2)))
      t9 = c1*i_
      t10 = t9*spak1k2
      t11 = c2*i_
      t12 = t11*spak1k2
      abb3n2 = ((4.0_ki)*(t26*t12/t2*spbk5k2-t26*t10/t3*spbk5k2))
      t13 = t9*spak1k3
      t14 = t13*spak2k6
      t15 = t14*spbk4k2
      t16 = t26*t15/t3*spbk5k2
      t17 = t11*spak1k3
      t18 = t17*spak2k6
      t19 = t18*spbk4k2
      t20 = t26*t19/t2*spbk5k2
      abb3n3 = ((8.0_ki)*(t16-t20))
      abb3n4 = ((8.0_ki)*(t20-t16))
      t21 = t26*t13/t3*spbk5k2
      t22 = t26*t17/t2*spbk5k2
      abb3n5 = ((8.0_ki)*(t21-t22))
      t21 = t22-t21
      abb3n6 = ((4.0_ki)*t21)
      abb3n7 = ((8.0_ki)*t21)
      t21 = t9*spak3k6
      t22 = t11*spak3k6
      abb3n8 = ((4.0_ki)*(t26*t21/t3*spbk4k1-t26*t22/t2*spbk4k1))
      t23 = t9*spak1k5
      t24 = TR*spbk5k2
      t24 = t24*t24
      t25 = t11*spak1k5
      abb3n9 = ((4.0_ki)*(t24/t2*t25*spak2k6-t23*t24/t3*spak2k6))
      abb3n10 = ((8.0_ki)*(t26*t12/t2*spak3k6*spbk4k2*spbk5k2+t26*t25/t2*spak3k6&
      &*spbk5k2*spbk5k4-(t26*t23/t3*spak3k6*spbk5k2*spbk5k4+t26*t10/t3*spak3k6*s&
      &pbk4k2*spbk5k2)))
      abb3n11 = ((4.0_ki)*(t26*t23/t3*spbk5k2-t26*t25/t2*spbk5k2))
      t10 = t9*spak1k6
      t12 = t10*spak3k6
      t23 = t11*spak1k6
      t24 = t23*spak3k6
      abb3n12 = ((8.0_ki)*(t20+t26*t24/t2*spbk4k2*spbk6k5-(t26*t12/t3*spbk4k2*sp&
      &bk6k5+t16)))
      t25 = t26*t10/t3*spbk5k2-t26*t23/t2*spbk5k2
      abb3n13 = ((8.0_ki)*t25)
      abb3n14 = ((4.0_ki)*t25)
      t12 = t12*spbk5k4
      t24 = t24*spbk5k4
      abb3n15 = ((4.0_ki)*(t16+t26*t24/t2*spbk6k2+t26*t17/t2*spak1k6*spbk4k2*spb&
      &k5k1+t26*t23/t2*spak2k3*spbk4k2*spbk5k2-(t26*t13/t3*spak1k6*spbk4k2*spbk5&
      &k1+t26*t10/t3*spak2k3*spbk4k2*spbk5k2+t26*t12/t3*spbk6k2+t20)))
      abb3n16 = ((4.0_ki)*(t26*t24/t2*spbk6k5-t26*t12/t3*spbk6k5))
      t12 = t26*t10/t3*spbk5k4
      t16 = t26*t23/t2*spbk5k4
      t20 = t12-t16
      abb3n17 = ((8.0_ki)*t20)
      abb3n18 = ((4.0_ki)*t20)
      abb3n19 = ((8.0_ki)*(t16-t12))
      t1 = t1*spak3k6
      t4 = t4*spak3k6
      t5 = t5*spak3k6
      t6 = t6*spak3k6
      t7 = t7*spak3k6
      t8 = t8*spak3k6
      t12 = t9*spak2k6
      t16 = t11*spak2k6
      abb3n20 = ((4.0_ki)*(t26*t1/t3*spbk4k2+t26/t2*t7*spbk4k2+t26/t3*t5*spbk4k2&
      &+t26*t18/t2*spbk2k1*spbk4k2+t26*t12/t3*spak3k5*spbk4k2*spbk5k2-(t26*t16/t&
      &2*spak3k5*spbk4k2*spbk5k2+t26*t14/t3*spbk2k1*spbk4k2+t26/t3*t4*spbk4k2+t2&
      &6/t2*t8*spbk4k2+t26/t2*t6*spbk4k2)))
      abb3n21 = ((4.0_ki)*(t26*t1/t3*spbk5k4+t26*t15/t3*spbk5k1+t26/t2*t7*spbk5k&
      &4+t26/t3*t5*spbk5k4+t26*t12/t3*spak3k6*spbk4k2*spbk6k5+t26/t3*t9*spak2k3*&
      &spak2k6*spbk4k2*spbk5k2+es56*t26/t3*c1*i_*spak3k6*spbk5k4-(es56*t26/t2*c2&
      &*i_*spak3k6*spbk5k4+t26*t11/t2*spak2k3*spak2k6*spbk4k2*spbk5k2+t26*t16/t2&
      &*spak3k6*spbk4k2*spbk6k5+t26/t3*t4*spbk5k4+t26/t2*t8*spbk5k4+t26/t2*t6*sp&
      &bk5k4+t26*t19/t2*spbk5k1)))
      t1 = t26*t21/t3*spbk4k2
      t4 = t26*t22/t2*spbk4k2
      abb3n22 = ((8.0_ki)*(t1-t4))
      abb3n23 = ((8.0_ki)*(t4-t1))
      abb3n24 = ((8.0_ki)*(t26*t16/t2*spbk5k2-t26*t12/t3*spbk5k2))
      abb3n25 = ((4.0_ki)*(t26*t13/t3*spbk2k1+t26*t11/t2*spak3k5*spbk5k2-(t26/t3&
      &*t9*spak3k5*spbk5k2+t26*t17/t2*spbk2k1)))
      t1 = t26*t21/t3*spbk5k4
      t4 = t26*t22/t2*spbk5k4
      t5 = t1-t4
      abb3n26 = ((8.0_ki)*t5)
      abb3n27 = ((4.0_ki)*t5)
      t1 = t4-t1
      abb3n28 = ((4.0_ki)*t1)
      abb3n29 = ((8.0_ki)*t1)
      abb3n30 = ((4.0_ki)*(t26*t22/t2*spbk6k4-t26*t21/t3*spbk6k4))
      abb3n31 = ((4.0_ki)*(t26*t16/t2*spbk4k2+t26*t23/t2*spbk4k1+t26*t11/t2*spak&
      &5k6*spbk5k4-(t26/t3*t9*spak5k6*spbk5k4+t26*t12/t3*spbk4k2+t26*t10/t3*spbk&
      &4k1)))
      abb3n32 = ((4.0_ki)*(t26/t3*t9-t26*t11/t2))
      rat2d3 = 0
      rat2 = rat2 + rat2d3
      abb3n34 = abb3n1
      abb3n35 = abb3n32
      abb3n36 = abb3n31
      abb3n37 = abb3n30
      abb3n38 = abb3n29
      abb3n39 = abb3n28
      abb3n40 = abb3n27
      abb3n41 = abb3n26
      abb3n42 = abb3n25
      abb3n43 = abb3n24
      abb3n44 = abb3n23
      abb3n45 = abb3n22
      abb3n46 = abb3n21
      abb3n47 = abb3n20
      abb3n48 = abb3n19
      abb3n49 = abb3n18
      abb3n50 = abb3n17
      abb3n51 = abb3n16
      abb3n52 = abb3n15
      abb3n53 = abb3n14
      abb3n54 = abb3n13
      abb3n55 = abb3n12
      abb3n56 = abb3n11
      abb3n57 = abb3n10
      abb3n58 = abb3n9
      abb3n59 = abb3n8
      abb3n60 = abb3n7
      abb3n61 = abb3n6
      abb3n62 = abb3n5
      abb3n63 = abb3n4
      abb3n64 = abb3n3
      abb3n65 = abb3n2
   end subroutine
end module p3_ud_emnebaruu_abbrevd3h1
