module     p6_dubar_emnebarssbar_abbrevd29h1
   use p6_dubar_emnebarssbar_config, only: ki
   use p6_dubar_emnebarssbar_globalsh1
   implicit none
   private
   complex(ki), public :: abb29n1
   complex(ki), public :: abb29n2
   complex(ki), public :: abb29n3
   complex(ki), public :: abb29n4
   complex(ki), public :: abb29n5
   complex(ki), public :: abb29n6
   complex(ki), public :: abb29n7
   complex(ki), public :: abb29n8
   complex(ki), public :: abb29n9
   complex(ki), public :: abb29n10
   complex(ki), public :: abb29n11
   complex(ki), public :: abb29n12
   complex(ki), public :: abb29n13
   complex(ki), public :: rat2d29
   complex(ki), public :: abb29n15
   complex(ki), public :: abb29n16
   complex(ki), public :: abb29n17
   complex(ki), public :: abb29n18
   complex(ki), public :: abb29n19
   complex(ki), public :: abb29n20
   complex(ki), public :: abb29n21
   complex(ki), public :: abb29n22
   complex(ki), public :: abb29n23
   complex(ki), public :: abb29n24
   complex(ki), public :: abb29n25
   complex(ki), public :: abb29n26
   complex(ki), public :: abb29n27
   complex(ki), public :: abb29n28
   complex(ki), public :: abb29n29
   complex(ki), public :: abb29n30
   complex(ki), public :: abb29n31
   complex(ki), public :: abb29n32
   complex(ki), public :: abb29n33
   complex(ki), public :: abb29n34
   complex(ki), public :: abb29n35
   complex(ki), public :: abb29n36
   complex(ki), public :: abb29n37
   complex(ki), public :: abb29n38
   complex(ki), public :: abb29n39
   complex(ki), public :: abb29n40
   complex(ki), public :: abb29n41
   complex(ki), public :: abb29n42
   complex(ki), public :: abb29n43
   complex(ki), public :: abb29n44
   complex(ki), public :: abb29n45
   complex(ki), public :: abb29n46
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   real(ki) :: t20
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p6_dubar_emnebarssbar_config, only: deltaOS
      use p6_dubar_emnebarssbar_kinematics
      use p6_dubar_emnebarssbar_model
      use p6_dubar_emnebarssbar_color, only: TR
      use p6_dubar_emnebarssbar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c2*i_
      t3 = t2*spak2k3
      t4 = t3*spak2k5
      t20 = TR*TR
      t5 = NC*t1
      t6 = t2*spak2k5
      t7 = t6*spak3k5
      t8 = c1*i_
      t9 = t8*spak2k3
      t10 = t9*spak2k5
      t11 = t20*t10*spbk6k2*spbk6k4
      t12 = t8*spak2k5
      t13 = t12*spak3k5
      t14 = t20*t13*spbk6k4*spbk6k5
      t15 = NC*NC*t1
      abb29n1 = ((8.0_ki)*(-(t20/t5*t7*spbk6k4*spbk6k5+t20*t4/t5*spbk6k2*spbk6k4&
      &))+(4.0_ki)*(t11/t1+t14/t1+t11/t15+t14/t15))
      t11 = t4*spbk2k1
      t14 = t7*spbk4k1
      t16 = t10*spbk2k1
      t17 = t20*t16*spbk4k1
      t18 = t13*spbk4k1
      t19 = t20*t18*spbk5k1
      abb29n2 = ((8.0_ki)*(-(t20*t14/t5*spbk5k1+t20*t11/t5*spbk4k1))+(4.0_ki)*(t&
      &17/t1+t19/t1+t17/t15+t19/t15))
      t17 = t20*t10*spbk4k1*spbk6k2
      t18 = t20*t18*spbk6k5
      abb29n3 = ((16.0_ki)*(-(t20*t4/t5*spbk4k1*spbk6k2+t20*t14/t5*spbk6k5))+(8.&
      &0_ki)*(t17/t1+t18/t1+t17/t15+t18/t15))
      t14 = t20*t12*spbk4k1
      t17 = t14/t1
      t14 = t14/t15
      t18 = (2.0_ki)*t20/t5*t6*spbk4k1
      t19 = t14+t17-t18
      abb29n4 = ((8.0_ki)*t19)
      abb29n5 = ((4.0_ki)*t19)
      abb29n6 = ((8.0_ki)*(t18-(t17+t14)))
      t14 = t20*t16*spbk6k4
      t16 = t20*t13*spbk5k1*spbk6k4
      abb29n7 = ((16.0_ki)*(-(t20/t5*t7*spbk5k1*spbk6k4+t20*t11/t5*spbk6k4))+(8.&
      &0_ki)*(t14/t1+t16/t1+t14/t15+t16/t15))
      t11 = t20*t12*spbk6k1
      t14 = t11/t1
      t11 = t11/t15
      t16 = (2.0_ki)*t20/t5*t6*spbk6k1
      abb29n8 = ((8.0_ki)*(t11+t14-t16))
      abb29n9 = ((8.0_ki)*(t16-(t14+t11)))
      t11 = t20*t8*spak1k2*spak3k5*spbk4k1*spbk6k1
      t14 = t20*t8*spak1k5*spak2k3*spbk4k1*spbk6k1
      t10 = t20*t10*spbk4k2*spbk6k1
      t9 = t20*t9*spak5k6*spbk6k1*spbk6k4
      t13 = t20*t13*spbk5k4*spbk6k1
      t8 = t20*t8*spak2k6*spak3k5*spbk6k1*spbk6k4
      abb29n10 = ((8.0_ki)*(t20/t5*t7*spbk5k4*spbk6k1+t20*t2/t5*spak1k2*spak3k5*&
      &spbk4k1*spbk6k1+t20*t2/t5*spak1k5*spak2k3*spbk4k1*spbk6k1-(t20*t2/t5*spak&
      &2k6*spak3k5*spbk6k1*spbk6k4+t20*t3/t5*spak5k6*spbk6k1*spbk6k4+t20*t4/t5*s&
      &pbk4k2*spbk6k1))+(4.0_ki)*(t10/t1+t8/t1+t9/t1+t10/t15+t8/t15+t9/t15-(t14/&
      &t15+t13/t15+t11/t15+t14/t1+t13/t1+t11/t1)))
      t2 = t20*t12*spbk6k4
      t1 = t2/t1
      t2 = t2/t15
      t3 = (2.0_ki)*t20/t5*t6*spbk6k4
      t4 = t1+t2-t3
      abb29n11 = ((8.0_ki)*t4)
      abb29n12 = ((4.0_ki)*t4)
      abb29n13 = ((8.0_ki)*(t3-(t2+t1)))
      rat2d29 = 0
      rat2 = rat2 + rat2d29
      abb29n15 = -(abb29n1)
      abb29n16 = abb29n13
      abb29n17 = abb29n12
      abb29n18 = abb29n11
      abb29n19 = abb29n10
      abb29n20 = abb29n9
      abb29n21 = abb29n8
      abb29n22 = abb29n7
      abb29n23 = abb29n6
      abb29n24 = abb29n5
      abb29n25 = abb29n4
      abb29n26 = abb29n3
      abb29n27 = abb29n2
      abb29n28 = abb29n1
      abb29n29 = -(abb29n2)
      abb29n30 = -(abb29n3)
      abb29n31 = -(abb29n4)
      t1 = (2.0_ki)*abb29n5
      abb29n32 = t1
      abb29n33 = -(abb29n5)
      abb29n34 = -(t1)
      abb29n35 = -(abb29n6)
      abb29n36 = -(abb29n7)
      abb29n37 = -(abb29n8)
      t1 = (2.0_ki)*abb29n9
      abb29n38 = t1
      abb29n39 = -(abb29n9)
      abb29n40 = -(t1)
      abb29n41 = (-2.0_ki)*abb29n10
      abb29n42 = -(abb29n11)
      t1 = (2.0_ki)*abb29n12
      abb29n43 = t1
      abb29n44 = -(abb29n12)
      abb29n45 = -(t1)
      abb29n46 = -(abb29n13)
   end subroutine
end module p6_dubar_emnebarssbar_abbrevd29h1
