module     p6_dubar_emnebarssbar_abbrevd9h1
   use p6_dubar_emnebarssbar_config, only: ki
   use p6_dubar_emnebarssbar_globalsh1
   implicit none
   private
   complex(ki), public :: abb9n1
   complex(ki), public :: abb9n2
   complex(ki), public :: abb9n3
   complex(ki), public :: abb9n4
   complex(ki), public :: abb9n5
   complex(ki), public :: abb9n6
   complex(ki), public :: rat2d9
   complex(ki), public :: abb9n8
   complex(ki), public :: abb9n9
   complex(ki), public :: abb9n10
   complex(ki), public :: abb9n11
   complex(ki), public :: abb9n12
   complex(ki), public :: abb9n13
   complex(ki), public :: abb9n14
   complex(ki), public :: abb9n15
   complex(ki), public :: abb9n16
   complex(ki), public :: abb9n17
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   real(ki) :: t19
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p6_dubar_emnebarssbar_config, only: deltaOS
      use p6_dubar_emnebarssbar_kinematics
      use p6_dubar_emnebarssbar_model
      use p6_dubar_emnebarssbar_color, only: TR
      use p6_dubar_emnebarssbar_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t19 = TR*TR
      t2 = t19*t1*spak2k3*spak2k5*spbk4k1*spbk6k2
      t3 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)
      t4 = es56*t3
      t5 = t2/t4
      t1 = t1*spak2k5
      t6 = t19*t1*spak3k5*spbk4k1*spbk6k5
      t7 = t6/t4
      t8 = NC*NC*t4
      t2 = t2/t8
      t6 = t6/t8
      t9 = c2*i_
      t3 = es56*NC*t3
      t10 = t19/t3*t9*spak2k3*spak2k5*spbk4k1*spbk6k2
      t9 = t9*spak2k5
      t11 = t19/t3*t9*spak3k5*spbk4k1*spbk6k5
      t12 = NC*c2*i_
      t13 = t19*t12/t4*spak2k3*spak2k5*spbk4k1*spbk6k2
      t12 = t12*spak2k5
      t14 = t19*t12/t4*spak3k5*spbk4k1*spbk6k5
      abb9n1 = ((2.0_ki)*(t13+t14+t2+t6-(t7+t5+t11+t10)))
      t15 = t1*spak3k4*spbk4k1
      t16 = t19*t15*spbk6k2
      t17 = t9*spak3k4*spbk4k1
      t18 = t12*spak3k4*spbk4k1
      abb9n2 = ((4.0_ki)*(t16/t4+t19*t17/t3*spbk6k2-(t19*t18/t4*spbk6k2+t16/t8))&
      &)
      t15 = t19*t15*spbk6k5
      abb9n3 = ((4.0_ki)*(t15/t8+t19*t18/t4*spbk6k5-(t19*t17/t3*spbk6k5+t15/t4))&
      &)
      abb9n4 = ((4.0_ki)*(t10+t11+t5+t7-(t6+t2+t14+t13)))
      t2 = t19*t1*spbk6k2
      abb9n5 = ((4.0_ki)*(t2/t8+t19*t12/t4*spbk6k2-(t19/t3*t9*spbk6k2+t2/t4)))
      t1 = t19*t1*spbk6k5
      abb9n6 = ((4.0_ki)*(t1/t4+t19/t3*t9*spbk6k5-(t19*t12/t4*spbk6k5+t1/t8)))
      rat2d9 = abb9n1
      rat2 = rat2 + rat2d9
      abb9n8 = -(abb9n3)
      abb9n9 = abb9n6
      abb9n10 = abb9n5
      abb9n11 = abb9n4
      abb9n12 = abb9n3
      abb9n13 = abb9n2
      abb9n14 = -(abb9n2)
      abb9n15 = (-2.0_ki)*abb9n4
      abb9n16 = -(abb9n5)
      abb9n17 = -(abb9n6)
   end subroutine
end module p6_dubar_emnebarssbar_abbrevd9h1
