module     p6_dubar_emnebarssbar_diagramsh1l0
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p6_dubar_emnebarssbar/helicity1/diagramsl0.f90
   ! generator: haggies (1.1)
   use p6_dubar_emnebarssbar_color, only: numcs
   use p6_dubar_emnebarssbar_config, only: ki
   implicit none

   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   complex(ki), dimension(numcs), parameter :: zero_col = 0.0_ki

   public :: amplitude

contains
   function     amplitude()
      use p6_dubar_emnebarssbar_model
      use p6_dubar_emnebarssbar_kinematics
      use p6_dubar_emnebarssbar_color
      use p6_dubar_emnebarssbar_config, only: debug_lo_diagrams, &
        & use_sorted_sum
      use p6_dubar_emnebarssbar_accu, only: sorted_sum
      use p6_dubar_emnebarssbar_util, only: inspect_lo_diagram
      implicit none
      complex(ki), dimension(numcs) :: amplitude
      complex(ki), dimension(2,numcs) :: diagrams
      integer :: i
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      diagrams(:,:) = (0.0_ki, 0.0_ki)
      t1 = es34+i_*mW*wW-mW*mW
      t2 = spak2k5*spbk4k2*spbk6k1
      t3 = t1*es234*es56
      t4 = spak3k5*spbk4k3*spbk6k1
      t5 = t1*NC*es234*es56
      diagrams(2, :) = (spak2k3*i_*TR*(4.0_ki)*((t4/t3-t2/t3)*c2+(t2/t5-t4/t5)*c&
      &1))
      t2 = spak1k3*spbk4k1*spbk6k1
      t1 = (es34+es56-(es234+es12))*t1
      t3 = t1*es56
      t4 = spak3k4*spbk4k1*spbk6k4
      t1 = t1*NC*es56
      diagrams(1, :) = (spak2k5*i_*TR*(4.0_ki)*((-(t4/t1+t2/t1))*c1+(t2/t3+t4/t3&
      &)*c2))
      if (debug_lo_diagrams) then
         call inspect_lo_diagram(diagrams(1,:), 1, 1, 19)
         call inspect_lo_diagram(diagrams(2,:), 2, 1, 19)
      end if

      if (use_sorted_sum) then
         do i=1,numcs
            amplitude(i) = sorted_sum(diagrams(:,i))
         end do
      else
         do i=1,numcs
            amplitude(i) = sum(diagrams(:,i))
         end do
      end if
   end function     amplitude
end module p6_dubar_emnebarssbar_diagramsh1l0
