module     p7_dubar_emnebargg_abbrevd28h1
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh1
   implicit none
   private
   complex(ki), public :: abb28n1
   complex(ki), public :: abb28n2
   complex(ki), public :: abb28n3
   complex(ki), public :: abb28n4
   complex(ki), public :: abb28n5
   complex(ki), public :: abb28n6
   complex(ki), public :: abb28n7
   complex(ki), public :: abb28n8
   complex(ki), public :: abb28n9
   complex(ki), public :: abb28n10
   complex(ki), public :: abb28n11
   complex(ki), public :: abb28n12
   complex(ki), public :: abb28n13
   complex(ki), public :: abb28n14
   complex(ki), public :: abb28n15
   complex(ki), public :: abb28n16
   complex(ki), public :: abb28n17
   complex(ki), public :: abb28n18
   complex(ki), public :: abb28n19
   complex(ki), public :: abb28n20
   complex(ki), public :: abb28n21
   complex(ki), public :: abb28n22
   complex(ki), public :: abb28n23
   complex(ki), public :: abb28n24
   complex(ki), public :: abb28n25
   complex(ki), public :: abb28n26
   complex(ki), public :: abb28n27
   complex(ki), public :: rat2d28
   complex(ki), public :: abb28n29
   complex(ki), public :: abb28n30
   complex(ki), public :: abb28n31
   complex(ki), public :: abb28n32
   complex(ki), public :: abb28n33
   complex(ki), public :: abb28n34
   complex(ki), public :: abb28n35
   complex(ki), public :: abb28n36
   complex(ki), public :: abb28n37
   complex(ki), public :: abb28n38
   complex(ki), public :: abb28n39
   complex(ki), public :: abb28n40
   complex(ki), public :: abb28n41
   complex(ki), public :: abb28n42
   complex(ki), public :: abb28n43
   complex(ki), public :: abb28n44
   complex(ki), public :: abb28n45
   complex(ki), public :: abb28n46
   complex(ki), public :: abb28n47
   complex(ki), public :: abb28n48
   complex(ki), public :: abb28n49
   complex(ki), public :: abb28n50
   complex(ki), public :: abb28n51
   complex(ki), public :: abb28n52
   complex(ki), public :: abb28n53
   complex(ki), public :: abb28n54
   complex(ki), public :: abb28n55
   complex(ki), public :: abb28n56
   complex(ki), public :: abb28n57
   complex(ki), public :: abb28n58
   complex(ki), public :: abb28n59
   complex(ki), public :: abb28n60
   complex(ki), public :: abb28n61
   complex(ki), public :: abb28n62
   complex(ki), public :: abb28n63
   complex(ki), public :: abb28n64
   complex(ki), public :: abb28n65
   complex(ki), public :: abb28n66
   complex(ki), public :: abb28n67
   complex(ki), public :: abb28n68
   complex(ki), public :: abb28n69
   complex(ki), public :: abb28n70
   complex(ki), public :: abb28n71
   complex(ki), public :: abb28n72
   complex(ki), public :: abb28n73
   complex(ki), public :: abb28n74
   complex(ki), public :: abb28n75
   complex(ki), public :: abb28n76
   complex(ki), public :: abb28n77
   complex(ki), public :: abb28n78
   complex(ki), public :: abb28n79
   complex(ki), public :: abb28n80
   complex(ki), public :: abb28n81
   complex(ki), public :: abb28n82
   complex(ki), public :: abb28n83
   complex(ki), public :: abb28n84
   complex(ki), public :: abb28n85
   complex(ki), public :: abb28n86
   complex(ki), public :: abb28n87
   complex(ki), public :: abb28n88
   complex(ki), public :: abb28n89
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = NC*TR*c2
      t2 = es234*t1*i_
      t3 = spak2k5*spak2k5
      t4 = (es345-(es61+es12))*(es34+wW*mW*i_-mW*mW)*spak5k6
      t5 = es56*t1*i_
      t6 = es61*t1*i_
      t7 = t2*spak2k3
      t8 = spak2k5*spbk6k2
      t8 = t8*t8
      t9 = t4*spbk6k5
      t10 = t6*spak2k3
      t11 = t1*i_
      t12 = t11*spak1k5
      t13 = es34*t1*i_
      t14 = es345*t1*i_
      t15 = t14*spak1k5
      t16 = t6*spak1k5
      abb28n1 = ((2.0_ki)*(t12*t3/t4*spak3k6*spbk4k1*spbk6k1*spbk6k2+t16/t9*spak&
      &2k3*spak2k5*spbk4k1*spbk6k1*spbk6k2+t13/t9*spak1k5*spak2k3*spak2k5*spbk4k&
      &1*spbk6k1*spbk6k2-(t2/t9*spak1k5*spak2k3*spak2k5*spbk4k1*spbk6k1*spbk6k2+&
      &t15/t9*spak2k3*spak2k5*spbk4k1*spbk6k1*spbk6k2))+(4.0_ki)*(t10*t8/t9*spbk&
      &4k1+t5*t8/t9*spak2k3*spbk4k1+t3/t4*t5*spak3k5*spbk4k1*spbk6k2+t3/t4*t6*sp&
      &ak3k5*spbk4k1*spbk6k2-(t2*t3/t4*spak3k5*spbk4k1*spbk6k2+t7*t8/t9*spbk4k1)&
      &))
      t1 = es12*t1*i_
      t2 = spbk6k1*spbk6k1
      abb28n2 = ((2.0_ki)*(t16*t2/t9*spak2k5+t1*t2/t9*spak1k5*spak2k5-t15*t2/t9*&
      &spak2k5))
      t2 = t12/t9*spak2k3*spak2k5*spbk4k1*spbk6k1*spbk6k2
      t5 = (4.0_ki)*t2
      abb28n3 = t5
      abb28n4 = -(t5)
      t12 = t11*spak2k3
      t15 = t12*spak2k5
      t16 = t15/t9*spbk4k1*spbk6k2
      abb28n5 = ((2.0_ki)*t16)
      abb28n6 = (-4.0_ki)*t16
      t16 = t11*spak3k5
      t17 = t12*t8/t9*spbk4k1+t16*t3/t4*spbk4k1*spbk6k2
      abb28n7 = ((8.0_ki)*t17-t5)
      t5 = t11*spak1k2*spak2k5
      t18 = t11*spak3k6
      t7 = t7*spak2k5
      t13 = t13*spak2k3*spak2k5
      t19 = t14*spak2k3*spak2k5
      t10 = t10*spak2k5
      abb28n8 = ((4.0_ki)*(-(t5/t9*spak3k6*spbk4k1*spbk6k1*spbk6k2+t5/t9*spak3k5&
      &*spbk4k1*spbk5k1*spbk6k2+t1/t9*spak2k3*spak2k5*spbk4k1*spbk6k2))+(2.0_ki)&
      &*(t10/t9*spbk4k1*spbk6k2+t13/t9*spbk4k1*spbk6k2+t18*t3/t4*spbk4k1*spbk6k2&
      &-(t7/t9*spbk4k1*spbk6k2+t19/t9*spbk4k1*spbk6k2)))
      t20 = t11*spak2k5
      abb28n9 = (-4.0_ki)*t20/t9*spak3k5*spbk4k1*spbk6k2
      abb28n10 = (-4.0_ki)*t20/t9*spak3k6*spbk4k1*spbk6k2
      t21 = t1*spak2k5
      t22 = t14*spak2k5
      t23 = t6*spak2k5
      abb28n11 = ((2.0_ki)*(t21/t9*spbk6k1+t23/t9*spbk6k1+(2.0_ki)*t11*t3/t9*spb&
      &k5k1*spbk6k2-t22/t9*spbk6k1))
      t24 = t16*spbk5k4
      t16 = t16*t3/t9*spbk5k1*spbk6k2*spbk6k4-t24*t3/t9*spbk6k1*spbk6k2
      t17 = t17+t22/t9*spak3k5*spbk6k1*spbk6k4-(t23/t9*spak3k5*spbk6k1*spbk6k4+t&
      &21/t9*spak3k5*spbk6k1*spbk6k4)
      abb28n12 = ((2.0_ki)*(t17-t2)+(4.0_ki)*t16)
      abb28n13 = ((8.0_ki)*t16+(4.0_ki)*t17)
      t2 = t11*t3/t9*spbk6k1*spbk6k2
      abb28n14 = (-2.0_ki)*t2
      abb28n15 = (-4.0_ki)*t2
      abb28n16 = (-8.0_ki)*t2
      abb28n17 = ((4.0_ki)*t15/t9*spbk4k2*spbk6k2)
      abb28n18 = ((4.0_ki)*t15/t9*spbk5k4*spbk6k2)
      t2 = t15/t9*spbk6k2*spbk6k4
      t15 = (4.0_ki)*t2
      abb28n19 = t15
      abb28n20 = (-2.0_ki)*t2
      abb28n21 = -(t15)
      t2 = t11*spak1k3
      abb28n22 = ((4.0_ki)*(t12*t8/t9*spbk5k4+t24*t3/t4*spbk6k2+t2*t3/t9*spbk5k1&
      &*spbk6k2*spbk6k4-t2*t3/t9*spbk5k4*spbk6k1*spbk6k2)+(2.0_ki)*(t10/t9*spbk6&
      &k2*spbk6k4+t13/t9*spbk6k2*spbk6k4+t18*t3/t4*spbk6k2*spbk6k4+t14/t9*spak1k&
      &3*spak2k5*spbk6k1*spbk6k4-(t6/t9*spak1k3*spak2k5*spbk6k1*spbk6k4+t1/t9*sp&
      &ak1k3*spak2k5*spbk6k1*spbk6k4+t7/t9*spbk6k2*spbk6k4+t19/t9*spbk6k2*spbk6k&
      &4)))
      abb28n23 = ((4.0_ki)*(t22/t9*spbk6k4-(t11*t3/t9*spbk5k4*spbk6k2+t5/t9*spbk&
      &4k1*spbk6k2+t23/t9*spbk6k4+t21/t9*spbk6k4)))
      t1 = t11*spbk6k2
      t2 = t1*t3/t9*spbk6k4
      abb28n24 = ((4.0_ki)*t2)
      abb28n25 = ((2.0_ki)*t2)
      abb28n26 = ((8.0_ki)*t1*t3/t4)
      abb28n27 = (-4.0_ki)*t20/t9*spbk6k2
      rat2d28 = 0
      rat2 = rat2 + rat2d28
      abb28n29 = abb28n1
      abb28n30 = abb28n27
      abb28n31 = abb28n26
      abb28n32 = abb28n25
      abb28n33 = abb28n24
      abb28n34 = abb28n23
      abb28n35 = abb28n22
      abb28n36 = abb28n21
      abb28n37 = abb28n20
      abb28n38 = abb28n19
      abb28n39 = abb28n18
      abb28n40 = abb28n17
      abb28n41 = abb28n16
      abb28n42 = abb28n15
      abb28n43 = abb28n14
      abb28n44 = abb28n13
      abb28n45 = abb28n12
      abb28n46 = abb28n11
      abb28n47 = abb28n10
      abb28n48 = abb28n9
      abb28n49 = abb28n8
      abb28n50 = abb28n7
      abb28n51 = abb28n6
      abb28n52 = abb28n5
      abb28n53 = abb28n4
      abb28n54 = abb28n3
      abb28n55 = abb28n2
      abb28n56 = -(abb28n2)
      abb28n57 = -(abb28n3)
      abb28n58 = -(abb28n4)
      t1 = (2.0_ki)*abb28n5
      abb28n59 = t1
      abb28n60 = -(abb28n5)
      abb28n61 = -(t1)
      abb28n62 = -(abb28n6)
      abb28n63 = -(abb28n7)
      abb28n64 = -(abb28n8)
      abb28n65 = -(abb28n9)
      abb28n66 = -(abb28n10)
      abb28n67 = -(abb28n11)
      abb28n68 = (-2.0_ki)*abb28n12
      abb28n69 = -(abb28n13)
      t1 = (2.0_ki)*abb28n14
      abb28n70 = t1
      abb28n71 = -(abb28n14)
      abb28n72 = -(t1)
      abb28n73 = -(abb28n15)
      abb28n74 = -(abb28n16)
      abb28n75 = -(abb28n17)
      abb28n76 = -(abb28n18)
      abb28n77 = -(abb28n19)
      t1 = (2.0_ki)*abb28n20
      abb28n78 = t1
      abb28n79 = -(abb28n20)
      abb28n80 = -(t1)
      abb28n81 = -(abb28n21)
      abb28n82 = -(abb28n22)
      abb28n83 = -(abb28n23)
      abb28n84 = -(abb28n24)
      t1 = (2.0_ki)*abb28n25
      abb28n85 = t1
      abb28n86 = -(abb28n25)
      abb28n87 = -(t1)
      abb28n88 = -(abb28n26)
      abb28n89 = -(abb28n27)
   end subroutine
end module p7_dubar_emnebargg_abbrevd28h1
