module     p7_dubar_emnebargg_abbrevd31h1
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh1
   implicit none
   private
   complex(ki), public :: abb31n1
   complex(ki), public :: abb31n2
   complex(ki), public :: abb31n3
   complex(ki), public :: abb31n4
   complex(ki), public :: abb31n5
   complex(ki), public :: abb31n6
   complex(ki), public :: abb31n7
   complex(ki), public :: abb31n8
   complex(ki), public :: abb31n9
   complex(ki), public :: abb31n10
   complex(ki), public :: abb31n11
   complex(ki), public :: abb31n12
   complex(ki), public :: abb31n13
   complex(ki), public :: abb31n14
   complex(ki), public :: abb31n15
   complex(ki), public :: abb31n16
   complex(ki), public :: abb31n17
   complex(ki), public :: abb31n18
   complex(ki), public :: abb31n19
   complex(ki), public :: rat2d31
   complex(ki), public :: abb31n21
   complex(ki), public :: abb31n22
   complex(ki), public :: abb31n23
   complex(ki), public :: abb31n24
   complex(ki), public :: abb31n25
   complex(ki), public :: abb31n26
   complex(ki), public :: abb31n27
   complex(ki), public :: abb31n28
   complex(ki), public :: abb31n29
   complex(ki), public :: abb31n30
   complex(ki), public :: abb31n31
   complex(ki), public :: abb31n32
   complex(ki), public :: abb31n33
   complex(ki), public :: abb31n34
   complex(ki), public :: abb31n35
   complex(ki), public :: abb31n36
   complex(ki), public :: abb31n37
   complex(ki), public :: abb31n38
   complex(ki), public :: abb31n39
   complex(ki), public :: abb31n40
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   complex(ki) :: t51
   complex(ki) :: t52
   complex(ki) :: t53
   complex(ki) :: t54
   real(ki) :: t55
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t55 = es345-(es61+es12)
      t1 = es34+wW*mW*i_-mW*mW
      t2 = TR*c2
      t3 = t2*i_
      t4 = t3*spak1k3
      t5 = t4*spbk4k1*spbk6k1
      t6 = spak2k5*spak2k5
      t7 = t55*(es34+es56-(es234+es12))*t1
      t8 = NC*t7
      t9 = t8*spak5k6*spbk6k5
      t10 = t5*t6/t9*spbk6k2
      t11 = t3*spak3k4*spbk4k1
      t12 = t11*t6/t9*spbk6k2*spbk6k4
      t13 = -(t12+t10)
      t14 = NC*TR*c2
      t15 = t14*i_
      t16 = t15*spak1k3
      t17 = t16*spbk4k1*spbk6k1
      t18 = t7*spak5k6*spbk6k5
      t19 = t17/t18*t6*spbk6k2
      t20 = t15*spak3k4*spbk4k1
      t21 = t20/t18*t6*spbk6k2*spbk6k4
      t22 = t3*spak1k5
      t23 = t22*spak2k3
      t1 = t55*(es234-(es61+es56))*t1
      t24 = NC*t1
      t25 = t24*spak5k6
      t26 = t25*spbk6k5
      t27 = t23/t26*spak2k5*spbk4k1*spbk6k1*spbk6k2
      t28 = t15*spak1k5
      t29 = t28*spak2k3
      t1 = t1*spak5k6
      t30 = t1*spbk6k5
      t31 = t29/t30*spak2k5*spbk4k1*spbk6k1*spbk6k2
      abb31n1 = ((2.0_ki)*(t13+t19+t21+t31-t27))
      t32 = es12*t14*i_
      t33 = t32*spak1k5
      t34 = spbk6k1*spbk6k1
      t35 = es345*t14*i_
      t36 = t35*spak1k5
      t14 = es61*t14*i_
      t37 = t14*spak1k5
      abb31n2 = ((2.0_ki)*(t33/t30*t34*spak2k5+t34/t30*t37*spak2k5-t34/t30*t36*s&
      &pak2k5))
      t38 = t32*spak2k5
      t39 = t38*spak3k5
      t40 = t39/t30*spbk6k1*spbk6k4
      t41 = t35*spak2k5
      t42 = t41*spak3k5
      t43 = t42/t30*spbk6k1*spbk6k4
      t44 = t14*spak2k5
      t45 = t44*spak3k5
      t46 = t45/t30*spbk6k1*spbk6k4
      abb31n3 = ((4.0_ki)*(t40+t46-t43))
      abb31n4 = ((4.0_ki)*(t43-(t46+t40)))
      t40 = t32*spak1k3
      t43 = t40*spak2k5
      t46 = t35*spak1k3
      t47 = t46*spak2k5
      t48 = t14*spak1k3
      t49 = t48*spak2k5
      abb31n5 = ((2.0_ki)*(t42/t1*spbk6k4+t47/t30*spbk6k1*spbk6k4-(t49/t30*spbk6&
      &k1*spbk6k4+t43/t30*spbk6k1*spbk6k4+t45/t1*spbk6k4+t39/t1*spbk6k4)))
      abb31n6 = ((8.0_ki)*(-(t28/t30*t34*spak2k6+t22/t26*t34*spak2k6)))
      t34 = t3*spak2k6
      t50 = t34*spak3k5
      t51 = t50/t26*spbk6k1*spbk6k4
      t52 = t15*spak2k6
      t53 = t52*spak3k5
      t54 = t53/t30*spbk6k1*spbk6k4
      abb31n7 = ((16.0_ki)*(t51+t54))
      abb31n8 = ((16.0_ki)*(-(t54+t51)))
      t51 = t4*spak2k6
      t54 = t16*spak2k6
      abb31n9 = ((8.0_ki)*(t53/t1*spbk6k4+t50/t25*spbk6k4+t51/t26*spbk6k1*spbk6k&
      &4+t54/t30*spbk6k1*spbk6k4))
      t1 = t33*spak2k3
      t25 = t36*spak2k3
      t33 = t37*spak2k3
      abb31n10 = ((2.0_ki)*(t46/t18*t6*spbk4k1*spbk6k1*spbk6k2+t25/t30*spak2k5*s&
      &pbk4k1*spbk6k1*spbk6k2+t35/t18*t6*spak3k4*spbk4k1*spbk6k2*spbk6k4-(t32/t1&
      &8*t6*spak3k4*spbk4k1*spbk6k2*spbk6k4+t14/t18*t6*spak3k4*spbk4k1*spbk6k2*s&
      &pbk6k4+t33/t30*spak2k5*spbk4k1*spbk6k1*spbk6k2+t48/t18*t6*spbk4k1*spbk6k1&
      &*spbk6k2+t40/t18*t6*spbk4k1*spbk6k1*spbk6k2+t1/t30*spak2k5*spbk4k1*spbk6k&
      &1*spbk6k2)))
      abb31n11 = ((8.0_ki)*(t19+t21+t31))
      t6 = es12*t2*i_
      t14 = es345*t2*i_
      t2 = es61*t2*i_
      abb31n12 = ((2.0_ki)*(t42/t30*spbk5k1*spbk6k4-(t45/t30*spbk5k1*spbk6k4+t39&
      &/t30*spbk5k1*spbk6k4))+(6.0_ki)*(t43/t18*spbk4k1*spbk6k1+t49/t18*spbk4k1*&
      &spbk6k1+t38/t18*spak3k4*spbk4k1*spbk6k4+t44/t18*spak3k4*spbk4k1*spbk6k4-(&
      &t41/t18*spak3k4*spbk4k1*spbk6k4+t47/t18*spbk4k1*spbk6k1))+(4.0_ki)*(t1/t3&
      &0*spbk4k1*spbk6k1+t33/t30*spbk4k1*spbk6k1+t2/t26*spak1k5*spak2k3*spbk4k1*&
      &spbk6k1+t2/t9*spak1k3*spak2k5*spbk4k1*spbk6k1+t2/t9*spak2k5*spak3k4*spbk4&
      &k1*spbk6k4+t6/t26*spak1k5*spak2k3*spbk4k1*spbk6k1+t6/t9*spak1k3*spak2k5*s&
      &pbk4k1*spbk6k1+t6/t9*spak2k5*spak3k4*spbk4k1*spbk6k4-(t14/t9*spak2k5*spak&
      &3k4*spbk4k1*spbk6k4+t14/t9*spak1k3*spak2k5*spbk4k1*spbk6k1+t14/t26*spak1k&
      &5*spak2k3*spbk4k1*spbk6k1+t25/t30*spbk4k1*spbk6k1)))
      abb31n13 = ((4.0_ki)*(t10+t12+t27-(t31+t21+t19)))
      abb31n14 = ((8.0_ki)*(t13-(t31+t27+t21+t19)))
      t1 = t23*spbk4k1*spbk6k1
      t2 = t4*spak2k5*spbk4k1*spbk6k1
      t4 = t8*spbk6k5
      t3 = t3*spak2k5*spak3k4*spbk4k1
      abb31n15 = ((4.0_ki)*(-(t3/t4*spbk6k2*spbk6k4+t2/t4*spbk6k2+t1/(t24*spbk6k&
      &5)*spbk6k2)))
      t1 = t1/t26
      t6 = t29/t30*spbk4k1*spbk6k1
      t2 = t2/t9
      t3 = t3/t9*spbk6k4
      t8 = t16/t18*spak2k5*spbk4k1*spbk6k1
      t10 = t15/t18*spak2k5*spak3k4*spbk4k1*spbk6k4
      abb31n16 = ((16.0_ki)*(t1+t10+t2+t3+t6+t8))
      abb31n17 = ((8.0_ki)*(-(t8+t6+t3+t2+t10+t1)))
      abb31n18 = ((8.0_ki)*(t50/t26*spbk5k1*spbk6k4+t53/t30*spbk5k1*spbk6k4-(t34&
      &/t9*spak3k4*spbk4k1*spbk6k4+t52/t18*spak3k4*spbk4k1*spbk6k4+t51/t9*spbk4k&
      &1*spbk6k1+t54/t18*spbk4k1*spbk6k1)))
      t1 = t7*spbk6k5
      abb31n19 = ((4.0_ki)*(t17/t1+t5/t4+t20/t1*spbk6k4+t11/t4*spbk6k4+t22/t26*s&
      &pak3k6*spbk4k1*spbk6k1+t28/t30*spak3k6*spbk4k1*spbk6k1))
      rat2d31 = abb31n1
      rat2 = rat2 + rat2d31
      abb31n21 = abb31n10
      abb31n22 = abb31n19
      abb31n23 = abb31n18
      abb31n24 = abb31n17
      abb31n25 = abb31n16
      abb31n26 = abb31n13
      abb31n27 = abb31n9
      abb31n28 = abb31n8
      abb31n29 = abb31n7
      abb31n30 = abb31n6
      abb31n31 = -(abb31n2)
      abb31n32 = -(abb31n3)
      abb31n33 = -(abb31n4)
      abb31n34 = -(abb31n5)
      abb31n35 = -(abb31n11)
      abb31n36 = -(abb31n12)
      abb31n37 = ((2.0_ki)*abb31n13)
      abb31n38 = -(abb31n14)
      abb31n39 = -(abb31n15)
      abb31n40 = ((2.0_ki)*abb31n18)
   end subroutine
end module p7_dubar_emnebargg_abbrevd31h1
