module     p7_dubar_emnebargg_d103h3l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p7_dubar_emnebargg/helicity3/d103h3l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d103
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd103h3
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      real(ki) :: t39
      real(ki) :: t40
      real(ki) :: t41
      real(ki) :: t42
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k6+k5
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t39 = dotproduct(qshift, qshift)
      t40 = dotproduct(k5, qshift)
      t41 = dotproduct(k1, qshift)
      t1 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t42 = dotproduct(k6, qshift)
      t2 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t3 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t4 = (spvak3k5(1)*qshift(1)-spvak3k5(2)*qshift(2)-spvak3k5(3)*qshift(3)-sp&
      &vak3k5(4)*qshift(4))
      t5 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t6 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t7 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t8 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb103n34+t1*abb103n72+t2*abb103n79+t3*abb103n80+t39*abb10&
         &3n57+t40*abb103n66+t41*abb103n67+t42*abb103n77+t1*t2*abb103n48+t1*t39*&
         &abb103n109+t1*t40*abb103n36+t1*t42*abb103n47+t2*t3*abb103n49+t2*t39*ab&
         &b103n97+t2*t40*abb103n50+t2*t41*abb103n51+t3*t39*abb103n82+t3*t41*abb1&
         &03n52+t3*t42*abb103n53+t3*t5*abb103n46+t39*t4*abb103n101+t39*t5*abb103&
         &n106+t39*t6*abb103n93+t39*t7*abb103n74+t39*t8*abb103n70+t4*t40*abb103n&
         &42+t40*t5*abb103n39+t40*t6*abb103n44+t41*t7*abb103n59+t41*t8*abb103n63&
         &+t2*t3*t7*abb103n112+t2*t3*t8*abb103n103)
         return
      end if
      t9 = k1(iv1)
      t10 = k5(iv1)
      t11 = k6(iv1)
      t12 = qshift(iv1)
      t13 = spvak5k1(iv1)
      t14 = spvak5k6(iv1)
      t15 = spvak6k5(iv1)
      t16 = spvak2k1(iv1)
      t17 = spvak2k5(iv1)
      t18 = spvak3k1(iv1)
      t19 = spvak3k5(iv1)
      t20 = spvak6k1(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb103n65+t11*abb103n58+t12*abb103n78+t13*abb103n61+t1&
         &4*abb103n55+t15*abb103n56+t9*abb103n64+t1*t10*abb103n111+t1*t11*abb103&
         &n90+t1*t12*abb103n108+t1*t15*abb103n89+t10*t2*abb103n87+t10*t4*abb103n&
         &99+t10*t5*abb103n104+t10*t6*abb103n95+t11*t3*abb103n84+t12*t2*abb103n9&
         &6+t12*t3*abb103n81+t12*t4*abb103n100+t12*t5*abb103n105+t12*t6*abb103n9&
         &2+t12*t7*abb103n73+t12*t8*abb103n69+t13*t2*abb103n89+t13*t39*abb103n37&
         &+t13*t40*abb103n111+t13*t42*abb103n90+t14*t2*abb103n88+t14*t39*abb103n&
         &54+t14*t41*abb103n85+t14*t42*abb103n84+t14*t5*abb103n91+t15*t3*abb103n&
         &88+t15*t39*abb103n43+t15*t40*abb103n87+t15*t41*abb103n86+t16*t39*abb10&
         &3n62+t16*t41*abb103n68+t17*t39*abb103n45+t17*t40*abb103n95+t18*t39*abb&
         &103n60+t18*t41*abb103n76+t19*t39*abb103n41+t19*t40*abb103n99+t2*t9*abb&
         &103n86+t20*t3*abb103n91+t20*t39*abb103n38+t20*t40*abb103n104+t3*t9*abb&
         &103n85+t7*t9*abb103n76+t8*t9*abb103n68+t14*t2*t7*abb103n35+t14*t2*t8*a&
         &bb103n40+t15*t3*t7*abb103n35+t15*t3*t8*abb103n40+t16*t2*t3*abb103n40+t&
         &18*t2*t3*abb103n35)
         return
      end if
      t39 = d(iv1,iv2)
      t21 = spvak2k1(iv2)
      t22 = spvak3k1(iv2)
      t23 = spvak5k6(iv2)
      t24 = spvak6k5(iv2)
      t25 = k1(iv2)
      t26 = spvak2k5(iv2)
      t27 = spvak3k5(iv2)
      t28 = spvak5k1(iv2)
      t29 = spvak6k1(iv2)
      t30 = k5(iv2)
      t31 = k6(iv2)
      t32 = qshift(iv2)
      t33 = t14*t24
      t34 = t15*t23
      t35 = t16*t23
      t36 = t14*t21
      t37 = t18*t23
      t38 = t14*t22
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t39*abb103n57+t1*t39*abb103n109+t2*t39*abb103n97&
         &+t3*t39*abb103n82+t39*t4*abb103n101+t39*t5*abb103n106+t39*t6*abb103n93&
         &+t39*t7*abb103n74+t39*t8*abb103n70)+t33*abb103n49+t34*abb103n49+t10*t2&
         &4*abb103n50+t10*t26*abb103n44+t10*t27*abb103n42+t10*t28*abb103n36+t10*&
         &t29*abb103n39+t11*t23*abb103n53+t11*t28*abb103n47+t12*t21*abb103n71+t1&
         &2*t22*abb103n75+t12*t23*abb103n83+t12*t24*abb103n98+t12*t26*abb103n94+&
         &t12*t27*abb103n102+t12*t28*abb103n110+t12*t29*abb103n107+t13*t24*abb10&
         &3n48+t13*t30*abb103n36+t13*t31*abb103n47+t13*t32*abb103n110+t14*t25*ab&
         &b103n52+t14*t29*abb103n46+t14*t31*abb103n53+t14*t32*abb103n83+t15*t25*&
         &abb103n51+t15*t28*abb103n48+t15*t30*abb103n50+t15*t32*abb103n98+t16*t2&
         &5*abb103n63+t16*t32*abb103n71+t17*t30*abb103n44+t17*t32*abb103n94+t18*&
         &t25*abb103n59+t18*t32*abb103n75+t19*t30*abb103n42+t19*t32*abb103n102+t&
         &2*t35*abb103n103+t2*t36*abb103n103+t2*t37*abb103n112+t2*t38*abb103n112&
         &+t20*t23*abb103n46+t20*t30*abb103n39+t20*t32*abb103n107+t21*t9*abb103n&
         &63+t22*t9*abb103n59+t23*t9*abb103n52+t24*t9*abb103n51+t33*t7*abb103n11&
         &2+t33*t8*abb103n103+t34*t7*abb103n112+t34*t8*abb103n103+t15*t21*t3*abb&
         &103n103+t15*t22*t3*abb103n112+t16*t24*t3*abb103n103+t18*t24*t3*abb103n&
         &112)
         return
      end if
      t40 = d(iv2,iv3)
      t41 = d(iv1,iv3)
      t1 = spvak2k1(iv3)
      t2 = spvak3k1(iv3)
      t3 = spvak5k6(iv3)
      t4 = spvak6k5(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k5(iv3)*t39*abb103n45+spvak3k5(iv3)*t39*ab&
         &b103n41+spvak5k1(iv3)*t39*abb103n37+spvak6k1(iv3)*t39*abb103n38+t1*t39&
         &*abb103n62+t13*t40*abb103n37+t14*t40*abb103n54+t15*t40*abb103n43+t16*t&
         &40*abb103n62+t17*t40*abb103n45+t18*t40*abb103n60+t19*t40*abb103n41+t2*&
         &t39*abb103n60+t20*t40*abb103n38+t21*t41*abb103n62+t22*t41*abb103n60+t2&
         &3*t41*abb103n54+t24*t41*abb103n43+t26*t41*abb103n45+t27*t41*abb103n41+&
         &t28*t41*abb103n37+t29*t41*abb103n38+t3*t39*abb103n54+t39*t4*abb103n43)&
         &+t35*t4*abb103n40+t36*t4*abb103n40+t37*t4*abb103n35+t38*t4*abb103n35+t&
         &1*t14*t24*abb103n40+t1*t15*t23*abb103n40+t14*t2*t24*abb103n35+t15*t2*t&
         &23*abb103n35+t15*t21*t3*abb103n40+t15*t22*t3*abb103n35+t16*t24*t3*abb1&
         &03n40+t18*t24*t3*abb103n35)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d103:
   subroutine     reconstruct_d103(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group7
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group7), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_103:
      coeffs%coeffs_103%c0 = derivative(czip)
      coeffs%coeffs_103%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_103%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_103%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_103%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_103%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_103%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_103%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_103%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_103%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_103%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_103%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_103%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_103%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_103%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_103%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_103%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_103%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_103%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_103%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_103%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_103%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_103%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_103%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_103%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_103%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_103%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_103%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_103%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_103%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_103%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_103%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_103%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_103%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_103%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_103:
   end subroutine reconstruct_d103
!---#] subroutine reconstruct_d103:
end module p7_dubar_emnebargg_d103h3l1d
