module     p7_dubar_emnebargg_d91h3l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p7_dubar_emnebargg/helicity3/d91h3l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   integer, private :: iv4
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d91
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3, i4) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd91h3
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      integer, intent(in), optional :: i4
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      real(ki) :: t60
      real(ki) :: t61
      real(ki) :: t62
      real(ki) :: t63
      real(ki) :: t64
      real(ki) :: t65
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift(:) = 0.0_ki
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(present(i4)) then
         iv4 = i4
         deg = 4
      else
         iv4 = 1
      end if
      if(deg.eq.0) then
         numerator = (0.0_ki)
         return
      end if
      t1 = k6(iv1)
      t2 = spvak6k5(iv1)
      if(deg.eq.1) then
         numerator = (t1*abb91n84+t2*abb91n44)
         return
      end if
      t60 = d(iv1,iv2)
      t3 = k2(iv1)
      t4 = k6(iv2)
      t5 = k2(iv2)
      t6 = k5(iv1)
      t7 = spvak6k5(iv2)
      t8 = k5(iv2)
      t9 = spvak2k1(iv2)
      t10 = spvak2k5(iv2)
      t11 = t1*t10
      t12 = spvak3k1(iv2)
      t13 = t1*t12
      t14 = spvak3k4(iv2)
      t15 = t1*t14
      t16 = spvak5k1(iv2)
      t17 = t1*t16
      t18 = spvak2k1(iv1)
      t19 = spvak2k5(iv1)
      t20 = t19*t4
      t21 = spvak3k1(iv1)
      t22 = t21*t4
      t23 = spvak3k4(iv1)
      t24 = t23*t4
      t25 = spvak5k1(iv1)
      t26 = t25*t4
      t27 = spvak2k6(iv1)
      t28 = t27*t7
      t29 = spvak2k6(iv2)
      t30 = t2*t29
      t31 = t21*t7
      t32 = t12*t2
      t33 = t25*t7
      t34 = t16*t2
      t35 = spvak5k6(iv1)
      t36 = t35*t7
      t37 = spvak5k6(iv2)
      t38 = t2*t37
      if(deg.eq.2) then
         numerator = (t11*abb91n71+t13*abb91n73+t15*abb91n74+t17*abb91n81+t20*ab&
         &b91n71+t22*abb91n73+t24*abb91n74+t26*abb91n81+t28*abb91n83+t30*abb91n8&
         &3+t31*abb91n79+t32*abb91n79+t33*abb91n80+t34*abb91n80+t36*abb91n76+t38&
         &*abb91n76+(2.0_ki)*t60*abb91n85+t1*t5*abb91n61+t1*t7*abb91n77+t1*t9*ab&
         &b91n57+t18*t4*abb91n57+t2*t4*abb91n77+t2*t8*abb91n77+t3*t4*abb91n61+t6&
         &*t7*abb91n77)
         return
      end if
      t61 = d(iv2,iv3)
      t62 = d(iv1,iv3)
      t39 = k2(iv3)
      t40 = k6(iv3)
      t41 = spvak2k1(iv3)
      t42 = spvak2k5(iv3)
      t43 = spvak3k1(iv3)
      t44 = spvak3k4(iv3)
      t45 = spvak5k1(iv3)
      t46 = spvak6k5(iv3)
      t47 = spvak5k6(iv3)
      t48 = spvak2k6(iv3)
      t49 = k5(iv3)
      t50 = spvak6k1(iv3)
      t51 = t1*t44
      t52 = spvak6k1(iv2)
      t53 = t4*t44
      t54 = spvak6k1(iv1)
      t55 = t23*t40
      t56 = t14*t40
      t57 = spvak2k4(iv1)
      t58 = spvak2k4(iv2)
      t59 = spvak2k4(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(t1*t61*abb91n63+t10*t62*abb91n70+t12*t62*abb91n7&
         &2+t14*t62*abb91n75+t16*t62*abb91n82+t18*t61*abb91n56+t19*t61*abb91n70+&
         &t2*t61*abb91n78+t21*t61*abb91n72+t23*t61*abb91n75+t25*t61*abb91n82+t3*&
         &t61*abb91n63+t39*t60*abb91n63+t4*t62*abb91n63+t40*t60*abb91n63+t41*t60&
         &*abb91n56+t42*t60*abb91n70+t43*t60*abb91n72+t44*t60*abb91n75+t45*t60*a&
         &bb91n82+t46*t60*abb91n78+t5*t62*abb91n63+t62*t7*abb91n78+t62*t9*abb91n&
         &56)+t11*t44*abb91n60+t13*t46*abb91n52+t15*t45*abb91n46+t15*t50*abb91n5&
         &0+t16*t51*abb91n46+t16*t55*abb91n46+t17*t46*abb91n53+t20*t44*abb91n60+&
         &t22*t46*abb91n52+t24*t45*abb91n46+t24*t50*abb91n50+t25*t53*abb91n46+t2&
         &5*t56*abb91n46+t26*t46*abb91n53+t51*t52*abb91n50+t52*t55*abb91n50+t53*&
         &t54*abb91n50+t54*t56*abb91n50+t1*t14*t42*abb91n60+t1*t29*t46*abb91n66+&
         &t1*t43*t7*abb91n52+t1*t45*t7*abb91n53+t1*t48*t7*abb91n66+t10*t2*t47*ab&
         &b91n65+t10*t23*t40*abb91n60+t10*t35*t46*abb91n65+t12*t2*t40*abb91n52+t&
         &12*t2*t47*abb91n48+t12*t2*t49*abb91n52+t12*t35*t46*abb91n48+t12*t46*t6&
         &*abb91n52+t14*t19*t40*abb91n60+t16*t2*t40*abb91n53+t16*t2*t47*abb91n55&
         &+t16*t2*t49*abb91n53+t16*t35*t46*abb91n55+t16*t46*t6*abb91n53+t18*t37*&
         &t46*abb91n58+t18*t47*t7*abb91n58+t19*t37*t46*abb91n65+t19*t47*t7*abb91&
         &n65+t2*t29*t40*abb91n66+t2*t29*t47*abb91n64+t2*t29*t49*abb91n66+t2*t37&
         &*t39*abb91n68+t2*t37*t41*abb91n58+t2*t37*t42*abb91n65+t2*t37*t43*abb91&
         &n48+t2*t37*t45*abb91n55+t2*t37*t48*abb91n64+t2*t37*t50*abb91n54+t2*t37&
         &*t59*abb91n69+t2*t4*t43*abb91n52+t2*t4*t45*abb91n53+t2*t4*t48*abb91n66&
         &+t2*t43*t8*abb91n52+t2*t45*t8*abb91n53+t2*t47*t5*abb91n68+t2*t47*t52*a&
         &bb91n54+t2*t47*t58*abb91n69+t2*t47*t9*abb91n58+t2*t48*t8*abb91n66+t21*&
         &t37*t46*abb91n48+t21*t40*t7*abb91n52+t21*t46*t8*abb91n52+t21*t47*t7*ab&
         &b91n48+t21*t49*t7*abb91n52+t23*t4*t42*abb91n60+t25*t37*t46*abb91n55+t2&
         &5*t40*t7*abb91n53+t25*t46*t8*abb91n53+t25*t47*t7*abb91n55+t25*t49*t7*a&
         &bb91n53+t27*t37*t46*abb91n64+t27*t4*t46*abb91n66+t27*t40*t7*abb91n66+t&
         &27*t46*t8*abb91n66+t27*t47*t7*abb91n64+t27*t49*t7*abb91n66+t29*t35*t46&
         &*abb91n64+t29*t46*t6*abb91n66+t3*t37*t46*abb91n68+t3*t47*t7*abb91n68+t&
         &35*t39*t7*abb91n68+t35*t41*t7*abb91n58+t35*t42*t7*abb91n65+t35*t43*t7*&
         &abb91n48+t35*t45*t7*abb91n55+t35*t46*t5*abb91n68+t35*t46*t52*abb91n54+&
         &t35*t46*t58*abb91n69+t35*t46*t9*abb91n58+t35*t48*t7*abb91n64+t35*t50*t&
         &7*abb91n54+t35*t59*t7*abb91n69+t37*t46*t54*abb91n54+t37*t46*t57*abb91n&
         &69+t43*t6*t7*abb91n52+t45*t6*t7*abb91n53+t47*t54*t7*abb91n54+t47*t57*t&
         &7*abb91n69+t48*t6*t7*abb91n66)
         return
      end if
      t63 = d(iv3,iv4)
      t64 = d(iv2,iv4)
      t65 = d(iv1,iv4)
      t1 = spvak3k4(iv4)
      t3 = spvak2k5(iv4)
      t4 = spvak6k5(iv4)
      t5 = spvak2k6(iv4)
      t6 = spvak3k1(iv4)
      t8 = spvak5k1(iv4)
      t11 = spvak6k1(iv4)
      t13 = spvak5k6(iv4)
      t15 = t14*t18
      t17 = t18*t44
      t18 = t1*t18
      t20 = t23*t9
      t22 = t44*t9
      t9 = t1*t9
      t24 = t23*t41
      t26 = t14*t41
      t39 = t1*t41
      t40 = spvak2k1(iv4)
      t41 = t23*t40
      t49 = t14*t40
      t40 = t40*t44
      if(deg.eq.4) then
         numerator = ((8.0_ki)*(t60*t63*abb91n62+t61*t65*abb91n62+t62*t64*abb91n&
         &62)+(2.0_ki)*(t28*t63*abb91n65+t30*t63*abb91n65+t31*t63*abb91n51+t32*t&
         &63*abb91n51+t33*t63*abb91n54+t34*t63*abb91n54+t36*t63*abb91n67+t38*t63&
         &*abb91n67+t1*t10*t62*abb91n59+t1*t16*t62*abb91n47+t1*t19*t61*abb91n59+&
         &t1*t25*t61*abb91n47+t1*t42*t60*abb91n59+t1*t45*t60*abb91n47+t1*t50*t60&
         &*abb91n49+t1*t52*t62*abb91n49+t1*t54*t61*abb91n49+t10*t23*t63*abb91n59&
         &+t10*t44*t65*abb91n59+t11*t14*t62*abb91n49+t11*t23*t61*abb91n49+t11*t4&
         &4*t60*abb91n49+t12*t4*t62*abb91n51+t12*t46*t65*abb91n51+t13*t2*t61*abb&
         &91n67+t13*t46*t60*abb91n67+t13*t62*t7*abb91n67+t14*t19*t63*abb91n59+t1&
         &4*t25*t63*abb91n47+t14*t3*t62*abb91n59+t14*t42*t65*abb91n59+t14*t45*t6&
         &5*abb91n47+t14*t50*t65*abb91n49+t14*t54*t63*abb91n49+t14*t62*t8*abb91n&
         &47+t16*t23*t63*abb91n47+t16*t4*t62*abb91n54+t16*t44*t65*abb91n47+t16*t&
         &46*t65*abb91n54+t19*t44*t64*abb91n59+t2*t43*t64*abb91n51+t2*t45*t64*ab&
         &b91n54+t2*t47*t64*abb91n67+t2*t48*t64*abb91n65+t2*t5*t61*abb91n65+t2*t&
         &6*t61*abb91n51+t2*t61*t8*abb91n54+t21*t4*t61*abb91n51+t21*t46*t64*abb9&
         &1n51+t23*t3*t61*abb91n59+t23*t42*t64*abb91n59+t23*t45*t64*abb91n47+t23&
         &*t50*t64*abb91n49+t23*t52*t63*abb91n49+t23*t61*t8*abb91n47+t25*t4*t61*&
         &abb91n54+t25*t44*t64*abb91n47+t25*t46*t64*abb91n54+t27*t4*t61*abb91n65&
         &+t27*t46*t64*abb91n65+t29*t4*t62*abb91n65+t29*t46*t65*abb91n65+t3*t44*&
         &t60*abb91n59+t35*t4*t61*abb91n67+t35*t46*t64*abb91n67+t37*t4*t62*abb91&
         &n67+t37*t46*t65*abb91n67+t4*t43*t60*abb91n51+t4*t45*t60*abb91n54+t4*t4&
         &7*t60*abb91n67+t4*t48*t60*abb91n65+t43*t65*t7*abb91n51+t44*t52*t65*abb&
         &91n49+t44*t54*t64*abb91n49+t44*t60*t8*abb91n47+t45*t65*t7*abb91n54+t46&
         &*t5*t60*abb91n65+t46*t6*t60*abb91n51+t46*t60*t8*abb91n54+t47*t65*t7*ab&
         &b91n67+t48*t65*t7*abb91n65+t5*t62*t7*abb91n65+t6*t62*t7*abb91n51+t62*t&
         &7*t8*abb91n54)+t13*t15*t46*abb91n45+t13*t17*t7*abb91n45+t13*t2*t22*abb&
         &91n45+t13*t2*t26*abb91n45+t13*t20*t46*abb91n45+t13*t24*t7*abb91n45+t15&
         &*t4*t47*abb91n45+t17*t37*t4*abb91n45+t18*t37*t46*abb91n45+t18*t47*t7*a&
         &bb91n45+t2*t37*t39*abb91n45+t2*t37*t40*abb91n45+t2*t47*t49*abb91n45+t2&
         &*t47*t9*abb91n45+t20*t4*t47*abb91n45+t22*t35*t4*abb91n45+t24*t37*t4*ab&
         &b91n45+t26*t35*t4*abb91n45+t35*t39*t7*abb91n45+t35*t40*t7*abb91n45+t35&
         &*t46*t49*abb91n45+t35*t46*t9*abb91n45+t37*t41*t46*abb91n45+t41*t47*t7*&
         &abb91n45)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d91:
   subroutine     reconstruct_d91(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group8
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group8), intent(out) :: coeffs
      ! rank 4 case:
      !---[# reconstruct coeffs%coeffs_91:
      coeffs%coeffs_91%c0 = derivative(czip)
      coeffs%coeffs_91%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_91%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_91%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_91%c1(1,4) = derivative(czip,1,1,1,1) / 24.0_ki
      coeffs%coeffs_91%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_91%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_91%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_91%c1(2,4) = derivative(czip,2,2,2,2) / 24.0_ki
      coeffs%coeffs_91%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_91%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_91%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_91%c1(3,4) = derivative(czip,3,3,3,3) / 24.0_ki
      coeffs%coeffs_91%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_91%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_91%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_91%c1(4,4) = derivative(czip,4,4,4,4) / 24.0_ki
      coeffs%coeffs_91%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_91%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_91%c2(1,3) = -derivative(czip,1,2,2,2) / 6.0_ki
      coeffs%coeffs_91%c2(1,4) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_91%c2(1,5) = derivative(czip,1,1,2,2) / 4.0_ki
      coeffs%coeffs_91%c2(1,6) = -derivative(czip,1,1,1,2) / 6.0_ki
      coeffs%coeffs_91%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_91%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_91%c2(2,3) = -derivative(czip,1,3,3,3) / 6.0_ki
      coeffs%coeffs_91%c2(2,4) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_91%c2(2,5) = derivative(czip,1,1,3,3) / 4.0_ki
      coeffs%coeffs_91%c2(2,6) = -derivative(czip,1,1,1,3) / 6.0_ki
      coeffs%coeffs_91%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_91%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_91%c2(3,3) = -derivative(czip,1,4,4,4) / 6.0_ki
      coeffs%coeffs_91%c2(3,4) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_91%c2(3,5) = derivative(czip,1,1,4,4) / 4.0_ki
      coeffs%coeffs_91%c2(3,6) = -derivative(czip,1,1,1,4) / 6.0_ki
      coeffs%coeffs_91%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_91%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_91%c2(4,3) = derivative(czip,2,3,3,3) / 6.0_ki
      coeffs%coeffs_91%c2(4,4) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_91%c2(4,5) = derivative(czip,2,2,3,3) / 4.0_ki
      coeffs%coeffs_91%c2(4,6) = derivative(czip,2,2,2,3) / 6.0_ki
      coeffs%coeffs_91%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_91%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_91%c2(5,3) = derivative(czip,2,4,4,4) / 6.0_ki
      coeffs%coeffs_91%c2(5,4) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_91%c2(5,5) = derivative(czip,2,2,4,4) / 4.0_ki
      coeffs%coeffs_91%c2(5,6) = derivative(czip,2,2,2,4) / 6.0_ki
      coeffs%coeffs_91%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_91%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_91%c2(6,3) = derivative(czip,3,4,4,4) / 6.0_ki
      coeffs%coeffs_91%c2(6,4) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_91%c2(6,5) = derivative(czip,3,3,4,4) / 4.0_ki
      coeffs%coeffs_91%c2(6,6) = derivative(czip,3,3,3,4) / 6.0_ki
      coeffs%coeffs_91%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_91%c3(1,2) = -derivative(czip,1,2,3,3) / 2.0_ki
      coeffs%coeffs_91%c3(1,3) = -derivative(czip,1,2,2,3) / 2.0_ki
      coeffs%coeffs_91%c3(1,4) = derivative(czip,1,1,2,3) / 2.0_ki
      coeffs%coeffs_91%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_91%c3(2,2) = -derivative(czip,1,2,4,4) / 2.0_ki
      coeffs%coeffs_91%c3(2,3) = -derivative(czip,1,2,2,4) / 2.0_ki
      coeffs%coeffs_91%c3(2,4) = derivative(czip,1,1,2,4) / 2.0_ki
      coeffs%coeffs_91%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_91%c3(3,2) = -derivative(czip,1,3,4,4) / 2.0_ki
      coeffs%coeffs_91%c3(3,3) = -derivative(czip,1,3,3,4) / 2.0_ki
      coeffs%coeffs_91%c3(3,4) = derivative(czip,1,1,3,4) / 2.0_ki
      coeffs%coeffs_91%c3(4,1) = -derivative(czip,2,3,4)
      coeffs%coeffs_91%c3(4,2) = derivative(czip,2,3,4,4) / 2.0_ki
      coeffs%coeffs_91%c3(4,3) = derivative(czip,2,3,3,4) / 2.0_ki
      coeffs%coeffs_91%c3(4,4) = derivative(czip,2,2,3,4) / 2.0_ki
      coeffs%coeffs_91%c4(1,1) = -derivative(czip,1,2,3,4)
      !---#] reconstruct coeffs%coeffs_91:
   end subroutine reconstruct_d91
!---#] subroutine reconstruct_d91:
end module p7_dubar_emnebargg_d91h3l1d
