module     p0_dd_emnebardu_abbrevd15h0
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh0
   implicit none
   private
   complex(ki), public :: abb15n1
   complex(ki), public :: abb15n2
   complex(ki), public :: abb15n3
   complex(ki), public :: abb15n4
   complex(ki), public :: abb15n5
   complex(ki), public :: abb15n6
   complex(ki), public :: abb15n7
   complex(ki), public :: abb15n8
   complex(ki), public :: abb15n9
   complex(ki), public :: abb15n10
   complex(ki), public :: abb15n11
   complex(ki), public :: abb15n12
   complex(ki), public :: abb15n13
   complex(ki), public :: abb15n14
   complex(ki), public :: abb15n15
   complex(ki), public :: abb15n16
   complex(ki), public :: abb15n17
   complex(ki), public :: abb15n18
   complex(ki), public :: rat2d15
   complex(ki), public :: abb15n20
   complex(ki), public :: abb15n21
   complex(ki), public :: abb15n22
   complex(ki), public :: abb15n23
   complex(ki), public :: abb15n24
   complex(ki), public :: abb15n25
   complex(ki), public :: abb15n26
   complex(ki), public :: abb15n27
   complex(ki), public :: abb15n28
   complex(ki), public :: abb15n29
   complex(ki), public :: abb15n30
   complex(ki), public :: abb15n31
   complex(ki), public :: abb15n32
   complex(ki), public :: abb15n33
   complex(ki), public :: abb15n34
   complex(ki), public :: abb15n35
   complex(ki), public :: abb15n36
   complex(ki), public :: abb15n37
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   real(ki) :: t40
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = c2*i_
      t2 = t1*spak1k3
      t3 = t2*spak5k6
      t40 = TR*TR
      t4 = t40*t3*spbk2k1*spbk4k1
      t5 = (es34+es61-(es345+es234))*(es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*&
      &mW)
      t6 = t4/t5
      t7 = t1*spak3k4
      t8 = t7*spak5k6*spbk4k1
      t9 = t40*t8*spbk4k2
      t10 = t9/t5
      t11 = t6-t10
      t12 = NC*NC*t5
      t4 = t4/t12
      t9 = t9/t12
      t13 = c1*i_
      t14 = t13*spak1k3
      t15 = t14*spak5k6
      t16 = NC*t5
      t17 = t40*t15/t16*spbk2k1*spbk4k1
      t18 = t13*spak3k4
      t19 = t18*spak5k6*spbk4k1
      t20 = t40*t19/t16*spbk4k2
      t21 = NC*c1
      t22 = t21*i_
      t23 = t22*spak1k3
      t24 = t23*spak5k6
      t25 = t40*t24/t5*spbk2k1*spbk4k1
      t26 = t22*spak3k4
      t27 = t26*spak5k6*spbk4k1
      t28 = t40*t27/t5*spbk4k2
      abb15n1 = ((2.0_ki)*(t11+t17+t28+t9-(t4+t25+t20)))
      t6 = t10-t6
      t10 = (4.0_ki)*(t25+t6-t28)
      abb15n2 = t10
      t29 = es56*c2*i_
      t30 = es56*t21*i_
      t31 = es12*c2*i_
      t32 = es345*c2*i_
      t33 = es61*c2*i_
      t34 = t2*spbk4k1
      t35 = TR*spak5k6
      t35 = t35*t35
      t7 = t7*spbk4k1
      t36 = es12*t21*i_
      t37 = es345*t21*i_
      t21 = es61*t21*i_
      t38 = t23*spbk4k1
      t26 = t26*spbk4k1
      abb15n3 = ((4.0_ki)*(t40*t29/t5*spak1k3*spak5k6*spbk2k1*spbk4k1+t40*t30/t5&
      &*spak3k4*spak5k6*spbk4k1*spbk4k2-(t40*t30/t5*spak1k3*spak5k6*spbk2k1*spbk&
      &4k1+t40*t29/t5*spak3k4*spak5k6*spbk4k1*spbk4k2))+(2.0_ki)*(t26*t35/t5*spb&
      &k5k4*spbk6k2+t35*t38/t5*spbk5k1*spbk6k2+t40*t21/t5*spak1k3*spak5k6*spbk2k&
      &1*spbk4k1+t40*t31/t5*spak3k4*spak5k6*spbk4k1*spbk4k2+t40*t32/t5*spak1k3*s&
      &pak5k6*spbk2k1*spbk4k1+t40*t33/t5*spak3k4*spak5k6*spbk4k1*spbk4k2+t40*t36&
      &/t5*spak1k3*spak5k6*spbk2k1*spbk4k1+t40*t37/t5*spak3k4*spak5k6*spbk4k1*sp&
      &bk4k2-(t40*t37/t5*spak1k3*spak5k6*spbk2k1*spbk4k1+t40*t36/t5*spak3k4*spak&
      &5k6*spbk4k1*spbk4k2+t40*t33/t5*spak1k3*spak5k6*spbk2k1*spbk4k1+t40*t32/t5&
      &*spak3k4*spak5k6*spbk4k1*spbk4k2+t40*t31/t5*spak1k3*spak5k6*spbk2k1*spbk4&
      &k1+t40*t21/t5*spak3k4*spak5k6*spbk4k1*spbk4k2+t35/t5*t7*spbk5k4*spbk6k2+t&
      &34*t35/t5*spbk5k1*spbk6k2)))
      t21 = t1*spak3k5*spak5k6
      t29 = t40*t21/t5*spbk4k1*spbk5k2
      t30 = t22*spak3k5*spak5k6
      t31 = t40*t30/t5*spbk4k1*spbk5k2
      t32 = t1*spak3k6
      t33 = t32*spak5k6
      t35 = t40*t33/t5*spbk4k1*spbk6k2
      t36 = t22*spak3k6
      t37 = t36*spak5k6
      t39 = t40*t37/t5*spbk4k1*spbk6k2
      abb15n4 = ((12.0_ki)*(t31-t29)+(4.0_ki)*(t35-t39))
      abb15n5 = ((12.0_ki)*(t29-t31)+(4.0_ki)*(t39-t35))
      t29 = t1*spak4k6
      t31 = t22*spak4k6
      abb15n6 = ((6.0_ki)*(t40*t21/t5*spbk3k1*spbk5k2+t40*t1/t5*spak4k5*spak5k6*&
      &spbk4k1*spbk5k2-(t40*t22/t5*spak4k5*spak5k6*spbk4k1*spbk5k2+t40*t30/t5*sp&
      &bk3k1*spbk5k2))+(2.0_ki)*(t40*t37/t5*spbk3k1*spbk6k2+t40*t31/t5*spak5k6*s&
      &pbk4k1*spbk6k2-(t40*t29/t5*spak5k6*spbk4k1*spbk6k2+t40*t33/t5*spbk3k1*spb&
      &k6k2)))
      t35 = t1*spak1k6
      t39 = t22*spak1k6
      abb15n7 = ((6.0_ki)*(t40*t21/t5*spbk4k3*spbk5k2+t40*t22/t5*spak1k5*spak5k6&
      &*spbk4k1*spbk5k2-(t40*t1/t5*spak1k5*spak5k6*spbk4k1*spbk5k2+t40*t30/t5*sp&
      &bk4k3*spbk5k2))+(2.0_ki)*(t40*t37/t5*spbk4k3*spbk6k2+t40*t35/t5*spak5k6*s&
      &pbk4k1*spbk6k2-(t40*t39/t5*spak5k6*spbk4k1*spbk6k2+t40*t33/t5*spbk4k3*spb&
      &k6k2)))
      t21 = t40*t34
      abb15n8 = ((4.0_ki)*(t40*t38/t5+t40*t14/t16*spbk4k1-(t21/t5+t21/t12)))
      abb15n9 = ((4.0_ki)*(t40*t2/t12*spak2k5*spbk2k1*spbk4k1+t40*t13/t16*spak2k&
      &5*spak3k4*spbk4k1*spbk4k2-(t40*t1/t12*spak2k5*spak3k4*spbk4k1*spbk4k2+t40&
      &*t14/t16*spak2k5*spbk2k1*spbk4k1)))
      abb15n10 = ((8.0_ki)*(t17+t9-(t4+t20))+t10)
      abb15n11 = ((4.0_ki)*(t20+t25+t4+t6-(t9+t28+t17)))
      abb15n12 = ((4.0_ki)*(t11+t28-t25)+(8.0_ki)*(t20+t4-(t9+t17)))
      t2 = t40*t2*spak2k6*spbk2k1*spbk4k1
      t3 = t40*t3*spbk4k1*spbk5k1
      t1 = t40*t1*spak2k6*spak3k4*spbk4k1*spbk4k2
      t4 = t40*t8*spbk5k4
      abb15n13 = ((4.0_ki)*(t1/t12+t1/t5+t3/t12+t4/t12+t3/t5+t4/t5+t40*t14/t16*s&
      &pak2k6*spbk2k1*spbk4k1+t40*t23/t5*spak2k6*spbk2k1*spbk4k1-(t40*t22/t5*spa&
      &k2k6*spak3k4*spbk4k1*spbk4k2+t40*t13/t16*spak2k6*spak3k4*spbk4k1*spbk4k2+&
      &t40*t24/t5*spbk4k1*spbk5k1+t40*t15/t16*spbk4k1*spbk5k1+t40*t27/t5*spbk5k4&
      &+t40*t19/t16*spbk5k4+t2/t5+t2/t12)))
      t1 = t40*t7
      abb15n14 = ((4.0_ki)*(t40*t26/t5+t40*t18/t16*spbk4k1-(t1/t5+t1/t12)))
      t1 = t40*t32*spbk4k1
      t2 = t1/t5
      t1 = t1/t12
      t3 = t13*spak3k6
      t4 = t40*t3/t16*spbk4k1
      t6 = t40*t36/t5*spbk4k1
      abb15n15 = ((16.0_ki)*(t1+t2-(t6+t4)))
      abb15n16 = ((16.0_ki)*(t4+t6-(t2+t1)))
      t1 = t40*t32*spbk3k1
      t2 = t40*t29*spbk4k1
      abb15n17 = ((8.0_ki)*(t40*t3/t16*spbk3k1+t40*t31/t5*spbk4k1+t40*t36/t5*spb&
      &k3k1+t40*t13/t16*spak4k6*spbk4k1-(t2/t5+t2/t12+t1/t5+t1/t12)))
      t1 = t40*t35*spbk4k1
      t2 = t40*t32*spbk4k3
      abb15n18 = ((8.0_ki)*(t1/t12+t1/t5+t40*t3/t16*spbk4k3+t40*t36/t5*spbk4k3-(&
      &t40*t13/t16*spak1k6*spbk4k1+t40*t39/t5*spbk4k1+t2/t5+t2/t12)))
      rat2d15 = abb15n1
      rat2 = rat2 + rat2d15
      abb15n20 = abb15n3
      abb15n21 = abb15n18
      abb15n22 = abb15n17
      abb15n23 = abb15n16
      abb15n24 = abb15n15
      abb15n25 = abb15n14
      abb15n26 = abb15n11
      abb15n27 = abb15n8
      abb15n28 = -(abb15n2)
      abb15n29 = -(abb15n4)
      abb15n30 = -(abb15n5)
      abb15n31 = -(abb15n6)
      abb15n32 = -(abb15n7)
      abb15n33 = -(abb15n9)
      abb15n34 = -(abb15n10)
      abb15n35 = ((2.0_ki)*abb15n11)
      abb15n36 = -(abb15n12)
      abb15n37 = -(abb15n13)
   end subroutine
end module p0_dd_emnebardu_abbrevd15h0
