module     p0_dd_emnebardu_abbrevd67h0
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh0
   implicit none
   private
   complex(ki), public :: abb67n1
   complex(ki), public :: abb67n2
   complex(ki), public :: abb67n3
   complex(ki), public :: abb67n4
   complex(ki), public :: abb67n5
   complex(ki), public :: abb67n6
   complex(ki), public :: abb67n7
   complex(ki), public :: abb67n8
   complex(ki), public :: abb67n9
   complex(ki), public :: abb67n10
   complex(ki), public :: abb67n11
   complex(ki), public :: abb67n12
   complex(ki), public :: abb67n13
   complex(ki), public :: rat2d67
   complex(ki), public :: abb67n15
   complex(ki), public :: abb67n16
   complex(ki), public :: abb67n17
   complex(ki), public :: abb67n18
   complex(ki), public :: abb67n19
   complex(ki), public :: abb67n20
   complex(ki), public :: abb67n21
   complex(ki), public :: abb67n22
   complex(ki), public :: abb67n23
   complex(ki), public :: abb67n24
   complex(ki), public :: abb67n25
   complex(ki), public :: abb67n26
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   complex(ki) :: t51
   complex(ki) :: t52
   real(ki) :: t53
   real(ki) :: t54
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t53 = es34+es61-(es345+es234)
      t2 = c2*i_
      t3 = t2*spak1k3
      t4 = t3*spak5k6
      t54 = TR*TR
      t5 = t54*t4*spbk2k1*spbk4k1
      t6 = t53*(es34+es56-(es234+es12))*t1
      t7 = t5/t6
      t8 = t2*spak3k4
      t9 = t8*spak5k6*spbk4k1
      t10 = t54*t9*spbk4k2
      t11 = t10/t6
      t12 = t2*spak3k5*spak3k6
      t13 = t54*t12*spbk2k1*spbk4k3
      t1 = t53*(es12+es34-(es56+es345))*t1
      t14 = t13/t1
      t15 = t2*spak3k6
      t16 = t15*spak5k6
      t17 = t54*t16*spbk2k1*spbk6k4
      t18 = t17/t1
      t53 = NC*NC
      t19 = t53*t6
      t5 = t5/t19
      t10 = t10/t19
      t20 = c1*i_
      t21 = t20*spak1k3
      t22 = t21*spak5k6
      t23 = NC*t6
      t24 = t54*t22/t23*spbk2k1*spbk4k1
      t25 = t20*spak3k4
      t26 = t25*spak5k6*spbk4k1
      t27 = t54*t26/t23*spbk4k2
      t28 = NC*c1*i_
      t29 = t28*spak1k3
      t30 = t29*spak5k6
      t31 = t54*t30/t6*spbk2k1*spbk4k1
      t32 = t28*spak3k4*spak5k6*spbk4k1
      t33 = t54*t32/t6*spbk4k2
      t34 = t53*t1
      t13 = t13/t34
      t17 = t17/t34
      t35 = t20*spak3k5*spak3k6
      t36 = NC*t1
      t37 = t54*t35/t36*spbk2k1*spbk4k3
      t38 = t20*spak3k6
      t39 = t38*spak5k6
      t40 = t54*t39/t36*spbk2k1*spbk6k4
      t41 = t28*spak3k5*spak3k6
      t42 = t54*t41/t1*spbk2k1*spbk4k3
      t43 = t28*spak3k6
      t44 = t43*spak5k6
      t45 = t54*t44/t1*spbk2k1*spbk6k4
      t46 = t10+t14+t18+t24+t33+t37+t40+t7-(t5+t45+t42+t31+t27+t17+t13+t11)
      abb67n1 = ((2.0_ki)*t46)
      t47 = t54*t15/t6*spbk4k1
      t48 = t54*t43/t6*spbk4k1
      abb67n2 = ((8.0_ki)*(t47-t48))
      abb67n3 = ((8.0_ki)*(t48-t47))
      abb67n4 = ((4.0_ki)*(t54*t43/t6*spbk3k1+t54*t28/t6*spak4k6*spbk4k1-(t54*t2&
      &/t6*spak4k6*spbk4k1+t54*t15/t6*spbk3k1)))
      abb67n5 = ((4.0_ki)*(t54/t19*t8*spbk4k1-t54*t25/t23*spbk4k1))
      t8 = es234*c2*i_
      t25 = es34*c2*i_
      t47 = es345*c2*i_
      t48 = es61*c2*i_
      t49 = es234*c1*i_
      t50 = es34*c1*i_
      t51 = es345*c1*i_
      t52 = es61*c1*i_
      abb67n6 = ((4.0_ki)*(t54*t25/t19*spak3k4*spak5k6*spbk4k1*spbk4k2+t54*t47/t&
      &19*spak1k3*spak5k6*spbk2k1*spbk4k1+t54*t48/t19*spak3k4*spak5k6*spbk4k1*sp&
      &bk4k2+t54/t19*t8*spak1k3*spak5k6*spbk2k1*spbk4k1+t54*t49/t23*spak3k4*spak&
      &5k6*spbk4k1*spbk4k2+t54*t50/t23*spak1k3*spak5k6*spbk2k1*spbk4k1+t54*t51/t&
      &23*spak3k4*spak5k6*spbk4k1*spbk4k2+t54*t52/t23*spak1k3*spak5k6*spbk2k1*sp&
      &bk4k1+t54*t47/t34*spak3k5*spak3k6*spbk2k1*spbk4k3+t54*t47/t34*spak3k6*spa&
      &k5k6*spbk2k1*spbk6k4+t54/t34*t8*spak3k5*spak3k6*spbk2k1*spbk4k3+t54/t34*t&
      &8*spak3k6*spak5k6*spbk2k1*spbk6k4+t54*t50/t36*spak3k5*spak3k6*spbk2k1*spb&
      &k4k3+t54*t50/t36*spak3k6*spak5k6*spbk2k1*spbk6k4+t54*t52/t36*spak3k5*spak&
      &3k6*spbk2k1*spbk4k3+t54*t52/t36*spak3k6*spak5k6*spbk2k1*spbk6k4-(t54*t51/&
      &t36*spak3k6*spak5k6*spbk2k1*spbk6k4+t54*t51/t36*spak3k5*spak3k6*spbk2k1*s&
      &pbk4k3+t54*t49/t36*spak3k6*spak5k6*spbk2k1*spbk6k4+t54*t49/t36*spak3k5*sp&
      &ak3k6*spbk2k1*spbk4k3+t54*t48/t34*spak3k6*spak5k6*spbk2k1*spbk6k4+t54*t48&
      &/t34*spak3k5*spak3k6*spbk2k1*spbk4k3+t54*t25/t34*spak3k6*spak5k6*spbk2k1*&
      &spbk6k4+t54*t25/t34*spak3k5*spak3k6*spbk2k1*spbk4k3+t54*t52/t23*spak3k4*s&
      &pak5k6*spbk4k1*spbk4k2+t54*t51/t23*spak1k3*spak5k6*spbk2k1*spbk4k1+t54*t5&
      &0/t23*spak3k4*spak5k6*spbk4k1*spbk4k2+t54*t49/t23*spak1k3*spak5k6*spbk2k1&
      &*spbk4k1+t54/t19*t8*spak3k4*spak5k6*spbk4k1*spbk4k2+t54*t48/t19*spak1k3*s&
      &pak5k6*spbk2k1*spbk4k1+t54*t47/t19*spak3k4*spak5k6*spbk4k1*spbk4k2+t54*t2&
      &5/t19*spak1k3*spak5k6*spbk2k1*spbk4k1)))
      t8 = t2*spak2k5
      t25 = t8*spak3k6*spbk2k1
      t47 = t54*t25*spbk4k3
      t20 = t20*spak2k5
      t48 = t20*spak3k6*spbk2k1
      t49 = t28*spak2k5
      t50 = t49*spak3k6*spbk2k1
      abb67n7 = ((4.0_ki)*(t47/t1+t54*t48/t36*spbk4k3-(t54*t50/t1*spbk4k3+t47/t3&
      &4)))
      t47 = t54*t3*spak2k5*spbk2k1*spbk4k1
      t8 = t54*t8*spak3k4*spbk4k1*spbk4k2
      t25 = t54*t25*spbk6k4
      abb67n8 = ((4.0_ki)*(t47/t19+t25/t34+t8/t6+t54*t50/t1*spbk6k4+t54*t20/t23*&
      &spak3k4*spbk4k1*spbk4k2+t54*t29/t6*spak2k5*spbk2k1*spbk4k1-(t54*t49/t6*sp&
      &ak3k4*spbk4k1*spbk4k2+t54*t21/t23*spak2k5*spbk2k1*spbk4k1+t54*t48/t36*spb&
      &k6k4+t47/t6+t8/t19+t25/t1)))
      abb67n9 = ((4.0_ki)*(t11+t13+t17+t27+t31+t42+t45+t5-(t7+t40+t37+t33+t24+t1&
      &8+t14+t10)))
      abb67n10 = ((8.0_ki)*t46)
      t4 = t54*t4*spbk4k1*spbk5k1
      t5 = t54*t9*spbk5k4
      t7 = t54*t12*spbk4k3*spbk5k1
      t8 = t54*t16*spbk5k1*spbk6k4
      t9 = t2*spak2k6
      t10 = t28*spak2k6
      abb67n11 = ((4.0_ki)*(t4/t19+t5/t19+t7/t34+t8/t34-(t54*t39/t36*spbk5k1*spb&
      &k6k4+t54*t35/t36*spbk4k3*spbk5k1+t54*t22/t23*spbk4k1*spbk5k1+t54*t26/t23*&
      &spbk5k4))+(2.0_ki)*(t54*t32/t6*spbk5k4+t54*t41/t1*spbk4k3*spbk5k1+t54*t44&
      &/t1*spbk5k1*spbk6k4+t54*t30/t6*spbk4k1*spbk5k1+t54/t1*t9*spak3k6*spbk2k1*&
      &spbk6k4+t54*t10/t6*spak3k4*spbk4k1*spbk4k2+t54*t3/t6*spak2k6*spbk2k1*spbk&
      &4k1+t54*t28/t1*spak2k3*spak3k6*spbk2k1*spbk4k3-(t54*t2/t1*spak2k3*spak3k6&
      &*spbk2k1*spbk4k3+t54/t6*t9*spak3k4*spbk4k1*spbk4k2+t54*t29/t6*spak2k6*spb&
      &k2k1*spbk4k1+t54*t10/t1*spak3k6*spbk2k1*spbk6k4+t5/t6+t4/t6+t8/t1+t7/t1))&
      &)
      t4 = t54*t15*spbk4k3
      t5 = t54*t43*spbk4k3
      abb67n12 = ((4.0_ki)*(t5/t1+t5/t6+t54*t38/t36*spbk4k3+t54*t2/t6*spak1k6*sp&
      &bk4k1-(t54*t28/t6*spak1k6*spbk4k1+t4/t6+t4/t34+t4/t1)))
      t2 = t54*t15*spbk6k4
      abb67n13 = ((4.0_ki)*(t2/t1+t2/t34+t54*t3/t19*spbk4k1-(t54*t38/t36*spbk6k4&
      &+t54*t21/t23*spbk4k1+t54*t43/t1*spbk6k4)))
      rat2d67 = abb67n1
      rat2 = rat2 + rat2d67
      abb67n15 = abb67n6
      abb67n16 = abb67n13
      abb67n17 = abb67n12
      abb67n18 = abb67n11
      abb67n19 = abb67n10
      abb67n20 = abb67n9
      abb67n21 = abb67n8
      abb67n22 = abb67n7
      abb67n23 = abb67n5
      abb67n24 = abb67n4
      abb67n25 = abb67n3
      abb67n26 = abb67n2
   end subroutine
end module p0_dd_emnebardu_abbrevd67h0
