module     p0_dd_emnebardu_d1h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p0_dd_emnebardu/helicity0/d1h0l1d.f90
   ! generator: haggies (1.1)
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d1
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p0_dd_emnebardu_globalsl1, only: epspow
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_abbrevd1h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      real(ki) :: t33
      real(ki) :: t34
      real(ki) :: t35
      real(ki) :: t36
      real(ki) :: t37
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t33 = dotproduct(qshift, qshift)
      t1 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t34 = dotproduct(k6, qshift)
      t2 = (spvak1k2(1)*qshift(1)-spvak1k2(2)*qshift(2)-spvak1k2(3)*qshift(3)-sp&
      &vak1k2(4)*qshift(4))
      t35 = dotproduct(k1, qshift)
      t36 = dotproduct(k2, qshift)
      t37 = dotproduct(k5, qshift)
      t3 = (spvak5k2(1)*qshift(1)-spvak5k2(2)*qshift(2)-spvak5k2(3)*qshift(3)-sp&
      &vak5k2(4)*qshift(4))
      t4 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t5 = (spvak3k2(1)*qshift(1)-spvak3k2(2)*qshift(2)-spvak3k2(3)*qshift(3)-sp&
      &vak3k2(4)*qshift(4))
      t6 = (spvak6k2(1)*qshift(1)-spvak6k2(2)*qshift(2)-spvak6k2(3)*qshift(3)-sp&
      &vak6k2(4)*qshift(4))
      t7 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t8 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb1n32+t1*abb1n49+t2*abb1n53+t3*abb1n62+t33*abb1n40+t34*a&
         &bb1n50+t35*abb1n58+t36*abb1n60+t37*abb1n61+t4*abb1n63+t1*t3*abb1n41+t1&
         &*t33*abb1n51+t1*t35*abb1n48+t1*t36*abb1n47+t1*t37*abb1n46+t1*t4*abb1n3&
         &6+t2*t4*abb1n43+t3*t33*abb1n54+t3*t34*abb1n43+t3*t35*abb1n44+t3*t37*ab&
         &b1n43+t3*t4*abb1n35+t33*t4*abb1n64+t33*t5*abb1n56+t34*t4*abb1n37+t35*t&
         &4*abb1n37+t36*t5*abb1n42+t37*t4*abb1n38+t4*t5*abb1n33+t4*t6*abb1n34+t4&
         &*t7*abb1n39+t4*t8*abb1n45+t1*t4*t6*abb1n66)
         return
      end if
      t9 = k1(iv1)
      t10 = k2(iv1)
      t11 = k5(iv1)
      t12 = k6(iv1)
      t13 = qshift(iv1)
      t14 = spvak1k2(iv1)
      t15 = spvak3k4(iv1)
      t16 = spvak5k1(iv1)
      t17 = spvak5k2(iv1)
      t18 = spvak3k2(iv1)
      t19 = t16*abb1n37
      t20 = t17*abb1n43
      t21 = spvak6k1(iv1)
      t22 = spvak6k2(iv1)
      t23 = spvak6k5(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb1n60+t11*abb1n61+t12*abb1n50+t13*abb1n59+t14*abb1n5&
         &3+t15*abb1n49+t16*abb1n63+t17*abb1n62+t19*t34+t19*t35+t20*t34+t20*t37+&
         &t9*abb1n58+t1*t10*abb1n47+t1*t11*abb1n46+t1*t13*abb1n52+t1*t16*abb1n36&
         &+t1*t17*abb1n41+t1*t9*abb1n48+t10*t5*abb1n42+t11*t3*abb1n43+t11*t4*abb&
         &1n38+t12*t3*abb1n43+t12*t4*abb1n37+t13*t3*abb1n55+t13*t4*abb1n65+t13*t&
         &5*abb1n57+t14*t4*abb1n43+t15*t3*abb1n41+t15*t33*abb1n51+t15*t35*abb1n4&
         &8+t15*t36*abb1n47+t15*t37*abb1n46+t15*t4*abb1n36+t16*t2*abb1n43+t16*t3&
         &*abb1n35+t16*t33*abb1n64+t16*t37*abb1n38+t16*t5*abb1n33+t16*t6*abb1n34&
         &+t16*t7*abb1n39+t16*t8*abb1n45+t17*t33*abb1n54+t17*t35*abb1n44+t17*t4*&
         &abb1n35+t18*t33*abb1n56+t18*t36*abb1n42+t18*t4*abb1n33+t21*t4*abb1n45+&
         &t22*t4*abb1n34+t23*t4*abb1n39+t3*t9*abb1n44+t4*t9*abb1n37+t1*t16*t6*ab&
         &b1n66+t1*t22*t4*abb1n66+t15*t4*t6*abb1n66)
         return
      end if
      t33 = d(iv1,iv2)
      t2 = spvak3k4(iv2)
      t7 = spvak5k1(iv2)
      t8 = spvak5k2(iv2)
      t19 = k1(iv2)
      t20 = spvak3k2(iv2)
      t24 = k2(iv2)
      t25 = k5(iv2)
      t26 = k6(iv2)
      t27 = qshift(iv2)
      t28 = t15*t7
      t29 = t16*t2
      t30 = spvak6k2(iv2)
      t31 = t16*t30
      t32 = t22*t7
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t33*abb1n40+t1*t33*abb1n51+t3*t33*abb1n54+t33*t4&
         &*abb1n64+t33*t5*abb1n56)+t28*abb1n36+t29*abb1n36+t31*abb1n34+t32*abb1n&
         &34+spvak1k2(iv2)*t16*abb1n43+spvak6k1(iv2)*t16*abb1n45+spvak6k5(iv2)*t&
         &16*abb1n39+t1*t31*abb1n66+t1*t32*abb1n66+t10*t2*abb1n47+t10*t20*abb1n4&
         &2+t11*t2*abb1n46+t11*t7*abb1n38+t11*t8*abb1n43+t12*t7*abb1n37+t12*t8*a&
         &bb1n43+t13*t2*abb1n52+t13*t20*abb1n57+t13*t7*abb1n65+t13*t8*abb1n55+t1&
         &4*t7*abb1n43+t15*t19*abb1n48+t15*t24*abb1n47+t15*t25*abb1n46+t15*t27*a&
         &bb1n52+t15*t8*abb1n41+t16*t19*abb1n37+t16*t20*abb1n33+t16*t25*abb1n38+&
         &t16*t26*abb1n37+t16*t27*abb1n65+t16*t8*abb1n35+t17*t19*abb1n44+t17*t2*&
         &abb1n41+t17*t25*abb1n43+t17*t26*abb1n43+t17*t27*abb1n55+t17*t7*abb1n35&
         &+t18*t24*abb1n42+t18*t27*abb1n57+t18*t7*abb1n33+t2*t9*abb1n48+t21*t7*a&
         &bb1n45+t23*t7*abb1n39+t28*t6*abb1n66+t29*t6*abb1n66+t7*t9*abb1n37+t8*t&
         &9*abb1n44+t15*t30*t4*abb1n66+t2*t22*t4*abb1n66)
         return
      end if
      t34 = d(iv2,iv3)
      t35 = d(iv1,iv3)
      t1 = spvak3k4(iv3)
      t3 = spvak5k1(iv3)
      t4 = spvak6k2(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak3k2(iv3)*t33*abb1n56+spvak5k2(iv3)*t33*abb1&
         &n54+t1*t33*abb1n51+t15*t34*abb1n51+t16*t34*abb1n64+t17*t34*abb1n54+t18&
         &*t34*abb1n56+t2*t35*abb1n51+t20*t35*abb1n56+t3*t33*abb1n64+t35*t7*abb1&
         &n64+t35*t8*abb1n54)+t28*t4*abb1n66+t29*t4*abb1n66+t1*t16*t30*abb1n66+t&
         &1*t22*t7*abb1n66+t15*t3*t30*abb1n66+t2*t22*t3*abb1n66)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d1:
   subroutine     reconstruct_d1(coeffs)
      use p0_dd_emnebardu_groups, only: tensrec_info_group7
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group7), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_1:
      coeffs%coeffs_1%c0 = derivative(czip)
      coeffs%coeffs_1%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_1%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_1%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_1%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_1%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_1%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_1%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_1%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_1%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_1%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_1%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_1%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_1%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_1%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_1%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_1%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_1%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_1%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_1%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_1%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_1%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_1%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_1%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_1%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_1%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_1%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_1%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_1%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_1%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_1%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_1%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_1%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_1%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_1%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_1:
   end subroutine reconstruct_d1
!---#] subroutine reconstruct_d1:
end module p0_dd_emnebardu_d1h0l1d
