module     p0_dd_emnebardu_diagramsh0l0
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p0_dd_emnebardu/helicity0/diagramsl0.f90
   ! generator: haggies (1.1)
   use p0_dd_emnebardu_color, only: numcs
   use p0_dd_emnebardu_config, only: ki
   implicit none

   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   complex(ki), dimension(numcs), parameter :: zero_col = 0.0_ki

   public :: amplitude

contains
   function     amplitude()
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_color
      use p0_dd_emnebardu_config, only: debug_lo_diagrams, &
        & use_sorted_sum
      use p0_dd_emnebardu_accu, only: sorted_sum
      use p0_dd_emnebardu_util, only: inspect_lo_diagram
      implicit none
      complex(ki), dimension(numcs) :: amplitude
      complex(ki), dimension(4,numcs) :: diagrams
      integer :: i
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      real(ki) :: t8
      real(ki) :: t9
      diagrams(:,:) = (0.0_ki, 0.0_ki)
      t1 = es34+i_*mW*wW-mW*mW
      t8 = es34+es61-(es345+es234)
      t2 = spak3k5*spbk4k1*spbk5k2
      t3 = (es34+es56-(es234+es12))*t1*t8
      t4 = spak3k6*spbk4k1*spbk6k2
      t5 = t3*NC
      diagrams(4, :) = (spak5k6*i_*TR*(4.0_ki)*((t2/t3+t4/t3)*c1+(-(t4/t5+t2/t5)&
      &)*c2))
      t9 = es12+es34-(es56+es345)
      t2 = spak1k5*spbk2k1*spbk4k1
      t3 = t1*t8*t9
      t4 = spak2k5*spbk2k1*spbk4k2
      t5 = t3*NC
      diagrams(3, :) = (spak3k6*i_*TR*(4.0_ki)*((t2/t3+t4/t3)*c1+(-(t4/t5+t2/t5)&
      &)*c2))
      t3 = spak3k5*spbk4k2*spbk5k1
      t1 = (es234-(es61+es56))*t1
      t5 = t1*es234
      t6 = spak3k6*spbk4k2*spbk6k1
      t7 = t1*NC*es234
      diagrams(2, :) = (spak5k6*i_*TR*(4.0_ki)*((-(t6/t5+t3/t5))*c2+(t3/t7+t6/t7&
      &)*c1))
      t1 = t1*t9
      t3 = t1*NC
      diagrams(1, :) = (spak3k6*i_*TR*(4.0_ki)*((t2/t1+t4/t1)*c2+(-(t4/t3+t2/t3)&
      &)*c1))
      if (debug_lo_diagrams) then
         call inspect_lo_diagram(diagrams(1,:), 1, 0, 19)
         call inspect_lo_diagram(diagrams(2,:), 2, 0, 19)
         call inspect_lo_diagram(diagrams(3,:), 3, 0, 19)
         call inspect_lo_diagram(diagrams(4,:), 4, 0, 19)
      end if

      if (use_sorted_sum) then
         do i=1,numcs
            amplitude(i) = sorted_sum(diagrams(:,i))
         end do
      else
         do i=1,numcs
            amplitude(i) = sum(diagrams(:,i))
         end do
      end if
   end function     amplitude
end module p0_dd_emnebardu_diagramsh0l0
