module     p0_dd_emnebardu_abbrevd11h1
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh1
   implicit none
   private
   complex(ki), public :: abb11n1
   complex(ki), public :: abb11n2
   complex(ki), public :: abb11n3
   complex(ki), public :: abb11n4
   complex(ki), public :: abb11n5
   complex(ki), public :: abb11n6
   complex(ki), public :: abb11n7
   complex(ki), public :: abb11n8
   complex(ki), public :: abb11n9
   complex(ki), public :: abb11n10
   complex(ki), public :: abb11n11
   complex(ki), public :: abb11n12
   complex(ki), public :: abb11n13
   complex(ki), public :: abb11n14
   complex(ki), public :: abb11n15
   complex(ki), public :: abb11n16
   complex(ki), public :: abb11n17
   complex(ki), public :: abb11n18
   complex(ki), public :: rat2d11
   complex(ki), public :: abb11n20
   complex(ki), public :: abb11n21
   complex(ki), public :: abb11n22
   complex(ki), public :: abb11n23
   complex(ki), public :: abb11n24
   complex(ki), public :: abb11n25
   complex(ki), public :: abb11n26
   complex(ki), public :: abb11n27
   complex(ki), public :: abb11n28
   complex(ki), public :: abb11n29
   complex(ki), public :: abb11n30
   complex(ki), public :: abb11n31
   complex(ki), public :: abb11n32
   complex(ki), public :: abb11n33
   complex(ki), public :: abb11n34
   complex(ki), public :: abb11n35
   complex(ki), public :: abb11n36
   complex(ki), public :: abb11n37
   complex(ki), public :: abb11n38
   complex(ki), public :: abb11n39
   complex(ki), public :: abb11n40
   complex(ki), public :: abb11n41
   complex(ki), public :: abb11n42
   complex(ki), public :: abb11n43
   complex(ki), public :: abb11n44
   complex(ki), public :: abb11n45
   complex(ki), public :: abb11n46
   complex(ki), public :: abb11n47
   complex(ki), public :: abb11n48
   complex(ki), public :: abb11n49
   complex(ki), public :: abb11n50
   complex(ki), public :: abb11n51
   complex(ki), public :: abb11n52
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   real(ki) :: t36
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t2 = t1*spak1k6
      t3 = t2*spak2k3
      t36 = TR*TR
      t4 = t36*t3*spbk4k2*spbk5k2
      t5 = (es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t6 = es234*t5
      t7 = t4/t6
      t8 = t2*spak3k4
      t9 = t36*t8*spbk4k2*spbk5k4
      t10 = t9/t6
      t11 = -(t7+t10)
      t12 = NC*NC*t6
      t4 = t4/t12
      t9 = t9/t12
      t13 = c2*i_
      t14 = t13*spak1k6
      t15 = t14*spak2k3
      t5 = es234*NC*t5
      t16 = t36*t15/t5*spbk4k2*spbk5k2
      t14 = t14*spak3k4
      t17 = t36*t14/t5*spbk4k2*spbk5k4
      t18 = NC*c2
      t19 = t18*i_
      t20 = t19*spak1k6
      t21 = t20*spak2k3
      t22 = t36*t21/t6*spbk4k2*spbk5k2
      t23 = t20*spak3k4
      t24 = t36*t23/t6*spbk4k2*spbk5k4
      abb11n1 = ((2.0_ki)*(t11+t22+t24+t4+t9-(t17+t16)))
      t25 = es61*c1*i_*spak1k6
      t26 = es61*t18*i_*spak1k6
      t27 = es56*c1*i_*spak1k6
      t28 = t1*spak2k3
      t29 = TR*spak1k6
      t29 = t29*t29
      t30 = t1*spak3k4
      t18 = es56*t18*i_*spak1k6
      t31 = t19*spak2k3
      t32 = t19*spak3k4
      abb11n2 = ((4.0_ki)*(t36*t26/t6*spak2k3*spbk4k2*spbk5k2+t36*t26/t6*spak3k4&
      &*spbk4k2*spbk5k4-(t36*t25/t6*spak3k4*spbk4k2*spbk5k4+t36*t25/t6*spak2k3*s&
      &pbk4k2*spbk5k2))+(2.0_ki)*(t36*t18/t6*spak2k3*spbk4k2*spbk5k2+t36*t18/t6*&
      &spak3k4*spbk4k2*spbk5k4+t28*t29/t6*spbk2k1*spbk4k2*spbk6k5+t29*t30/t6*spb&
      &k4k1*spbk4k2*spbk6k5-(t29*t32/t6*spbk4k1*spbk4k2*spbk6k5+t29*t31/t6*spbk2&
      &k1*spbk4k2*spbk6k5+t36*t27/t6*spak3k4*spbk4k2*spbk5k4+t36*t27/t6*spak2k3*&
      &spbk4k2*spbk5k2)))
      t7 = t10+t7
      t10 = (4.0_ki)*(t7-(t24+t22))
      abb11n3 = t10
      t18 = t1*spak1k3*spak1k6
      t25 = t36*t18/t6*spbk4k2*spbk5k1
      t26 = t19*spak1k3*spak1k6
      t27 = t36*t26/t6*spbk4k2*spbk5k1
      t29 = t2*spak3k6
      t33 = t36*t29/t6*spbk4k2*spbk6k5
      t34 = t20*spak3k6
      t35 = t36*t34/t6*spbk4k2*spbk6k5
      abb11n4 = ((12.0_ki)*(t25-t27)+(4.0_ki)*(t33-t35))
      abb11n5 = ((12.0_ki)*(t27-t25)+(4.0_ki)*(t35-t33))
      abb11n6 = ((6.0_ki)*(t36*t18/t6*spbk3k2*spbk5k1+t36*t1/t6*spak1k4*spak1k6*&
      &spbk4k2*spbk5k1-(t36*t19/t6*spak1k4*spak1k6*spbk4k2*spbk5k1+t36*t26/t6*sp&
      &bk3k2*spbk5k1))+(2.0_ki)*(t36*t29/t6*spbk3k2*spbk6k5+t36*t2/t6*spak4k6*sp&
      &bk4k2*spbk6k5-(t36*t20/t6*spak4k6*spbk4k2*spbk6k5+t36*t34/t6*spbk3k2*spbk&
      &6k5)))
      abb11n7 = ((6.0_ki)*(t36*t18/t6*spbk4k3*spbk5k1+t36*t19/t6*spak1k2*spak1k6&
      &*spbk4k2*spbk5k1-(t36*t1/t6*spak1k2*spak1k6*spbk4k2*spbk5k1+t36*t26/t6*sp&
      &bk4k3*spbk5k1))+(2.0_ki)*(t36*t29/t6*spbk4k3*spbk6k5+t36*t20/t6*spak2k6*s&
      &pbk4k2*spbk6k5-(t36*t2/t6*spak2k6*spbk4k2*spbk6k5+t36*t34/t6*spbk4k3*spbk&
      &6k5)))
      t2 = t1*spak1k5
      t18 = t13*spak1k5
      abb11n8 = ((4.0_ki)*(t36*t18/t5*spak2k3*spbk4k2*spbk5k2+t36*t18/t5*spak3k4&
      &*spbk4k2*spbk5k4-(t36*t2/t12*spak3k4*spbk4k2*spbk5k4+t36*t2/t12*spak2k3*s&
      &pbk4k2*spbk5k2)))
      abb11n9 = ((8.0_ki)*(t4+t9-(t17+t16))+t10)
      abb11n10 = ((4.0_ki)*(t16+t17+t7-(t9+t4+t24+t22)))
      abb11n11 = ((4.0_ki)*(t11+t22+t24)+(8.0_ki)*(t16+t17-(t9+t4)))
      t2 = t36*t28*spbk4k2
      t4 = t13*spak2k3
      abb11n12 = ((4.0_ki)*(t2/t12+t2/t6-(t36*t4/t5*spbk4k2+t36*t31/t6*spbk4k2))&
      &)
      t2 = t36*t3*spbk2k1*spbk4k2
      t3 = t36*t8*spbk4k1*spbk4k2
      t7 = t36*t28*spak5k6*spbk4k2*spbk5k2
      t8 = t36*t30*spak5k6*spbk4k2*spbk5k4
      t9 = t13*spak3k4
      abb11n13 = ((4.0_ki)*(t36*t14/t5*spbk4k1*spbk4k2+t36*t15/t5*spbk2k1*spbk4k&
      &2+t36*t21/t6*spbk2k1*spbk4k2+t36*t23/t6*spbk4k1*spbk4k2+t36*t31/t6*spak5k&
      &6*spbk4k2*spbk5k2+t36*t32/t6*spak5k6*spbk4k2*spbk5k4+t36*t4/t5*spak5k6*sp&
      &bk4k2*spbk5k2+t36/t5*t9*spak5k6*spbk4k2*spbk5k4-(t8/t6+t7/t6+t3/t6+t2/t6+&
      &t8/t12+t7/t12+t3/t12+t2/t12)))
      t2 = t36*t30*spbk4k2
      abb11n14 = ((4.0_ki)*(t2/t12+t2/t6-(t36/t5*t9*spbk4k2+t36*t32/t6*spbk4k2))&
      &)
      t2 = t1*spak3k6
      t3 = t36*t2*spbk4k2
      t4 = t3/t6
      t3 = t3/t12
      t7 = t13*spak3k6
      t8 = t36/t5*t7*spbk4k2
      t9 = t19*spak3k6
      t10 = t36/t6*t9*spbk4k2
      abb11n15 = ((16.0_ki)*(t3+t4-(t8+t10)))
      abb11n16 = ((16.0_ki)*(t10+t8-(t4+t3)))
      t3 = t36*t2*spbk3k2
      t4 = t36*t1*spak4k6*spbk4k2
      abb11n17 = ((8.0_ki)*(t3/t12+t4/t12+t3/t6+t4/t6-(t36*t19/t6*spak4k6*spbk4k&
      &2+t36*t13/t5*spak4k6*spbk4k2+t36/t6*t9*spbk3k2+t36/t5*t7*spbk3k2)))
      t1 = t36*t1*spak2k6*spbk4k2
      t2 = t36*t2*spbk4k3
      abb11n18 = ((8.0_ki)*(t2/t12+t2/t6+t36*t13/t5*spak2k6*spbk4k2+t36*t19/t6*s&
      &pak2k6*spbk4k2-(t36/t6*t9*spbk4k3+t36/t5*t7*spbk4k3+t1/t6+t1/t12)))
      rat2d11 = abb11n1
      rat2 = rat2 + rat2d11
      abb11n20 = abb11n2
      abb11n21 = abb11n18
      abb11n22 = abb11n17
      abb11n23 = abb11n16
      abb11n24 = abb11n15
      abb11n25 = abb11n14
      abb11n26 = abb11n13
      abb11n27 = abb11n12
      abb11n28 = abb11n11
      abb11n29 = abb11n10
      abb11n30 = abb11n9
      abb11n31 = abb11n8
      abb11n32 = abb11n7
      abb11n33 = abb11n6
      abb11n34 = abb11n5
      abb11n35 = abb11n4
      abb11n36 = abb11n3
      abb11n37 = -(abb11n3)
      abb11n38 = -(abb11n4)
      abb11n39 = -(abb11n5)
      abb11n40 = -(abb11n6)
      abb11n41 = -(abb11n7)
      abb11n42 = -(abb11n8)
      abb11n43 = -(abb11n9)
      abb11n44 = (-2.0_ki)*abb11n10
      abb11n45 = -(abb11n11)
      abb11n46 = -(abb11n12)
      abb11n47 = -(abb11n13)
      abb11n48 = -(abb11n14)
      abb11n49 = -(abb11n15)
      abb11n50 = -(abb11n16)
      abb11n51 = -(abb11n17)
      abb11n52 = -(abb11n18)
   end subroutine
end module p0_dd_emnebardu_abbrevd11h1
