module     p2_ddbar_emnebarcsbar_d32h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p2_ddbar_emnebarcsbar/helicity1/d32h1l1d.f90
   ! generator: haggies (1.1)
   use p2_ddbar_emnebarcsbar_config, only: ki
   use p2_ddbar_emnebarcsbar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d32
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2) result(numerator)
      use p2_ddbar_emnebarcsbar_globalsl1, only: epspow
      use p2_ddbar_emnebarcsbar_kinematics
      use p2_ddbar_emnebarcsbar_abbrevd32h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      real(ki) :: t21
      real(ki) :: t22
      real(ki) :: t23
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      t1 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t2 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t3 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t4 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t5 = (spvak5k4(1)*qshift(1)-spvak5k4(2)*qshift(2)-spvak5k4(3)*qshift(3)-sp&
      &vak5k4(4)*qshift(4))
      t6 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t7 = (spvak3k6(1)*qshift(1)-spvak3k6(2)*qshift(2)-spvak3k6(3)*qshift(3)-sp&
      &vak3k6(4)*qshift(4))
      t8 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t21 = dotproduct(k3, qshift)
      t22 = dotproduct(k4, qshift)
      t23 = dotproduct(k6, qshift)
      if(deg.eq.0) then
         numerator = (t1*abb32n11+abb32n21*dotproduct(k5, qshift)+t1*t21*abb32n1&
         &8+t1*t22*abb32n18+t1*t23*abb32n18+t1*t4*abb32n13+t1*t6*abb32n15+t1*t7*&
         &abb32n16+t1*t8*abb32n17+t2*t3*abb32n12+t2*t5*abb32n14)
         return
      end if
      t9 = spvak5k1(iv1)
      t10 = k3(iv1)
      t11 = k4(iv1)
      t12 = k6(iv1)
      t13 = spvak2k1(iv1)
      t14 = spvak2k4(iv1)
      t15 = spvak2k6(iv1)
      t16 = spvak3k4(iv1)
      t17 = spvak3k6(iv1)
      t18 = t9*abb32n22
      t19 = spvak5k4(iv1)
      t20 = spvak5k6(iv1)
      if(deg.eq.1) then
         numerator = (k5(iv1)*abb32n19+t18*t21+t18*t22+t18*t23+t9*abb32n20+t1*t1&
         &0*abb32n22+t1*t11*abb32n22+t1*t12*abb32n22+t1*t14*abb32n25+t1*t15*abb3&
         &2n27+t1*t16*abb32n23+t1*t17*abb32n24+t13*t3*abb32n28+t13*t5*abb32n26+t&
         &19*t2*abb32n26+t2*t20*abb32n28+t4*t9*abb32n27+t6*t9*abb32n25+t7*t9*abb&
         &32n24+t8*t9*abb32n23)
         return
      end if
      t1 = spvak5k1(iv2)
      t2 = spvak2k1(iv2)
      if(deg.eq.2) then
         numerator = (k3(iv2)*t9*abb32n18+k4(iv2)*t9*abb32n18+k6(iv2)*t9*abb32n1&
         &8+spvak2k4(iv2)*t9*abb32n15+spvak2k6(iv2)*t9*abb32n13+spvak3k4(iv2)*t9&
         &*abb32n17+spvak3k6(iv2)*t9*abb32n16+spvak5k4(iv2)*t13*abb32n14+spvak5k&
         &6(iv2)*t13*abb32n12+t1*t10*abb32n18+t1*t11*abb32n18+t1*t12*abb32n18+t1&
         &*t14*abb32n15+t1*t15*abb32n13+t1*t16*abb32n17+t1*t17*abb32n16+t19*t2*a&
         &bb32n14+t2*t20*abb32n12)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d32:
   subroutine     reconstruct_d32(coeffs)
      use p2_ddbar_emnebarcsbar_groups, only: tensrec_info_group4
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group4), intent(out) :: coeffs
      ! rank 2 case:
      !---[# reconstruct coeffs%coeffs_32:
      coeffs%coeffs_32%c0 = derivative(czip)
      coeffs%coeffs_32%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_32%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_32%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_32%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_32%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_32%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_32%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_32%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_32%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_32%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_32%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_32%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_32%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_32%c2(6,1) = derivative(czip,3,4)
      !---#] reconstruct coeffs%coeffs_32:
   end subroutine reconstruct_d32
!---#] subroutine reconstruct_d32:
end module p2_ddbar_emnebarcsbar_d32h1l1d
