module     p3_ud_emnebaruu_abbrevd53h0
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh0
   implicit none
   private
   complex(ki), public :: abb53n1
   complex(ki), public :: abb53n2
   complex(ki), public :: abb53n3
   complex(ki), public :: abb53n4
   complex(ki), public :: abb53n5
   complex(ki), public :: abb53n6
   complex(ki), public :: abb53n7
   complex(ki), public :: abb53n8
   complex(ki), public :: abb53n9
   complex(ki), public :: rat2d53
   complex(ki), public :: abb53n11
   complex(ki), public :: abb53n12
   complex(ki), public :: abb53n13
   complex(ki), public :: abb53n14
   complex(ki), public :: abb53n15
   complex(ki), public :: abb53n16
   complex(ki), public :: abb53n17
   complex(ki), public :: abb53n18
   complex(ki), public :: abb53n19
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   real(ki) :: t40
   real(ki) :: t41
   real(ki) :: t42
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c2*i_
      t3 = t2*spak3k5
      t4 = t3*spak3k6
      t40 = TR*TR
      t5 = t40*t4*spbk2k1*spbk4k3
      t6 = es61*es345*t1
      t3 = t3*spak5k6
      t7 = t40*t3*spbk2k1*spbk5k4
      t8 = NC*NC*t6
      t9 = c1*i_
      t10 = t9*spak3k5
      t11 = t10*spak3k6
      t12 = t40*t11*spbk2k1*spbk4k3
      t13 = NC*t1
      t14 = es61*es345*t13
      t10 = t10*spak5k6
      t15 = t40*t10*spbk2k1*spbk5k4
      t16 = NC*c1
      t17 = t16*i_
      t18 = t17*spak3k5
      t19 = t18*spak3k6
      t20 = t40*t19*spbk2k1*spbk4k3
      t18 = t18*spak5k6
      t21 = t40*t18*spbk2k1*spbk5k4
      t22 = es12*c2*i_*spak3k5
      t23 = t40*t22*spak3k6*spbk2k1*spbk4k3
      t1 = es61*t1
      t41 = es345*es345
      t24 = t41*t1
      t22 = t40*t22*spak5k6*spbk2k1*spbk5k4
      t25 = t2*spak1k3
      t26 = TR*spbk2k1
      t26 = t26*t26
      t27 = t25*t26*spak2k6*spak3k5*spbk4k3
      t28 = t2*spak1k5
      t29 = t26*t28*spak2k6*spak3k5*spbk5k4
      t30 = t2*spak1k6
      t31 = t26*t30*spak2k3*spak3k5*spbk4k3
      t32 = t26*t30*spak2k5*spak3k5*spbk5k4
      t42 = NC*es345
      t1 = t42*t42*t1
      t33 = es12*c1*i_*spak3k5
      t13 = es61*t41*t13
      t34 = t9*spak1k3
      t35 = t9*spak1k5
      t36 = t9*spak1k6
      t16 = es12*t16*i_*spak3k5
      t37 = t17*spak1k3
      t38 = t17*spak1k5
      t39 = t17*spak1k6
      abb53n1 = ((4.0_ki)*(t22/t1+t27/t1+t32/t1+t15/t14+t20/t6+t23/t24+t29/t24+t&
      &31/t24+t5/t8+t7/t6+t26/t13*t35*spak2k6*spak3k5*spbk5k4+t26/t13*t36*spak2k&
      &3*spak3k5*spbk4k3+t40*t33/t13*spak3k6*spbk2k1*spbk4k3+t40*t16/t24*spak5k6&
      &*spbk2k1*spbk5k4+t26/t24*t37*spak2k6*spak3k5*spbk4k3+t26/t24*t39*spak2k5*&
      &spak3k5*spbk5k4-(t26/t24*t39*spak2k3*spak3k5*spbk4k3+t26/t24*t38*spak2k6*&
      &spak3k5*spbk5k4+t40*t16/t24*spak3k6*spbk2k1*spbk4k3+t40*t33/t13*spak5k6*s&
      &pbk2k1*spbk5k4+t26/t13*t36*spak2k5*spak3k5*spbk5k4+t26/t13*t34*spak2k6*sp&
      &ak3k5*spbk4k3+t7/t8+t5/t6+t32/t24+t27/t24+t22/t24+t21/t6+t12/t14+t31/t1+t&
      &29/t1+t23/t1)))
      t6 = t30*spak3k5*spbk2k1
      t8 = t40*t6*spbk4k3
      t14 = t36*spak3k5*spbk2k1
      t16 = t39*spak3k5*spbk2k1
      abb53n2 = ((4.0_ki)*(t8/t1+t40*t16/t24*spbk4k3-(t40*t14/t13*spbk4k3+t8/t24&
      &)))
      t6 = t40*t6*spbk5k4
      abb53n3 = ((4.0_ki)*(t6/t24+t40*t14/t13*spbk5k4-(t40*t16/t24*spbk5k4+t6/t1&
      &)))
      t6 = t2*spak2k6*spak3k5*spbk2k1
      t8 = t40*t6*spbk4k3
      t14 = t9*spak2k6*spak3k5*spbk2k1
      t16 = t17*spak2k6*spak3k5*spbk2k1
      abb53n4 = ((4.0_ki)*(t8/t1+t40*t16/t24*spbk4k3-(t40*t14/t13*spbk4k3+t8/t24&
      &)))
      t6 = t40*t6*spbk5k4
      abb53n5 = ((4.0_ki)*(t6/t24+t40*t14/t13*spbk5k4-(t40*t16/t24*spbk5k4+t6/t1&
      &)))
      t6 = t5/t24
      t8 = t7/t24
      t5 = t5/t1
      t7 = t7/t1
      t12 = t12/t13
      t14 = t15/t13
      t15 = t20/t24
      t16 = t21/t24
      abb53n6 = ((16.0_ki)*(t12+t16+t6+t7-(t8+t5+t15+t14)))
      abb53n7 = ((16.0_ki)*(t14+t15+t5+t8-(t7+t6+t16+t12)))
      t5 = t40*t2*spak2k3*spak3k5*spbk2k1*spbk4k3
      t2 = t40*t2*spak2k5*spak3k5*spbk2k1*spbk5k4
      t4 = t4*spbk4k3
      t6 = t40*t4*spbk6k1
      t3 = t3*spbk5k4
      t7 = t40*t3*spbk6k1
      t8 = t11*spbk4k3
      t10 = t10*spbk5k4
      t11 = t19*spbk4k3
      t12 = t18*spbk5k4
      abb53n8 = ((8.0_ki)*(t2/t1+t7/t1+t5/t24+t6/t24+t40*t12/t24*spbk6k1+t40/t13&
      &*t8*spbk6k1+t40/t13*t9*spak2k3*spak3k5*spbk2k1*spbk4k3+t40*t17/t24*spak2k&
      &5*spak3k5*spbk2k1*spbk5k4-(t40*t17/t24*spak2k3*spak3k5*spbk2k1*spbk4k3+t4&
      &0/t13*t9*spak2k5*spak3k5*spbk2k1*spbk5k4+t40*t11/t24*spbk6k1+t40*t10/t13*&
      &spbk6k1+t7/t24+t2/t24+t6/t1+t5/t1)))
      t2 = t40*t25*spak3k5*spbk2k1*spbk4k3
      t5 = t40*t28*spak3k5*spbk2k1*spbk5k4
      t4 = t40*t4*spbk6k2
      t3 = t40*t3*spbk6k2
      abb53n9 = ((8.0_ki)*(t4/t1+t5/t1+t2/t24+t3/t24+t40*t10/t13*spbk6k2+t40*t11&
      &/t24*spbk6k2+t40*t34/t13*spak3k5*spbk2k1*spbk4k3+t40*t38/t24*spak3k5*spbk&
      &2k1*spbk5k4-(t40*t37/t24*spak3k5*spbk2k1*spbk4k3+t40*t35/t13*spak3k5*spbk&
      &2k1*spbk5k4+t40/t13*t8*spbk6k2+t40*t12/t24*spbk6k2+t5/t24+t4/t24+t3/t1+t2&
      &/t1)))
      rat2d53 = 0
      rat2 = rat2 + rat2d53
      abb53n11 = abb53n1
      abb53n12 = -(abb53n2)
      abb53n13 = -(abb53n3)
      abb53n14 = -(abb53n4)
      abb53n15 = -(abb53n5)
      abb53n16 = -(abb53n6)
      abb53n17 = -(abb53n7)
      abb53n18 = -(abb53n8)
      abb53n19 = -(abb53n9)
   end subroutine
end module p3_ud_emnebaruu_abbrevd53h0
