module     p3_ud_emnebaruu_abbrevd8h0
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh0
   implicit none
   private
   complex(ki), public :: abb8n1
   complex(ki), public :: abb8n2
   complex(ki), public :: abb8n3
   complex(ki), public :: abb8n4
   complex(ki), public :: abb8n5
   complex(ki), public :: abb8n6
   complex(ki), public :: rat2d8
   complex(ki), public :: abb8n8
   complex(ki), public :: abb8n9
   complex(ki), public :: abb8n10
   complex(ki), public :: abb8n11
   complex(ki), public :: abb8n12
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   real(ki) :: t33
   real(ki) :: t34
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t33 = TR*TR
      t3 = t33*t2*spak3k5*spak5k6*spbk4k2*spbk5k1
      t4 = (es234-(es61+es56))*t1
      t5 = es234*t4
      t6 = t3/t5
      t7 = t33*t2*spak3k6*spak5k6*spbk4k2*spbk6k1
      t8 = t7/t5
      t9 = c2*i_
      t10 = t33*t9*spak3k5*spak5k6*spbk4k2*spbk5k1
      t11 = es61*es234*t1
      t12 = t10/t11
      t13 = t33*t9*spak3k6*spak5k6*spbk4k2*spbk6k1
      t14 = t13/t11
      t34 = NC*NC
      t15 = t34*t5
      t16 = t3/t15
      t17 = t7/t15
      t4 = es234*NC*t4
      t18 = t10/t4
      t19 = t13/t4
      t20 = NC*c2*i_
      t21 = t33*t20/t5*spak3k5*spak5k6*spbk4k2*spbk5k1
      t22 = t33*t20/t5*spak3k6*spak5k6*spbk4k2*spbk6k1
      t23 = t34*t11
      t10 = t10/t23
      t13 = t13/t23
      t1 = es61*es234*NC*t1
      t3 = t3/t1
      t7 = t7/t1
      t24 = NC*c1*i_
      t25 = t33*t24/t11*spak3k5*spak5k6*spbk4k2*spbk5k1
      t26 = t33*t24/t11*spak3k6*spak5k6*spbk4k2*spbk6k1
      abb8n1 = ((2.0_ki)*(t10+t13+t16+t17+t21+t22+t25+t26-(t8+t7+t6+t3+t19+t18+t&
      &14+t12)))
      t27 = t2*spak3k4*spak5k6*spbk4k2
      t28 = t33*t27*spbk5k1
      t29 = t9*spak3k4*spak5k6*spbk4k2
      t30 = t33*t29*spbk5k1
      t31 = t20*spak3k4*spak5k6*spbk4k2
      t32 = t24*spak3k4*spak5k6*spbk4k2
      abb8n2 = ((4.0_ki)*(t28/t15+t30/t23+t33*t32/t11*spbk5k1+t33*t31/t5*spbk5k1&
      &-(t30/t4+t28/t5+t30/t11+t28/t1)))
      t2 = t2*spak5k6
      t28 = t33*t2*spbk5k1
      t9 = t9*spak5k6
      t30 = t33*t9*spbk5k1
      t20 = t20*spak5k6
      t24 = t24*spak5k6
      abb8n3 = ((4.0_ki)*(t28/t1+t30/t11+t28/t5+t30/t4-(t33*t20/t5*spbk5k1+t33*t&
      &24/t11*spbk5k1+t30/t23+t28/t15)))
      t27 = t33*t27*spbk6k1
      t28 = t33*t29*spbk6k1
      abb8n4 = ((4.0_ki)*(t27/t15+t28/t23+t33*t32/t11*spbk6k1+t33*t31/t5*spbk6k1&
      &-(t28/t4+t27/t5+t28/t11+t27/t1)))
      abb8n5 = ((4.0_ki)*(t12+t14+t18+t19+t3+t6+t7+t8-(t26+t25+t22+t21+t17+t16+t&
      &13+t10)))
      t2 = t33*t2*spbk6k1
      t3 = t33*t9*spbk6k1
      abb8n6 = ((4.0_ki)*(t2/t1+t3/t11+t2/t5+t3/t4-(t33*t20/t5*spbk6k1+t33*t24/t&
      &11*spbk6k1+t3/t23+t2/t15)))
      rat2d8 = abb8n1
      rat2 = rat2 + rat2d8
      abb8n8 = abb8n4
      abb8n9 = abb8n6
      abb8n10 = abb8n5
      abb8n11 = abb8n3
      abb8n12 = abb8n2
   end subroutine
end module p3_ud_emnebaruu_abbrevd8h0
