module     p3_ud_emnebaruu_abbrevd66h1
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh1
   implicit none
   private
   complex(ki), public :: abb66n1
   complex(ki), public :: abb66n2
   complex(ki), public :: abb66n3
   complex(ki), public :: abb66n4
   complex(ki), public :: abb66n5
   complex(ki), public :: abb66n6
   complex(ki), public :: abb66n7
   complex(ki), public :: abb66n8
   complex(ki), public :: abb66n9
   complex(ki), public :: abb66n10
   complex(ki), public :: rat2d66
   complex(ki), public :: abb66n12
   complex(ki), public :: abb66n13
   complex(ki), public :: abb66n14
   complex(ki), public :: abb66n15
   complex(ki), public :: abb66n16
   complex(ki), public :: abb66n17
   complex(ki), public :: abb66n18
   complex(ki), public :: abb66n19
   complex(ki), public :: abb66n20
   complex(ki), public :: abb66n21
   complex(ki), public :: abb66n22
   complex(ki), public :: abb66n23
   complex(ki), public :: abb66n24
   complex(ki), public :: abb66n25
   complex(ki), public :: abb66n26
   complex(ki), public :: abb66n27
   complex(ki), public :: abb66n28
   complex(ki), public :: abb66n29
   complex(ki), public :: abb66n30
   complex(ki), public :: abb66n31
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   real(ki) :: t13
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t2 = t1*spak1k5*spak3k6
      t13 = TR*TR
      t3 = (es12+es34-(es56+es345))*(es34+wW*mW*i_-mW*mW)
      t4 = NC*NC*t3
      t5 = c2*i_
      t6 = t5*spak1k5*spak3k6
      t7 = NC*t3
      t8 = NC*c2*i_
      t9 = t8*spak1k5*spak3k6
      abb66n1 = ((4.0_ki)*((2.0_ki)*t13*t6/t7*spbk5k2*spbk6k4-(t13/t3*t9*spbk5k2&
      &*spbk6k4+t13*t2/t4*spbk5k2*spbk6k4)))
      t10 = t1*spak1k2*spak3k6
      t11 = t5*spak1k2*spak3k6
      t12 = t8*spak1k2*spak3k6
      abb66n2 = ((4.0_ki)*(t13*(2.0_ki)*t11/t7*spbk4k3*spbk5k2-(t13*t12/t3*spbk4&
      &k3*spbk5k2+t13*t10/t4*spbk4k3*spbk5k2)))
      abb66n3 = ((4.0_ki)*(t13*t10/t4*spbk5k2*spbk6k4+t13*t12/t3*spbk5k2*spbk6k4&
      &-t13*(2.0_ki)*t11/t7*spbk5k2*spbk6k4))
      abb66n4 = ((4.0_ki)*(t13*t2/t4*spbk4k3*spbk5k2+t13/t3*t9*spbk4k3*spbk5k2-(&
      &2.0_ki)*t13*t6/t7*spbk4k3*spbk5k2))
      abb66n5 = ((8.0_ki)*(t13*t5/t7*spak2k3*spak3k6*spbk4k3*spbk5k2-t13*t5/t7*s&
      &pak2k6*spak3k6*spbk5k2*spbk6k4)+(4.0_ki)*(t13*t1/t4*spak2k6*spak3k6*spbk5&
      &k2*spbk6k4+t13/t3*t8*spak2k6*spak3k6*spbk5k2*spbk6k4-(t13/t3*t8*spak2k3*s&
      &pak3k6*spbk4k3*spbk5k2+t13*t1/t4*spak2k3*spak3k6*spbk4k3*spbk5k2)))
      t2 = t5*spak3k6
      t6 = t1*spak3k6
      t9 = t8*spak3k6
      abb66n6 = ((8.0_ki)*(t13*t2/t7*spak5k6*spbk5k2*spbk6k4+t13*t5/t7*spak3k5*s&
      &pak3k6*spbk4k3*spbk5k2)+(4.0_ki)*(-(t13/t3*t8*spak3k5*spak3k6*spbk4k3*spb&
      &k5k2+t13*t1/t4*spak3k5*spak3k6*spbk4k3*spbk5k2+t13/t4*t6*spak5k6*spbk5k2*&
      &spbk6k4+t13/t3*t9*spak5k6*spbk5k2*spbk6k4)))
      t1 = t13/t4*t6*spbk4k3
      t5 = (2.0_ki)*t13*t2/t7*spbk4k3
      t8 = t13/t3*t9*spbk4k3
      abb66n7 = ((8.0_ki)*(t1+t8-t5))
      abb66n8 = ((8.0_ki)*(t5-(t8+t1)))
      t1 = t13/t4*t6*spbk6k4
      t2 = (2.0_ki)*t13*t2/t7*spbk6k4
      t3 = t13/t3*t9*spbk6k4
      abb66n9 = ((8.0_ki)*(t1+t3-t2))
      abb66n10 = ((8.0_ki)*(t2-(t3+t1)))
      rat2d66 = 0
      rat2 = rat2 + rat2d66
      abb66n12 = -(abb66n1)
      abb66n13 = abb66n10
      abb66n14 = abb66n9
      abb66n15 = abb66n8
      abb66n16 = abb66n7
      abb66n17 = abb66n6
      abb66n18 = abb66n5
      abb66n19 = abb66n4
      abb66n20 = abb66n3
      abb66n21 = abb66n2
      abb66n22 = abb66n1
      abb66n23 = -(abb66n2)
      abb66n24 = -(abb66n3)
      abb66n25 = -(abb66n4)
      abb66n26 = -(abb66n5)
      abb66n27 = -(abb66n6)
      abb66n28 = -(abb66n7)
      abb66n29 = -(abb66n8)
      abb66n30 = -(abb66n9)
      abb66n31 = -(abb66n10)
   end subroutine
end module p3_ud_emnebaruu_abbrevd66h1
