module     p7_dubar_emnebargg_abbrevd19h1
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh1
   implicit none
   private
   complex(ki), public :: abb19n1
   complex(ki), public :: abb19n2
   complex(ki), public :: abb19n3
   complex(ki), public :: abb19n4
   complex(ki), public :: abb19n5
   complex(ki), public :: abb19n6
   complex(ki), public :: abb19n7
   complex(ki), public :: abb19n8
   complex(ki), public :: abb19n9
   complex(ki), public :: abb19n10
   complex(ki), public :: abb19n11
   complex(ki), public :: abb19n12
   complex(ki), public :: abb19n13
   complex(ki), public :: abb19n14
   complex(ki), public :: abb19n15
   complex(ki), public :: abb19n16
   complex(ki), public :: abb19n17
   complex(ki), public :: abb19n18
   complex(ki), public :: abb19n19
   complex(ki), public :: abb19n20
   complex(ki), public :: abb19n21
   complex(ki), public :: abb19n22
   complex(ki), public :: abb19n23
   complex(ki), public :: abb19n24
   complex(ki), public :: abb19n25
   complex(ki), public :: abb19n26
   complex(ki), public :: abb19n27
   complex(ki), public :: abb19n28
   complex(ki), public :: rat2d19
   complex(ki), public :: abb19n30
   complex(ki), public :: abb19n31
   complex(ki), public :: abb19n32
   complex(ki), public :: abb19n33
   complex(ki), public :: abb19n34
   complex(ki), public :: abb19n35
   complex(ki), public :: abb19n36
   complex(ki), public :: abb19n37
   complex(ki), public :: abb19n38
   complex(ki), public :: abb19n39
   complex(ki), public :: abb19n40
   complex(ki), public :: abb19n41
   complex(ki), public :: abb19n42
   complex(ki), public :: abb19n43
   complex(ki), public :: abb19n44
   complex(ki), public :: abb19n45
   complex(ki), public :: abb19n46
   complex(ki), public :: abb19n47
   complex(ki), public :: abb19n48
   complex(ki), public :: abb19n49
   complex(ki), public :: abb19n50
   complex(ki), public :: abb19n51
   complex(ki), public :: abb19n52
   complex(ki), public :: abb19n53
   complex(ki), public :: abb19n54
   complex(ki), public :: abb19n55
   complex(ki), public :: abb19n56
   complex(ki), public :: abb19n57
   complex(ki), public :: abb19n58
   complex(ki), public :: abb19n59
   complex(ki), public :: abb19n60
   complex(ki), public :: abb19n61
   complex(ki), public :: abb19n62
   complex(ki), public :: abb19n63
   complex(ki), public :: abb19n64
   complex(ki), public :: abb19n65
   complex(ki), public :: abb19n66
   complex(ki), public :: abb19n67
   complex(ki), public :: abb19n68
   complex(ki), public :: abb19n69
   complex(ki), public :: abb19n70
   complex(ki), public :: abb19n71
   complex(ki), public :: abb19n72
   complex(ki), public :: abb19n73
   complex(ki), public :: abb19n74
   complex(ki), public :: abb19n75
   complex(ki), public :: abb19n76
   complex(ki), public :: abb19n77
   complex(ki), public :: abb19n78
   complex(ki), public :: abb19n79
   complex(ki), public :: abb19n80
   complex(ki), public :: abb19n81
   complex(ki), public :: abb19n82
   complex(ki), public :: abb19n83
   complex(ki), public :: abb19n84
   complex(ki), public :: abb19n85
   complex(ki), public :: abb19n86
   complex(ki), public :: abb19n87
   complex(ki), public :: abb19n88
   complex(ki), public :: abb19n89
   complex(ki), public :: abb19n90
   complex(ki), public :: abb19n91
   complex(ki), public :: abb19n92
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = TR*c2
      t2 = es12*t1*i_
      t3 = spak2k5*spak2k5
      t4 = NC*(es345-(es61+es12))*(es34+wW*mW*i_-mW*mW)
      t5 = t4*spak5k6
      t6 = t2*spak2k3
      t7 = spak2k5*spbk6k2
      t7 = t7*t7
      t8 = t5*spbk6k5
      t9 = t1*i_
      t10 = t9*spak1k2
      t11 = spbk6k2*spbk6k2
      t4 = t4*spbk6k5
      t12 = es56*t1*i_
      abb19n1 = ((4.0_ki)*(t6*t7/t8*spbk4k1+t2*t3/t5*spak3k5*spbk4k1*spbk6k2+t10&
      &*t11/t4*spak2k3*spak2k5*spbk4k1*spbk6k1+t12/t8*spak1k2*spak2k5*spak3k5*sp&
      &bk4k1*spbk6k1*spbk6k2))
      t13 = t10*spak2k5
      t14 = t13*spak3k5*spbk4k1
      t15 = t14/t8*spbk6k1*spbk6k2
      abb19n2 = (-8.0_ki)*t15
      abb19n3 = ((4.0_ki)*(t14/t8*spbk5k1*spbk6k2+t6/t8*spak2k5*spbk4k1*spbk6k2+&
      &t13/t8*spak3k6*spbk4k1*spbk6k1*spbk6k2))
      abb19n4 = ((4.0_ki)*t3/t8*t9*spbk2k1*spbk6k2)
      t6 = t9*spak2k3
      t14 = t6*spak2k5
      t16 = t14*spbk4k1
      abb19n5 = ((4.0_ki)*(-(t12/t8*spak2k5*spak3k5*spbk4k1*spbk6k2+t11*t16/t4))&
      &)
      t16 = t16/t8*spbk6k2
      abb19n6 = (-4.0_ki)*t16
      abb19n7 = (-8.0_ki)*t16
      abb19n8 = ((8.0_ki)*(t15-(t3/t5*t9*spak3k5*spbk4k1*spbk6k2+t6*t7/t8*spbk4k&
      &1)))
      t16 = t9*spak2k5
      t17 = t16/t8*spak3k5*spbk4k1*spbk6k2
      t18 = (8.0_ki)*t17
      abb19n9 = t18
      abb19n10 = (-4.0_ki)*t17
      abb19n11 = -(t18)
      abb19n12 = (-4.0_ki)*t16/t8*spak3k6*spbk4k1*spbk6k2
      t17 = t6*spbk4k2
      abb19n13 = ((4.0_ki)*(t15-(t3*t6/t8*spbk2k1*spbk6k2*spbk6k4+t17*t3/t8*spbk&
      &6k1*spbk6k2)))
      abb19n14 = (-8.0_ki)*t3/t8*t9*spbk6k1*spbk6k2
      abb19n15 = ((4.0_ki)*(t12/t8*spak2k3*spak2k5*spbk6k2*spbk6k4-t17*t3/t5*spb&
      &k6k2))
      abb19n16 = ((4.0_ki)*t14/t8*spbk4k2*spbk6k2)
      abb19n17 = ((4.0_ki)*(t17*t7/t8-t11*t14/t4*spbk6k4))
      abb19n18 = ((4.0_ki)*t14/t8*spbk5k4*spbk6k2)
      t4 = t14/t8*spbk6k2*spbk6k4
      t6 = (8.0_ki)*t4
      abb19n19 = t6
      abb19n20 = ((4.0_ki)*t4)
      abb19n21 = -(t6)
      abb19n22 = ((4.0_ki)*(t16*t3/t5*spbk4k2*spbk6k2-(t10*t3/t8*spbk4k2*spbk6k1&
      &*spbk6k2+t2*t3/t8*spbk6k2*spbk6k4+t12*t3/t8*spbk6k2*spbk6k4)))
      abb19n23 = ((8.0_ki)*t7/t8*t9)
      abb19n24 = ((4.0_ki)*(es345*t1/t8*i_*spak2k5*spbk6k4-(es61*t1/t8*i_*spak2k&
      &5*spbk6k4+t3/t8*t9*spbk5k4*spbk6k2+t2/t8*spak2k5*spbk6k4+t13/t8*spbk4k1*s&
      &pbk6k2)))
      t1 = t3/t8*t9*spbk6k2*spbk6k4
      t2 = (8.0_ki)*t1
      abb19n25 = t2
      abb19n26 = (-4.0_ki)*t1
      abb19n27 = -(t2)
      abb19n28 = ((4.0_ki)*t16/t8*spbk6k2)
      rat2d19 = 0
      rat2 = rat2 + rat2d19
      abb19n30 = abb19n1
      abb19n31 = abb19n28
      abb19n32 = abb19n27
      abb19n33 = abb19n26
      abb19n34 = abb19n25
      abb19n35 = abb19n24
      abb19n36 = abb19n23
      abb19n37 = abb19n22
      abb19n38 = abb19n21
      abb19n39 = abb19n20
      abb19n40 = abb19n19
      abb19n41 = abb19n18
      abb19n42 = abb19n17
      abb19n43 = abb19n16
      abb19n44 = abb19n15
      abb19n45 = abb19n14
      abb19n46 = abb19n13
      abb19n47 = abb19n12
      abb19n48 = abb19n11
      abb19n49 = abb19n10
      abb19n50 = abb19n9
      abb19n51 = abb19n8
      abb19n52 = abb19n7
      abb19n53 = abb19n6
      abb19n54 = abb19n5
      abb19n55 = abb19n4
      abb19n56 = abb19n3
      abb19n57 = abb19n2
      abb19n58 = -(abb19n2)
      abb19n59 = -(abb19n3)
      abb19n60 = -(abb19n4)
      abb19n61 = -(abb19n5)
      t1 = (2.0_ki)*abb19n6
      abb19n62 = t1
      abb19n63 = -(abb19n6)
      abb19n64 = -(t1)
      abb19n65 = -(abb19n7)
      abb19n66 = -(abb19n8)
      abb19n67 = -(abb19n9)
      t1 = (2.0_ki)*abb19n10
      abb19n68 = t1
      abb19n69 = -(abb19n10)
      abb19n70 = -(t1)
      abb19n71 = -(abb19n11)
      abb19n72 = -(abb19n12)
      abb19n73 = (-2.0_ki)*abb19n13
      abb19n74 = -(abb19n14)
      abb19n75 = -(abb19n15)
      abb19n76 = -(abb19n16)
      abb19n77 = -(abb19n17)
      abb19n78 = -(abb19n18)
      abb19n79 = -(abb19n19)
      t1 = (2.0_ki)*abb19n20
      abb19n80 = t1
      abb19n81 = -(abb19n20)
      abb19n82 = -(t1)
      abb19n83 = -(abb19n21)
      abb19n84 = -(abb19n22)
      abb19n85 = -(abb19n23)
      abb19n86 = -(abb19n24)
      abb19n87 = -(abb19n25)
      t1 = (2.0_ki)*abb19n26
      abb19n88 = t1
      abb19n89 = -(abb19n26)
      abb19n90 = -(t1)
      abb19n91 = -(abb19n27)
      abb19n92 = -(abb19n28)
   end subroutine
end module p7_dubar_emnebargg_abbrevd19h1
