module     p7_dubar_emnebargg_d94h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p7_dubar_emnebargg/helicity1/d94h1l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   integer, private :: iv4
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d94
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3, i4) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd94h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      integer, intent(in), optional :: i4
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      complex(ki) :: t60
      complex(ki) :: t61
      complex(ki) :: t62
      complex(ki) :: t63
      complex(ki) :: t64
      complex(ki) :: t65
      complex(ki) :: t66
      complex(ki) :: t67
      complex(ki) :: t68
      complex(ki) :: t69
      complex(ki) :: t70
      complex(ki) :: t71
      complex(ki) :: t72
      complex(ki) :: t73
      complex(ki) :: t74
      complex(ki) :: t75
      complex(ki) :: t76
      complex(ki) :: t77
      complex(ki) :: t78
      complex(ki) :: t79
      complex(ki) :: t80
      complex(ki) :: t81
      complex(ki) :: t82
      complex(ki) :: t83
      complex(ki) :: t84
      complex(ki) :: t85
      complex(ki) :: t86
      complex(ki) :: t87
      complex(ki) :: t88
      complex(ki) :: t89
      complex(ki) :: t90
      complex(ki) :: t91
      complex(ki) :: t92
      complex(ki) :: t93
      complex(ki) :: t94
      complex(ki) :: t95
      complex(ki) :: t96
      complex(ki) :: t97
      complex(ki) :: t98
      complex(ki) :: t99
      complex(ki) :: t100
      complex(ki) :: t101
      complex(ki) :: t102
      complex(ki) :: t103
      complex(ki) :: t104
      real(ki) :: t105
      real(ki) :: t106
      real(ki) :: t107
      real(ki) :: t108
      real(ki) :: t109
      real(ki) :: t110
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k5
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(present(i4)) then
         iv4 = i4
         deg = 4
      else
         iv4 = 1
      end if
      t1 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t105 = dotproduct(k1, qshift)
      t2 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t3 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t106 = dotproduct(k5, qshift)
      t107 = dotproduct(k6, qshift)
      t4 = t3*t3
      t108 = dotproduct(qshift, qshift)
      t109 = dotproduct(k2, qshift)
      t5 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t6 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t7 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t8 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t9 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb94n51+t1*abb94n100+t105*abb94n101+t106*abb94n124+t107*a&
         &bb94n126+t107*t107*abb94n79+t108*abb94n85+t108*t108*abb94n81+t2*abb94n&
         &102+t3*abb94n123+t4*abb94n71+t1*t106*abb94n91+t1*t107*abb94n89+t1*t108&
         &*abb94n119+t1*t3*abb94n88+t1*t4*abb94n152+t105*t106*abb94n79+t105*t107&
         &*abb94n82+t105*t108*abb94n135+t105*t3*abb94n72+t106*t107*abb94n82+t106&
         &*t108*abb94n135+t106*t2*abb94n59+t106*t3*abb94n78+t106*t4*abb94n109+t1&
         &07*t108*abb94n129+t107*t2*abb94n62+t107*t3*abb94n74+t107*t4*abb94n112+&
         &t108*t2*abb94n174+t108*t3*abb94n147+t108*t4*abb94n96+t109*t3*abb94n83+&
         &t109*t4*abb94n106+t2*t3*abb94n54+t2*t4*abb94n161+t3*t8*abb94n61+t4*t5*&
         &abb94n115+t4*t6*abb94n155+t4*t7*abb94n158+t4*t8*abb94n168+t4*t9*abb94n&
         &185+t1*t105*t3*abb94n144+t1*t106*t3*abb94n143+t1*t107*t3*abb94n144+t1*&
         &t108*t3*abb94n77+t1*t2*t3*abb94n182+t1*t4*t7*abb94n52+t105*t3*t9*abb94&
         &n177+t106*t2*t3*abb94n170+t107*t3*t9*abb94n181+t108*t2*t3*abb94n65+t10&
         &8*t3*t9*abb94n57+t109*t2*t3*abb94n163)
         return
      end if
      t10 = k1(iv1)
      t11 = k5(iv1)
      t12 = k6(iv1)
      t13 = qshift(iv1)
      t14 = spvak3k4(iv1)
      t15 = spvak5k1(iv1)
      t16 = spvak5k6(iv1)
      t17 = k2(iv1)
      t18 = t12*abb94n129
      t19 = t13*abb94n134
      t20 = spvak2k1(iv1)
      t21 = spvak2k4(iv1)
      t22 = spvak2k5(iv1)
      t23 = spvak3k1(iv1)
      t24 = spvak6k1(iv1)
      t25 = t14*abb94n75
      t26 = t16*abb94n75
      if(deg.eq.1) then
         numerator = (t10*abb94n98+t105*t18+t105*t19+t106*t18+t106*t19+t11*abb94&
         &n86+t12*abb94n84+t13*abb94n125+t14*abb94n99+t15*abb94n97+t16*abb94n87+&
         &t1*t105*t26+t1*t107*t26+t1*t11*abb94n117+t1*t12*abb94n121+t1*t13*abb94&
         &n118+t1*t16*abb94n122+t10*t106*abb94n137+t10*t107*abb94n129+t10*t108*a&
         &bb94n80+t10*t3*abb94n149+t105*t11*abb94n137+t105*t16*abb94n149+t105*t2&
         &5*t3+t106*t14*abb94n117+t106*t15*abb94n176+t106*t16*abb94n139+t107*t11&
         &*abb94n129+t107*t12*abb94n138+t107*t13*abb94n128+t107*t14*abb94n121+t1&
         &07*t15*abb94n171+t107*t16*abb94n145+t107*t25*t3+t108*t11*abb94n80+t108&
         &*t12*abb94n82+t108*t13*abb94n133+t108*t14*abb94n90+t108*t15*abb94n60+t&
         &108*t16*abb94n73+t109*t16*abb94n127+t11*t2*abb94n176+t11*t3*abb94n139+&
         &t11*t4*abb94n94+t12*t2*abb94n171+t12*t3*abb94n145+t12*t4*abb94n93+t13*&
         &t2*abb94n173+t13*t3*abb94n146+t13*t4*abb94n104+t14*t3*abb94n122+t14*t4&
         &*abb94n70+t15*t3*abb94n183+t15*t4*abb94n67+t16*t2*abb94n183+t16*t3*abb&
         &94n150+t16*t8*abb94n172+t17*t3*abb94n127+t17*t4*abb94n95+t20*t4*abb94n&
         &68+t21*t4*abb94n69+t22*t4*abb94n92+t23*t4*abb94n53+t24*t3*abb94n172+t2&
         &4*t4*abb94n64+t1*t10*t3*abb94n75+t1*t106*t16*abb94n76+t1*t108*t16*abb9&
         &4n141+t1*t11*t3*abb94n76+t1*t12*t3*abb94n75+t1*t13*t3*abb94n142+t1*t15&
         &*t3*abb94n55+t1*t16*t2*abb94n55+t1*t16*t3*abb94n151+t1*t20*t4*abb94n18&
         &8+t10*t3*t9*abb94n58+t105*t16*t9*abb94n58+t105*t23*t3*abb94n58+t106*t1&
         &4*t3*abb94n76+t106*t15*t3*abb94n63+t106*t16*t2*abb94n63+t106*t16*t3*ab&
         &b94n108+t107*t16*t3*abb94n111+t107*t16*t9*abb94n56+t107*t23*t3*abb94n5&
         &6+t108*t14*t3*abb94n141+t108*t15*t3*abb94n165+t108*t16*t2*abb94n165+t1&
         &08*t16*t3*abb94n104+t108*t16*t9*abb94n179+t108*t23*t3*abb94n179+t109*t&
         &15*t3*abb94n66+t109*t16*t2*abb94n66+t109*t16*t3*abb94n105+t11*t2*t3*ab&
         &b94n63+t12*t3*t9*abb94n56+t13*t2*t3*abb94n166+t13*t3*t9*abb94n180+t14*&
         &t2*t3*abb94n55+t14*t4*t7*abb94n188+t16*t2*t3*abb94n160+t16*t3*t5*abb94&
         &n114+t16*t3*t6*abb94n154+t16*t3*t7*abb94n157+t16*t3*t8*abb94n167+t16*t&
         &3*t9*abb94n184+t17*t2*t3*abb94n66+t1*t16*t3*t7*abb94n189)
         return
      end if
      t110 = d(iv1,iv2)
      t18 = k6(iv2)
      t19 = qshift(iv2)
      t25 = spvak5k6(iv2)
      t26 = t16*t25
      t27 = t110*abb94n135
      t28 = k5(iv2)
      t29 = t10*t25
      t30 = k1(iv2)
      t31 = t16*t30
      t32 = t17*t25
      t33 = k2(iv2)
      t34 = t16*t33
      t35 = spvak3k4(iv2)
      t36 = t11*t35
      t37 = spvak5k1(iv2)
      t38 = t11*t37
      t39 = t11*t25
      t40 = t14*t28
      t41 = t15*t28
      t42 = t16*t28
      t43 = t12*t35
      t44 = t12*t25
      t45 = t14*t18
      t46 = t16*t18
      t47 = t13*t35
      t48 = t13*t37
      t49 = t13*t25
      t50 = t14*t19
      t51 = t15*t19
      t52 = t16*t19
      t53 = t14*t25
      t54 = t16*t35
      t55 = t15*t25
      t56 = t16*t37
      t57 = spvak6k1(iv2)
      t58 = t16*t57
      t59 = t24*t25
      t60 = spvak3k1(iv2)
      t61 = t10*t60
      t62 = t10*t35
      t63 = t23*t30
      t64 = t14*t30
      t65 = t17*t37
      t66 = t15*t33
      t67 = t12*t60
      t68 = t18*t23
      t69 = t13*t60
      t70 = t19*t23
      t71 = t20*t35
      t72 = t20*t25
      t73 = spvak2k1(iv2)
      t74 = t14*t73
      t75 = t16*t73
      t21 = t21*t25
      t76 = spvak2k4(iv2)*t16
      t22 = t22*t25
      t77 = spvak2k5(iv2)*t16
      t78 = t23*t25
      t79 = t16*t60
      t80 = t14*t37
      t81 = t53*abb94n144
      t82 = t15*t35
      t83 = t54*abb94n144
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t105*t27+t106*t27+t110*abb94n85+t26*abb94n71+t1*&
         &t110*abb94n119+t1*t26*abb94n152+t106*t26*abb94n109+t107*t110*abb94n129&
         &+t107*t26*abb94n112+t108*t110*abb94n132+t108*t26*abb94n96+t109*t26*abb&
         &94n106+t110*t2*abb94n174+t110*t3*abb94n147+t110*t4*abb94n96+t12*t18*ab&
         &b94n79+t13*t19*abb94n131+t2*t26*abb94n161+t26*t5*abb94n115+t26*t6*abb9&
         &4n155+t26*t7*abb94n158+t26*t8*abb94n168+t26*t9*abb94n185+t1*t110*t3*ab&
         &b94n77+t1*t26*t7*abb94n52+t110*t2*t3*abb94n65+t110*t3*t9*abb94n57)+t10&
         &5*t81+t105*t83+t107*t81+t107*t83+t29*abb94n72+t31*abb94n72+t32*abb94n8&
         &3+t34*abb94n83+t36*abb94n91+t38*abb94n59+t39*abb94n78+t40*abb94n91+t41&
         &*abb94n59+t42*abb94n78+t43*abb94n89+t44*abb94n74+t45*abb94n89+t46*abb9&
         &4n74+t47*abb94n120+t48*abb94n175+t49*abb94n148+t50*abb94n120+t51*abb94&
         &n175+t52*abb94n148+t53*abb94n88+t54*abb94n88+t55*abb94n54+t56*abb94n54&
         &+t58*abb94n61+t59*abb94n61+t1*t29*abb94n144+t1*t31*abb94n144+t1*t39*ab&
         &b94n143+t1*t42*abb94n143+t1*t44*abb94n144+t1*t46*abb94n144+t1*t49*abb9&
         &4n140+t1*t52*abb94n140+t1*t55*abb94n182+t1*t56*abb94n182+t10*t18*abb94&
         &n82+t10*t19*abb94n136+t10*t28*abb94n79+t105*t78*abb94n177+t105*t79*abb&
         &94n177+t106*t53*abb94n143+t106*t54*abb94n143+t106*t55*abb94n170+t106*t&
         &56*abb94n170+t107*t78*abb94n181+t107*t79*abb94n181+t108*t53*abb94n77+t&
         &108*t54*abb94n77+t108*t55*abb94n65+t108*t56*abb94n65+t108*t78*abb94n57&
         &+t108*t79*abb94n57+t109*t55*abb94n163+t109*t56*abb94n163+t11*t18*abb94&
         &n82+t11*t19*abb94n136+t11*t30*abb94n79+t12*t19*abb94n130+t12*t28*abb94&
         &n82+t12*t30*abb94n82+t12*t37*abb94n62+t13*t18*abb94n130+t13*t28*abb94n&
         &136+t13*t30*abb94n136+t15*t18*abb94n62+t2*t32*abb94n163+t2*t34*abb94n1&
         &63+t2*t39*abb94n170+t2*t42*abb94n170+t2*t49*abb94n164+t2*t52*abb94n164&
         &+t2*t53*abb94n182+t2*t54*abb94n182+t21*t3*abb94n156+t22*t3*abb94n116+t&
         &29*t9*abb94n177+t3*t32*abb94n107+t3*t34*abb94n107+t3*t36*abb94n143+t3*&
         &t38*abb94n170+t3*t39*abb94n110+t3*t40*abb94n143+t3*t41*abb94n170+t3*t4&
         &2*abb94n110+t3*t43*abb94n144+t3*t44*abb94n113+t3*t45*abb94n144+t3*t46*&
         &abb94n113+t3*t47*abb94n140+t3*t48*abb94n164+t3*t49*abb94n103+t3*t50*ab&
         &b94n140+t3*t51*abb94n164+t3*t52*abb94n103+t3*t53*abb94n153+t3*t54*abb9&
         &4n153+t3*t55*abb94n162+t3*t56*abb94n162+t3*t58*abb94n169+t3*t59*abb94n&
         &169+t3*t61*abb94n177+t3*t62*abb94n144+t3*t63*abb94n177+t3*t64*abb94n14&
         &4+t3*t65*abb94n163+t3*t66*abb94n163+t3*t67*abb94n181+t3*t68*abb94n181+&
         &t3*t69*abb94n178+t3*t70*abb94n178+t3*t72*abb94n159+t3*t75*abb94n159+t3&
         &*t76*abb94n156+t3*t77*abb94n116+t3*t78*abb94n186+t3*t79*abb94n186+t3*t&
         &80*abb94n182+t3*t82*abb94n182+t31*t9*abb94n177+t4*t71*abb94n52+t4*t74*&
         &abb94n52+t44*t9*abb94n181+t46*t9*abb94n181+t49*t9*abb94n178+t52*t9*abb&
         &94n178+t1*t3*t72*abb94n187+t1*t3*t75*abb94n187+t3*t53*t7*abb94n187+t3*&
         &t54*t7*abb94n187)
         return
      end if
      t105 = d(iv2,iv3)
      t106 = d(iv1,iv3)
      t4 = k1(iv3)
      t5 = k5(iv3)
      t6 = k6(iv3)
      t8 = qshift(iv3)
      t27 = t105*t14
      t29 = t106*t35
      t31 = spvak3k4(iv3)
      t58 = t110*t31
      t59 = t105*t15
      t81 = t106*t37
      t83 = spvak5k1(iv3)
      t84 = t110*t83
      t85 = t105*t16
      t86 = t106*t25
      t87 = spvak5k6(iv3)
      t88 = t110*t87
      t89 = k2(iv3)
      t72 = t72*t87
      t75 = t75*t87
      t90 = spvak2k1(iv3)
      t91 = t16*t25*t90
      t92 = spvak3k1(iv3)
      t93 = t16*t92
      t94 = t53*t87
      t95 = t54*t87
      t96 = t16*t31
      t97 = t25*t96
      t98 = t16*t83
      t99 = t16*t87
      t100 = t25*t87
      t71 = t71*t87
      t101 = t20*t25*t31
      t74 = t74*t87
      t102 = t16*t31*t73
      t103 = t14*t25*t90
      t104 = t16*t35*t90
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(t27*abb94n90+t29*abb94n90+t58*abb94n90+t59*abb94&
         &n60+t72*abb94n68+t75*abb94n68+t81*abb94n60+t84*abb94n60+t85*abb94n73+t&
         &86*abb94n73+t88*abb94n73+t91*abb94n68+t94*abb94n70+t95*abb94n70+t97*ab&
         &b94n70+spvak6k1(iv3)*t26*abb94n64+t1*t72*abb94n188+t1*t75*abb94n188+t1&
         &*t85*abb94n141+t1*t86*abb94n141+t1*t88*abb94n141+t1*t91*abb94n188+t10*&
         &t105*abb94n80+t100*t24*abb94n64+t105*t11*abb94n80+t105*t12*abb94n82+t1&
         &05*t13*abb94n133+t106*t18*abb94n82+t106*t19*abb94n133+t106*t28*abb94n8&
         &0+t106*t30*abb94n80+t110*t4*abb94n80+t110*t5*abb94n80+t110*t6*abb94n82&
         &+t110*t8*abb94n133+t2*t85*abb94n165+t2*t86*abb94n165+t2*t88*abb94n165+&
         &t21*t87*abb94n69+t22*t87*abb94n92+t25*t93*abb94n53+t25*t98*abb94n67+t2&
         &7*t3*abb94n141+t29*t3*abb94n141+t3*t58*abb94n141+t3*t59*abb94n165+t3*t&
         &81*abb94n165+t3*t84*abb94n165+t3*t85*abb94n104+t3*t86*abb94n104+t3*t88&
         &*abb94n104+t32*t87*abb94n95+t34*t87*abb94n95+t39*t87*abb94n94+t42*t87*&
         &abb94n94+t44*t87*abb94n93+t46*t87*abb94n93+t49*t87*abb94n104+t52*t87*a&
         &bb94n104+t55*t87*abb94n67+t56*t87*abb94n67+t57*t99*abb94n64+t7*t94*abb&
         &94n188+t7*t95*abb94n188+t7*t97*abb94n188+t76*t87*abb94n69+t77*t87*abb9&
         &4n92+t78*t87*abb94n53+t79*t87*abb94n53+t85*t9*abb94n179+t86*t9*abb94n1&
         &79+t88*t9*abb94n179+spvak2k4(iv3)*t16*t25*abb94n69+spvak2k5(iv3)*t16*t&
         &25*abb94n92+t105*t23*t3*abb94n179+t106*t3*t60*abb94n179+t110*t3*t92*ab&
         &b94n179+t16*t25*t5*abb94n94+t16*t25*t6*abb94n93+t16*t25*t8*abb94n104+t&
         &16*t25*t89*abb94n95)+t101*t3*abb94n189+t102*t3*abb94n189+t103*t3*abb94&
         &n189+t104*t3*abb94n189+t3*t71*abb94n189+t3*t74*abb94n189+t36*t87*abb94&
         &n76+t38*t87*abb94n63+t40*t87*abb94n76+t41*t87*abb94n63+t43*t87*abb94n7&
         &5+t45*t87*abb94n75+t47*t87*abb94n142+t48*t87*abb94n166+t50*t87*abb94n1&
         &42+t51*t87*abb94n166+t61*t87*abb94n58+t62*t87*abb94n75+t63*t87*abb94n5&
         &8+t64*t87*abb94n75+t65*t87*abb94n66+t66*t87*abb94n66+t67*t87*abb94n56+&
         &t68*t87*abb94n56+t69*t87*abb94n180+t70*t87*abb94n180+t80*t87*abb94n55+&
         &t82*t87*abb94n55+t10*t25*t31*abb94n75+t10*t25*t92*abb94n58+t11*t25*t31&
         &*abb94n76+t11*t25*t83*abb94n63+t12*t25*t31*abb94n75+t12*t25*t92*abb94n&
         &56+t13*t25*t31*abb94n142+t13*t25*t83*abb94n166+t13*t25*t92*abb94n180+t&
         &14*t25*t4*abb94n75+t14*t25*t5*abb94n76+t14*t25*t6*abb94n75+t14*t25*t8*&
         &abb94n142+t14*t25*t83*abb94n55+t15*t25*t31*abb94n55+t15*t25*t5*abb94n6&
         &3+t15*t25*t8*abb94n166+t15*t25*t89*abb94n66+t16*t18*t31*abb94n75+t16*t&
         &18*t92*abb94n56+t16*t19*t31*abb94n142+t16*t19*t83*abb94n166+t16*t19*t9&
         &2*abb94n180+t16*t28*t31*abb94n76+t16*t28*t83*abb94n63+t16*t30*t31*abb9&
         &4n75+t16*t30*t92*abb94n58+t16*t31*t37*abb94n55+t16*t33*t83*abb94n66+t1&
         &6*t35*t4*abb94n75+t16*t35*t5*abb94n76+t16*t35*t6*abb94n75+t16*t35*t8*a&
         &bb94n142+t16*t35*t83*abb94n55+t16*t37*t5*abb94n63+t16*t37*t8*abb94n166&
         &+t16*t37*t89*abb94n66+t16*t4*t60*abb94n58+t16*t6*t60*abb94n56+t16*t60*&
         &t8*abb94n180+t17*t25*t83*abb94n66+t23*t25*t4*abb94n58+t23*t25*t6*abb94&
         &n56+t23*t25*t8*abb94n180)
         return
      end if
      t107 = d(iv3,iv4)
      t108 = d(iv2,iv4)
      t109 = d(iv1,iv4)
      t1 = spvak5k6(iv4)
      t2 = spvak3k1(iv4)
      t3 = spvak3k4(iv4)
      t4 = spvak5k1(iv4)
      t5 = spvak2k1(iv4)
      if(deg.eq.4) then
         numerator = ((8.0_ki)*(t105*t109*abb94n81+t106*t108*abb94n81+t107*t110*&
         &abb94n81)+(4.0_ki)*(t100*t109*abb94n96+t107*t26*abb94n96+t108*t99*abb9&
         &4n96+t1*t105*t16*abb94n96+t1*t106*t25*abb94n96+t1*t110*t87*abb94n96)+(&
         &2.0_ki)*(t1*t101*abb94n52+t1*t102*abb94n52+t1*t103*abb94n52+t1*t104*ab&
         &b94n52+t1*t71*abb94n52+t1*t74*abb94n52+t107*t53*abb94n77+t107*t54*abb9&
         &4n77+t107*t55*abb94n65+t107*t56*abb94n65+t107*t78*abb94n57+t107*t79*ab&
         &b94n57+t108*t93*abb94n57+t108*t96*abb94n77+t108*t98*abb94n65+t1*t105*t&
         &14*abb94n77+t1*t105*t15*abb94n65+t1*t105*t23*abb94n57+t1*t106*t35*abb9&
         &4n77+t1*t106*t37*abb94n65+t1*t106*t60*abb94n57+t1*t110*t31*abb94n77+t1&
         &*t110*t83*abb94n65+t1*t110*t92*abb94n57+t105*t16*t2*abb94n57+t105*t16*&
         &t3*abb94n77+t105*t16*t4*abb94n65+t106*t2*t25*abb94n57+t106*t25*t3*abb9&
         &4n77+t106*t25*t4*abb94n65+t108*t14*t87*abb94n77+t108*t15*t87*abb94n65+&
         &t108*t23*t87*abb94n57+t109*t25*t31*abb94n77+t109*t25*t83*abb94n65+t109&
         &*t25*t92*abb94n57+t109*t35*t87*abb94n77+t109*t37*t87*abb94n65+t109*t60&
         &*t87*abb94n57+t110*t2*t87*abb94n57+t110*t3*t87*abb94n77+t110*t4*t87*ab&
         &b94n65+t14*t25*t5*t87*abb94n52+t16*t25*t3*t90*abb94n52+t16*t25*t31*t5*&
         &abb94n52+t16*t3*t73*t87*abb94n52+t16*t35*t5*t87*abb94n52+t20*t25*t3*t8&
         &7*abb94n52))
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d94:
   subroutine     reconstruct_d94(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group3
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group3), intent(out) :: coeffs
      ! rank 4 case:
      !---[# reconstruct coeffs%coeffs_94:
      coeffs%coeffs_94%c0 = derivative(czip)
      coeffs%coeffs_94%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_94%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_94%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_94%c1(1,4) = derivative(czip,1,1,1,1) / 24.0_ki
      coeffs%coeffs_94%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_94%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_94%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_94%c1(2,4) = derivative(czip,2,2,2,2) / 24.0_ki
      coeffs%coeffs_94%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_94%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_94%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_94%c1(3,4) = derivative(czip,3,3,3,3) / 24.0_ki
      coeffs%coeffs_94%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_94%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_94%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_94%c1(4,4) = derivative(czip,4,4,4,4) / 24.0_ki
      coeffs%coeffs_94%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_94%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_94%c2(1,3) = -derivative(czip,1,2,2,2) / 6.0_ki
      coeffs%coeffs_94%c2(1,4) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_94%c2(1,5) = derivative(czip,1,1,2,2) / 4.0_ki
      coeffs%coeffs_94%c2(1,6) = -derivative(czip,1,1,1,2) / 6.0_ki
      coeffs%coeffs_94%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_94%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_94%c2(2,3) = -derivative(czip,1,3,3,3) / 6.0_ki
      coeffs%coeffs_94%c2(2,4) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_94%c2(2,5) = derivative(czip,1,1,3,3) / 4.0_ki
      coeffs%coeffs_94%c2(2,6) = -derivative(czip,1,1,1,3) / 6.0_ki
      coeffs%coeffs_94%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_94%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_94%c2(3,3) = -derivative(czip,1,4,4,4) / 6.0_ki
      coeffs%coeffs_94%c2(3,4) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_94%c2(3,5) = derivative(czip,1,1,4,4) / 4.0_ki
      coeffs%coeffs_94%c2(3,6) = -derivative(czip,1,1,1,4) / 6.0_ki
      coeffs%coeffs_94%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_94%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_94%c2(4,3) = derivative(czip,2,3,3,3) / 6.0_ki
      coeffs%coeffs_94%c2(4,4) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_94%c2(4,5) = derivative(czip,2,2,3,3) / 4.0_ki
      coeffs%coeffs_94%c2(4,6) = derivative(czip,2,2,2,3) / 6.0_ki
      coeffs%coeffs_94%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_94%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_94%c2(5,3) = derivative(czip,2,4,4,4) / 6.0_ki
      coeffs%coeffs_94%c2(5,4) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_94%c2(5,5) = derivative(czip,2,2,4,4) / 4.0_ki
      coeffs%coeffs_94%c2(5,6) = derivative(czip,2,2,2,4) / 6.0_ki
      coeffs%coeffs_94%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_94%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_94%c2(6,3) = derivative(czip,3,4,4,4) / 6.0_ki
      coeffs%coeffs_94%c2(6,4) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_94%c2(6,5) = derivative(czip,3,3,4,4) / 4.0_ki
      coeffs%coeffs_94%c2(6,6) = derivative(czip,3,3,3,4) / 6.0_ki
      coeffs%coeffs_94%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_94%c3(1,2) = -derivative(czip,1,2,3,3) / 2.0_ki
      coeffs%coeffs_94%c3(1,3) = -derivative(czip,1,2,2,3) / 2.0_ki
      coeffs%coeffs_94%c3(1,4) = derivative(czip,1,1,2,3) / 2.0_ki
      coeffs%coeffs_94%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_94%c3(2,2) = -derivative(czip,1,2,4,4) / 2.0_ki
      coeffs%coeffs_94%c3(2,3) = -derivative(czip,1,2,2,4) / 2.0_ki
      coeffs%coeffs_94%c3(2,4) = derivative(czip,1,1,2,4) / 2.0_ki
      coeffs%coeffs_94%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_94%c3(3,2) = -derivative(czip,1,3,4,4) / 2.0_ki
      coeffs%coeffs_94%c3(3,3) = -derivative(czip,1,3,3,4) / 2.0_ki
      coeffs%coeffs_94%c3(3,4) = derivative(czip,1,1,3,4) / 2.0_ki
      coeffs%coeffs_94%c3(4,1) = -derivative(czip,2,3,4)
      coeffs%coeffs_94%c3(4,2) = derivative(czip,2,3,4,4) / 2.0_ki
      coeffs%coeffs_94%c3(4,3) = derivative(czip,2,3,3,4) / 2.0_ki
      coeffs%coeffs_94%c3(4,4) = derivative(czip,2,2,3,4) / 2.0_ki
      coeffs%coeffs_94%c4(1,1) = -derivative(czip,1,2,3,4)
      !---#] reconstruct coeffs%coeffs_94:
   end subroutine reconstruct_d94
!---#] subroutine reconstruct_d94:
end module p7_dubar_emnebargg_d94h1l1d
