module     p7_dubar_emnebargg_d65h3l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p7_dubar_emnebargg/helicity3/d65h3l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d65
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd65h3
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      real(ki) :: t11
      real(ki) :: t12
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k6
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      t11 = dotproduct(k6, qshift)
      t12 = dotproduct(k5, qshift)
      t1 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t2 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t3 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb65n21+t11*abb65n32+t12*abb65n35+abb65n26*dotproduct(qsh&
         &ift, qshift)+abb65n29*(spvak6k4(1)*qshift(1)-spvak6k4(2)*qshift(2)-spv&
         &ak6k4(3)*qshift(3)-spvak6k4(4)*qshift(4))+abb65n30*(spvak5k4(1)*qshift&
         &(1)-spvak5k4(2)*qshift(2)-spvak5k4(3)*qshift(3)-spvak5k4(4)*qshift(4))&
         &+abb65n31*(spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qsh&
         &ift(3)-spvak2k6(4)*qshift(4))+abb65n33*(spvak3k6(1)*qshift(1)-spvak3k6&
         &(2)*qshift(2)-spvak3k6(3)*qshift(3)-spvak3k6(4)*qshift(4))+abb65n34*(s&
         &pvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-spvak&
         &2k5(4)*qshift(4))+abb65n37*(spvak3k5(1)*qshift(1)-spvak3k5(2)*qshift(2&
         &)-spvak3k5(3)*qshift(3)-spvak3k5(4)*qshift(4))+abb65n38*(spvak6k1(1)*q&
         &shift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-spvak6k1(4)*qshif&
         &t(4))+abb65n39*(spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3&
         &)*qshift(3)-spvak5k1(4)*qshift(4))+t1*t11*abb65n22+t1*t12*abb65n23+t11&
         &*t2*abb65n25+t11*t3*abb65n27+t12*t2*abb65n24+t12*t3*abb65n28)
         return
      end if
      t4 = k5(iv1)
      t5 = k6(iv1)
      t6 = spvak2k1(iv1)
      t7 = spvak2k4(iv1)
      t8 = spvak3k1(iv1)
      if(deg.eq.1) then
         numerator = (qshift(iv1)*abb65n36+spvak2k5(iv1)*abb65n34+spvak2k6(iv1)*&
         &abb65n31+spvak3k5(iv1)*abb65n37+spvak3k6(iv1)*abb65n33+spvak5k1(iv1)*a&
         &bb65n39+spvak5k4(iv1)*abb65n30+spvak6k1(iv1)*abb65n38+spvak6k4(iv1)*ab&
         &b65n29+t4*abb65n35+t5*abb65n32+t1*t4*abb65n23+t1*t5*abb65n22+t11*t6*ab&
         &b65n25+t11*t7*abb65n27+t11*t8*abb65n22+t12*t6*abb65n24+t12*t7*abb65n28&
         &+t12*t8*abb65n23+t2*t4*abb65n24+t2*t5*abb65n25+t3*t4*abb65n28+t3*t5*ab&
         &b65n27)
         return
      end if
      t1 = spvak2k1(iv2)
      t2 = spvak2k4(iv2)
      t3 = spvak3k1(iv2)
      t9 = k5(iv2)
      t10 = k6(iv2)
      if(deg.eq.2) then
         numerator = ((2.0_ki)*d(iv1,iv2)*abb65n26+t1*t4*abb65n24+t1*t5*abb65n25&
         &+t10*t6*abb65n25+t10*t7*abb65n27+t10*t8*abb65n22+t2*t4*abb65n28+t2*t5*&
         &abb65n27+t3*t4*abb65n23+t3*t5*abb65n22+t6*t9*abb65n24+t7*t9*abb65n28+t&
         &8*t9*abb65n23)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d65:
   subroutine     reconstruct_d65(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group0
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group0), intent(out) :: coeffs
      ! rank 2 case:
      !---[# reconstruct coeffs%coeffs_65:
      coeffs%coeffs_65%c0 = derivative(czip)
      coeffs%coeffs_65%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_65%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_65%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_65%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_65%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_65%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_65%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_65%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_65%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_65%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_65%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_65%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_65%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_65%c2(6,1) = derivative(czip,3,4)
      !---#] reconstruct coeffs%coeffs_65:
   end subroutine reconstruct_d65
!---#] subroutine reconstruct_d65:
end module p7_dubar_emnebargg_d65h3l1d
